;version NO:0
;ST7529
;Test for 240*128
;******************************************************************************
DBUS    REG     P1
CSB     REG     P3.1                    ;define LCM /Chip select pin
RESETB  REG     P3.0                    ;define LCM /Reset pin
RS      REG     P3.2                    ;define LCM Register select pin
RDB     REG     P3.4                    ;define LCM Enable pin
WRB     REG     P3.3                    ;define LCM Read/Write pin
CON_H   REG     P0.6
CON_L   REG     P0.7

WORD1   EQU     70H
WORD2   EQU     71H
WORD3   EQU     72H
XS      EQU     73H
XE      EQU     74H
YS      EQU     75H
YE      EQU     76H
COMMON  EQU     77H
CONS86  EQU     78H
CONS50  EQU     79H
C00     EQU     7AH
C01     EQU     7BH
C02     EQU     7CH
C03     EQU     7DH
;******************************************************************************
        ORG     0000H
        JMP     START                   ;Power ON jump to start address

START:
        CLR     RESETB
        MOV     R3,#1FH
        CALL    DELAY

        SETB    RESETB
        MOV     R3,#1FH
        CALL    DELAY

        CLR     RS
        SETB    WRB
        SETB    CSB
        SETB    RDB

;initial ST7529
INI_ST7529
                MOV     A,#00110000B    ;EXT=0 SET
                CALL    WRITE_COM

                MOV     A,#11010001B    ;INTERNAL OSCILLATION ON
                CALL    WRITE_COM

                MOV     A,#10010100B    ;SLEEP OUT
                CALL    WRITE_COM

                MOV     A,#11001010B    ;DISPLAY CONTROL(CL,DUTY,FR)
                CALL    WRITE_COM
                MOV     A,#00000000B    ;CL DIVIDING RATIO(CLD=0)
                CALL    WRITE_DATA
                MOV     A,#00100111B    ;DRIVE DUTY(1/160 = 160/4 -1=39)
                CALL    WRITE_DATA
                MOV     A,#00000000B    ;FR INVERSE-SET VALUE
                CALL    WRITE_DATA

                MOV     A,#10111011B    ;COMMON SCAN DIRECTON
                CALL    WRITE_COM
                MOV     A,#00000001B    ;SET COM0->COM79,COM159->COM80
                CALL    WRITE_DATA

                MOV     A,#10000001B    ;ELECTRONIC VOLUME CONTROL
                CALL    WRITE_COM
                MOV     A,#00110000B    ;SETTING VOLUME VALUE
                CALL    WRITE_DATA
                MOV     A,#00000111B    ;SETTING BUILT-IN RESISTANCE VALUE
                CALL    WRITE_DATA
                MOV     CONS50,#00110000B
                MOV     CONS86,#00000011B

                MOV     A,#00100000B    ;POWER CONTROL SET
                CALL    WRITE_COM
;               MOV     A,#00001011B    ;VR=1,VF=1,VB=1 Internal VLCD
                MOV     A,#00000011B    ;VR=1,VF=1,VB=0 External VLCD
                CALL    WRITE_DATA

;               MOV     A,#10100110B    ;NORMAL DISPLAY
;               CALL    WRITE_COM

                MOV     A,#10100111B    ;INVERSE DISPLAY
                CALL    WRITE_COM

;               MOV     A,#10101000B    ;PARTIAL IN
;               CALL    WRITE_COM

                MOV     A,#10101001B    ;PARTIAL OUT
                CALL    WRITE_COM

;               MOV     A,#10101010B    ;AREA SCROLL SET
;               CALL    WRITE_COM
;               MOV     A,#B           ;TOP BLOCK ADDRESS
;               CALL    WRITE_DATA
;               MOV     A,#B           ;BOTTOM BLOCK ADDRESS
;               CALL    WRITE_DATA
;               MOV     A,#B           ;NUMBER OF SPECIFIED BLOCKS
;               CALL    WRITE_DATA
;               MOV     A,#00000000B    ;AREA SCROLL MODE
;               CALL    WRITE_DATA

;               MOV     A,#10101011B     ;SCROLL START ADDRESS SET
;               CALL    WRITE_COM
;               MOV     A,#B             ;START BLOCK ADDRESS
;               CALL    WRITE_DATA
;
                MOV     A,#10111100B     ;DATA SCAN DIRECTION
                CALL    WRITE_COM
                MOV     A,#00000010B     ;NORMAL/INVERSE DISPLAY OF (THE LINE
                CALL    WRITE_DATA       ;AND ADDRESS SCAN DIRECTION
                MOV     A,#00000001B     ;NOT USED,D0 MUST BE 0
                CALL    WRITE_DATA
                MOV     A,#00000100B     ;GRAY-SCALE SETUP(3B3P MODE)
                CALL    WRITE_DATA

                MOV     A,#01110101B     ;LINE ADDRESS SET
                CALL    WRITE_COM
                MOV     A,#00000000B     ;START LINE SET 00
                CALL    WRITE_DATA
                MOV     A,#159           ;END LINE SET   159
                CALL    WRITE_DATA

                MOV     A,#00010101B     ;COLUMN ADDRESS SET
                CALL    WRITE_COM
                MOV     A,#5             ;START COLUMN SET  00
                CALL    WRITE_DATA
                MOV     A,#84            ;END COLUMN SET    255/3=85
                CALL    WRITE_DATA


                MOV     A,#00110001B    ;EXT=1 SET
                CALL    WRITE_COM

                MOV     A,#00110010B    ;Analog circuit set
                CALL    WRITE_COM
                MOV     A,#00000000B    ;OSC Frequency
                CALL    WRITE_DATA
                MOV     A,#00000001B    ;Booster Set
                CALL    WRITE_DATA
                MOV     A,#00000100B    ;Bias Set 1/13
                CALL    WRITE_DATA

                MOV     A,#00110100B    ;Dithering OFF
                CALL    WRITE_COM

                JMP     OVER

                MOV     A,#00100000B    ;Set Gray1
                CALL    WRITE_COM
                MOV     A,#00000000B    ;Gray level 0 at odd frame
                CALL    WRITE_DATA
                MOV     A,#00000001B    ;Gray level 1 at odd frame
                CALL    WRITE_DATA
                MOV     A,#00000010B    ;Gray level 2 at odd frame
                CALL    WRITE_DATA
                MOV     A,#00000011B    ;Gray level 3 at odd frame
                CALL    WRITE_DATA
                MOV     A,#00000100B    ;Gray level 4 at odd frame
                CALL    WRITE_DATA
                MOV     A,#00000101B    ;Gray level 5 at odd frame
                CALL    WRITE_DATA
                MOV     A,#00000110B    ;Gray level 6 at odd frame
                CALL    WRITE_DATA
                MOV     A,#00000111B    ;Gray level 7 at odd frame
                CALL    WRITE_DATA
                MOV     A,#00001000B    ;Gray level 8 at odd frame
                CALL    WRITE_DATA
                MOV     A,#00001001B    ;Gray level 9 at odd frame
                CALL    WRITE_DATA
                MOV     A,#00001010B    ;Gray level 10 at odd frame
                CALL    WRITE_DATA
                MOV     A,#00001011B    ;Gray level 11 at odd frame
                CALL    WRITE_DATA
                MOV     A,#00001100B    ;Gray level 12 at odd frame
                CALL    WRITE_DATA
                MOV     A,#00001101B    ;Gray level 13 at odd frame
                CALL    WRITE_DATA
                MOV     A,#00001110B    ;Gray level 14 at odd frame
                CALL    WRITE_DATA
                MOV     A,#00001111B    ;Gray level 15 at odd frame
                CALL    WRITE_DATA

;               JMP     OVER

                MOV     A,#00100001B    ;Set Gray2
                CALL    WRITE_COM
                MOV     A,#00000000B    ;Gray level 0 at even frame
                CALL    WRITE_DATA
                MOV     A,#00000001B    ;Gray level 1 at even frame
                CALL    WRITE_DATA
                MOV     A,#00000010B    ;Gray level 2 at even frame
                CALL    WRITE_DATA
                MOV     A,#00000011B    ;Gray level 3 at even frame
                CALL    WRITE_DATA
                MOV     A,#00000100B    ;Gray level 4 at even frame
                CALL    WRITE_DATA
                MOV     A,#00000101B    ;Gray level 5 at even frame
                CALL    WRITE_DATA
                MOV     A,#00000110B    ;Gray level 6 at even frame
                CALL    WRITE_DATA
                MOV     A,#00000111B    ;Gray level 7 at even frame
                CALL    WRITE_DATA
                MOV     A,#00001000B    ;Gray level 8 at even frame
                CALL    WRITE_DATA
                MOV     A,#00001001B    ;Gray level 9 at even frame
                CALL    WRITE_DATA
                MOV     A,#00001010B    ;Gray level 10 at even frame
                CALL    WRITE_DATA
                MOV     A,#00001011B    ;Gray level 11 at even frame
                CALL    WRITE_DATA
                MOV     A,#00001100B    ;Gray level 12 at even frame
                CALL    WRITE_DATA
                MOV     A,#00001101B    ;Gray level 13 at even frame
                CALL    WRITE_DATA
                MOV     A,#00001110B    ;Gray level 14 at even frame
                CALL    WRITE_DATA
                MOV     A,#00001111B    ;Gray level 15 at even frame
                CALL    WRITE_DATA
OVER
                MOV     A,#00110000B    ;EXT=0 SET
                CALL    WRITE_COM

                MOV     A,#10101111B     ;DISPLAY ON
                CALL    WRITE_COM
;*****************************************************************************
START1:
;SHOW PICTURE
                MOV     A,#01011100B
                CALL    WRITE_COM

                MOV     DPTR,#PIC2
                MOV     C00,#64
PIC1_U_1        MOV     C01,#80
PIC1_U_0        MOV     A,#0
                MOVC    A,@A+DPTR
                MOV     B,#8
                DIV     AB
                CLR     C
                RL      A
                RL      A
                RL      A
                CPL     A
                MOV     WORD1,A
                INC     DPTR
                MOV     A,#0
                MOVC    A,@A+DPTR
                MOV     B,#8
                DIV     AB
                CLR     C
                RL      A
                RL      A
                RL      A
                CPL     A
                MOV     WORD2,A
                INC     DPTR
                MOV     A,#0
                MOVC    A,@A+DPTR
                MOV     B,#8
                DIV     AB
                CLR     C
                RL      A
                RL      A
                RL      A
                CPL     A
                MOV     WORD3,A
                INC     DPTR
                CALL    WRITE_PIXEL
                DJNZ    C01,PIC1_U_0
                DJNZ    C00,PIC1_U_1

                MOV     C00,#32                         ;Empty data
NC_PIC1_0       MOV     C01,#80
                MOV     WORD1,#00000000B
                MOV     WORD2,#00000000B
                MOV     WORD3,#00000000B
NC_PIC1_1       CALL    WRITE_PIXEL
                DJNZ    C01,NC_PIC1_1
                DJNZ    C00,NC_PIC1_0

                MOV     C00,#64
PIC1_D_1        MOV     C01,#80
PIC1_D_0        MOV     A,#0
                MOVC    A,@A+DPTR
                MOV     B,#8
                DIV     AB
                CLR     C
                RL      A
                RL      A
                RL      A
                CPL     A
                MOV     WORD1,A
                INC     DPTR
                MOV     A,#0
                MOVC    A,@A+DPTR
                MOV     B,#8
                DIV     AB
                CLR     C
                RL      A
                RL      A
                RL      A
                CPL     A
                MOV     WORD2,A
                INC     DPTR
                MOV     A,#0
                MOVC    A,@A+DPTR
                MOV     B,#8
                DIV     AB
                CLR     C
                RL      A
                RL      A
                RL      A
                CPL     A
                MOV     WORD3,A
                INC     DPTR
                CALL    WRITE_PIXEL
                DJNZ    C01,PIC1_D_0
                DJNZ    C00,PIC1_D_1
;******************************************************************************
                CALL    PAUSE
                MOV     A,#00110000B    ;EXT=0 SET
                CALL    WRITE_COM

                MOV     A,#01011100B
                CALL    WRITE_COM

                MOV     C00,#160                        ;Clear display
OFF_0           MOV     C01,#80
                MOV     WORD1,#00000000B
                MOV     WORD2,#00000000B
                MOV     WORD3,#00000000B
OFF_1           CALL    WRITE_PIXEL
                DJNZ    C01,OFF_1
                DJNZ    C00,OFF_0

                MOV     A,#01011100B
                CALL    WRITE_COM

                MOV     C00,#80                         ;Upper Line
                MOV     WORD1,#11111000B                ;Line 0 (IC side)
                MOV     WORD2,#11111000B                ;Line 1 (panel side)
                MOV     WORD3,#11111000B
FRAME_0         CALL    WRITE_PIXEL
                DJNZ    C00,FRAME_0

                MOV     C00,#63                         ;Line 1~63 (IC side)
FRAME_2         MOV     WORD1,#11111000B                ;Line 2~64 (panel side)
                MOV     WORD2,#00000000B
                MOV     WORD3,#00000000B
                CALL    WRITE_PIXEL

                MOV     C01,#78
FRAME_1         MOV     WORD1,#00000000B
                MOV     WORD2,#00000000B
                MOV     WORD3,#00000000B
                CALL    WRITE_PIXEL
                DJNZ    C01,FRAME_1

                MOV     WORD1,#00000000B
                MOV     WORD2,#00000000B
                MOV     WORD3,#11111000B
                CALL    WRITE_PIXEL
                DJNZ    C00,FRAME_2

                MOV     C00,#32                         ;Empty Data
NC_0            MOV     C01,#80                         ;Line 64~ 95(IC SIDE)
                MOV     WORD1,#00000000B                ;panel not used
                MOV     WORD2,#00000000B
                MOV     WORD3,#00000000B
NC_1            CALL    WRITE_PIXEL
                DJNZ    C01,NC_1
                DJNZ    C00,NC_0

                MOV     C00,#63                         ;Line 96~158 (IC side)
FRAME_3         MOV     WORD1,#11111000B              ;Line 65~127 (panel side)
                MOV     WORD2,#00000000B
                MOV     WORD3,#00000000B
                CALL    WRITE_PIXEL

                MOV     C01,#78
FRAME_4         MOV     WORD1,#00000000B
                MOV     WORD2,#00000000B
                MOV     WORD3,#00000000B
                CALL    WRITE_PIXEL
                DJNZ    C01,FRAME_4

                MOV     WORD1,#00000000B
                MOV     WORD2,#00000000B
                MOV     WORD3,#11111000B
                CALL    WRITE_PIXEL
                DJNZ    C00,FRAME_3

                MOV     C00,#80                         ;Line 159 (IC side)
                MOV     WORD1,#11111000B                ;Line 128 (panel side)
                MOV     WORD2,#11111000B
                MOV     WORD3,#11111000B
FRAME_5         CALL    WRITE_PIXEL
                DJNZ    C00,FRAME_5
;******************************************************************************
                CALL    PAUSE
;****************************************************************************
                MOV     A,#01011100B
                CALL    WRITE_COM

                MOV     C00,#64                         ;Line 1~64 (panel)
OFF_U1          MOV     C01,#80
                MOV     WORD1,#00000000B
                MOV     WORD2,#00000000B
                MOV     WORD3,#00000000B
OFF_U0          CALL    WRITE_PIXEL
                DJNZ    C01,OFF_U0
                DJNZ    C00,OFF_U1

                MOV     C00,#32                         ;Empty data
NC_OFF_0        MOV     C01,#80
                MOV     WORD1,#00000000B
                MOV     WORD2,#00000000B
                MOV     WORD3,#00000000B
NC_OFF_1        CALL    WRITE_PIXEL
                DJNZ    C01,NC_OFF_1
                DJNZ    C00,NC_OFF_0

                MOV     C00,#64                         ;Line 65~128 (panel)
OFF_D1          MOV     C01,#80
                MOV     WORD1,#00000000B
                MOV     WORD2,#00000000B
                MOV     WORD3,#00000000B
OFF_D0          CALL    WRITE_PIXEL
                DJNZ    C01,OFF_D0
                DJNZ    C00,OFF_D1
;******************************************************************************
                CALL    PAUSE
;******************************************************************************
		MOV     A,#01011100B
                CALL    WRITE_COM

                MOV     C00,#64                         ;Line 1~64 (panel)
ON_U_0          MOV     C01,#80
                MOV     WORD1,#11111000B
                MOV     WORD2,#11111000B
                MOV     WORD3,#11111000B
ON_U_1          CALL    WRITE_PIXEL
                DJNZ    C01,ON_U_1
                DJNZ    C00,ON_U_0

                MOV     C00,#32                         ;Empty data
NC_ON_0         MOV     C01,#80
                MOV     WORD1,#00000000B
                MOV     WORD2,#00000000B
                MOV     WORD3,#00000000B
NC_ON_1         CALL    WRITE_PIXEL
                DJNZ    C01,NC_ON_1
                DJNZ    C00,NC_ON_0

                MOV     C00,#64                         ;Line 65~128 (panel)
ON_D_0          MOV     C01,#80
                MOV     WORD1,#11111000B
                MOV     WORD2,#11111000B
                MOV     WORD3,#11111000B
ON_D_1          CALL    WRITE_PIXEL
                DJNZ    C01,ON_D_1
                DJNZ    C00,ON_D_0
;******************************************************************************
                CALL    PAUSE
;******************************************************************************
                MOV     A,#01011100B
                CALL    WRITE_COM

                MOV     C00,#32
HLINE_U_0       MOV     C01,#80
                MOV     WORD1,#11111000B
                MOV     WORD2,#11111000B
                MOV     WORD3,#11111000B
HLINE_U_1       CALL    WRITE_PIXEL
                DJNZ    C01,HLINE_U_1
                MOV     C01,#80
                MOV     WORD1,#00000000B
                MOV     WORD2,#00000000B
                MOV     WORD3,#00000000B
HLINE_U_2       CALL    WRITE_PIXEL
                DJNZ    C01,HLINE_U_2
                DJNZ    C00,HLINE_U_0

                MOV     C00,#32                         ;Empty data
NC_HLINE_0      MOV     C01,#80
                MOV     WORD1,#00000000B
                MOV     WORD2,#00000000B
                MOV     WORD3,#00000000B
NC_HLINE_1      CALL    WRITE_PIXEL
                DJNZ    C01,NC_HLINE_1
                DJNZ    C00,NC_HLINE_0

                MOV     C00,#32
HLINE_D_0       MOV     C01,#80
                MOV     WORD1,#11111000B
                MOV     WORD2,#11111000B
                MOV     WORD3,#11111000B
HLINE_D_1       CALL    WRITE_PIXEL
                DJNZ    C01,HLINE_D_1
                MOV     C01,#80
                MOV     WORD1,#00000000B
                MOV     WORD2,#00000000B
                MOV     WORD3,#00000000B
HLINE_D_2       CALL    WRITE_PIXEL
                DJNZ    C01,HLINE_D_2
                DJNZ    C00,HLINE_D_0
;******************************************************************************
                CALL    PAUSE
;****************************************************************************
                MOV     A,#01011100B
                CALL    WRITE_COM

                MOV     C00,#64
VLINE_U_0       MOV     C01,#40
VLINE_U_1       MOV     WORD1,#11111000B
                MOV     WORD2,#00000000B
                MOV     WORD3,#11111000B
                CALL    WRITE_PIXEL
                MOV     WORD1,#00000000B
                MOV     WORD2,#11111000B
                MOV     WORD3,#00000000B
                CALL    WRITE_PIXEL
                DJNZ    C01,VLINE_U_1
                DJNZ    C00,VLINE_U_0

                MOV     C00,#32                         ;Empty data
NC_VLINE_0      MOV     C01,#80
                MOV     WORD1,#00000000B
                MOV     WORD2,#00000000B
                MOV     WORD3,#00000000B
NC_VLINE_1      CALL    WRITE_PIXEL
                DJNZ    C01,NC_VLINE_1
                DJNZ    C00,NC_VLINE_0

                MOV     C00,#64                         ;Line 65~128 (panel)
VLINE_D_0       MOV     C01,#40
VLINE_D_1       MOV     WORD1,#11111000B
                MOV     WORD2,#00000000B
                MOV     WORD3,#11111000B
                CALL    WRITE_PIXEL
                MOV     WORD1,#00000000B
                MOV     WORD2,#11111000B
                MOV     WORD3,#00000000B
                CALL    WRITE_PIXEL
                DJNZ    C01,VLINE_D_1
                DJNZ    C00,VLINE_D_0
;******************************************************************************
                CALL    PAUSE
;****************************************************************************
                MOV     A,#01011100B
                CALL    WRITE_COM

                MOV     C00,#32
DOT_U_0         MOV     C01,#40
DOT_U_1         MOV     WORD1,#11111000B
                MOV     WORD2,#00000000B
                MOV     WORD3,#11111000B
                CALL    WRITE_PIXEL
                MOV     WORD1,#00000000B
                MOV     WORD2,#11111000B
                MOV     WORD3,#00000000B
                CALL    WRITE_PIXEL
                DJNZ    C01,DOT_U_1
                MOV     C01,#40
DOT_U_2         MOV     WORD1,#00000000B
                MOV     WORD2,#11111000B
                MOV     WORD3,#00000000B
                CALL    WRITE_PIXEL
                MOV     WORD1,#11111000B
                MOV     WORD2,#00000000B
                MOV     WORD3,#11111000B
                CALL    WRITE_PIXEL
                DJNZ    C01,DOT_U_2
                DJNZ    C00,DOT_U_0

                MOV     C00,#32                         ;Empty data
NC_DOT_0        MOV     C01,#80
                MOV     WORD1,#00000000B
                MOV     WORD2,#00000000B
                MOV     WORD3,#00000000B
NC_DOT_1        CALL    WRITE_PIXEL
                DJNZ    C01,NC_DOT_1
                DJNZ    C00,NC_DOT_0

                MOV     C00,#32
DOT_D_0         MOV     C01,#40
DOT_D_1         MOV     WORD1,#11111000B
                MOV     WORD2,#00000000B
                MOV     WORD3,#11111000B
                CALL    WRITE_PIXEL
                MOV     WORD1,#00000000B
                MOV     WORD2,#11111000B
                MOV     WORD3,#00000000B
                CALL    WRITE_PIXEL
                DJNZ    C01,DOT_D_1
                MOV     C01,#40
DOT_D_2         MOV     WORD1,#00000000B
                MOV     WORD2,#11111000B
                MOV     WORD3,#00000000B
                CALL    WRITE_PIXEL
                MOV     WORD1,#11111000B
                MOV     WORD2,#00000000B
                MOV     WORD3,#11111000B
                CALL    WRITE_PIXEL
                DJNZ    C01,DOT_D_2
                DJNZ    C00,DOT_D_0
;******************************************************************************
                JMP     START1
;******************************************************************************
WRITE_COM                                ;Command write

         MOV     DBUS,A
         CLR     RS
         CLR     CSB
         CLR     WRB
         SETB    WRB
         SETB    CSB
         RET
;******************************************************************************
WRITE_DATA                              ;Data write

        MOV     DBUS,A
        SETB    RS
        CLR     CSB
        CLR     WRB
        SETB    WRB
        SETB    CSB
        RET
;******************************************************************************
WRITE_PIXEL                             ;Data write

        SETB    RS
        CLR     CSB
        MOV     DBUS,WORD1
        CLR     WRB
        SETB    WRB
        MOV     DBUS,WORD2
        CLR     WRB
        SETB    WRB
        MOV     DBUS,WORD3
        CLR     WRB
        SETB    WRB
        SETB    CSB
        RET
;******************************************************************************
DELAY:
XL2:    MOV     R4,#55H                 ;SET R4=55H
DL1:    NOP                             ;
        DJNZ    R4,DL1                  ;
        DJNZ    R3,XL2                  ;
        RET
;******************************************************************************
DELAY1:
XL21:   MOV     R4,#FFH                 ;SET R4=55H
DL11:   NOP                             ;
        DJNZ    R4,DL11                 ;
        DJNZ    R3,XL21                 ;
        RET
;******************************************************************************
PAUSE:
        MOV     P0,#FFH
        JNB     CON_H,CONUP
        JNB     CON_L,CONDW
        JB      P3.6,P02
        JB      P3.7,PAUSE
        CALL    DELAY
P01     JNB     P3.7,P01
        JMP     PGOVER
P02     MOV     R0,#05H
P03     CALL    DELAY
        DJNZ    R0,P03
PGOVER
        RET
;*****************************************************************************
CONUP
        CALL    DELAY1
        JB      CON_H,ADJUP
        JMP     CONUP
ADJUP
        INC     CONS50
        MOV     A,CONS50
        CJNE    A,#01000000B,RUNUP
        MOV     CONS50,#0
        INC     CONS86
        MOV     A,CONS86
        CJNE    A,#00001000B,RUNUP
        MOV     CONS86,#0
RUNUP
        MOV     A,#00110000B    ;EXT=0 SET
        CALL    WRITE_COM
        MOV     A,#10000001B    ;Set Electronic Mode
        CALL    WRITE_COM
        MOV     A,CONS50        ;Set Electronic Register1
        CALL    WRITE_DATA
        MOV     A,CONS86        ;Set Electronic Register2
        CALL    WRITE_DATA
        JMP     PAUSE
CONDW
        CALL    DELAY1
        JB      CON_L,ADJDW
        JMP     CONDW
ADJDW   DEC     CONS50
        MOV     A,CONS50
        CJNE    A,#11111111B,RUNDW
        MOV     CONS50,#00111111B
        DEC     CONS86
        MOV     A,CONS86
        CJNE    A,#11111111B,RUNDW
        MOV     CONS86,#00000111B
RUNDW
        MOV     A,#00110000B    ;EXT=0 SET
        CALL    WRITE_COM
        MOV     A,#10000001B ;Set Electronic Mode
        CALL    WRITE_COM
        MOV     A,CONS50     ;Set Electronic Register1
        CALL    WRITE_DATA
        MOV     A,CONS86     ;Set Electronic Register2
        CALL    WRITE_DATA
        JMP     PAUSE
;*************************************************************
GRAYSCALE
                DB      F8H,E8H,D8H,C8H,B8H,A8H
                DB      98H,88H,78H,68H,58H,48H
                DB      38H,28H,18H,00H
PIC2   
   
        DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh
    DB    ffh,00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,ffh,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,ffh,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    ffh,ffh,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,00h,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,ffh,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,ffh,ffh,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,00h,ffh,ffh,ffh,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,00h,00h,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,00h,00h,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,00h,00h,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,00h,00h,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,00h,00h,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,ffh,00h,00h,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    ffh,ffh,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,ffh,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,ffh,00h,00h
    DB    00h,ffh,ffh,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,00h,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,00h,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,00h,00h,00h,00h,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,ffh,ffh,ffh,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,00h,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,00h,00h,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,00h,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    ffh,ffh,ffh,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,ffh
    DB    ffh,ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,00h,00h,00h,00h,00h,00h,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,ffh,ffh,ffh
    DB    ffh,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    00h,00h,00h,00h,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h,00h
    DB    00h,00h,00h,00h,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,00h,00h,00h,00h,00h,00h
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
    DB    00h,00h,00h,00h,00h,00h,00h,00h,00h,00h
PIC1
    DB    cbh,c5h,cbh,c8h,c2h,bch,b6h,b5h,c3h,c6h
    DB    c1h,bfh,c0h,c7h,c1h,d0h,c7h,c4h,c2h,bfh
    DB    c0h,bch,bah,b9h,b2h,b4h,bah,bch,bbh,b7h
    DB    b3h,b0h,afh,b4h,b8h,aeh,ach,b3h,b5h,bch
    DB    c5h,c7h,c5h,c2h,c7h,c5h,c3h,c2h,bdh,bfh
    DB    bfh,c3h,bfh,bch,c1h,beh,bfh,c3h,c5h,c4h
    DB    c5h,c5h,c8h,c6h,c5h,c5h,c8h,c4h,cdh,ceh
    DB    cbh,cch,dch,ebh,efh,efh,ech,ebh,edh,eah
    DB    ech,eeh,f3h,f2h,f0h,f2h,f1h,eeh,e5h,dch
    DB    d7h,c7h,bdh,c8h,bdh,bdh,b8h,beh,adh,abh
    DB    bdh,b6h,b8h,abh,abh,a9h,ach,b7h,b0h,8ch
    DB    8dh,88h,8bh,90h,89h,83h,83h,82h,85h,7dh
    DB    6eh,6ch,6fh,75h,77h,7ah,82h,84h,82h,83h
    DB    81h,7fh,7ah,7dh,73h,79h,86h,89h,7fh,83h
    DB    8bh,85h,87h,a4h,bbh,cbh,c8h,cah,ddh,82h
    DB    6dh,65h,cfh,cfh,ceh,d0h,b8h,a2h,8bh,87h
    DB    99h,e4h,e3h,e7h,edh,eeh,efh,eah,e3h,eah
    DB    d3h,bah,aah,93h,92h,96h,8eh,91h,8eh,b4h
    DB    c9h,c3h,c5h,c8h,c6h,c8h,c3h,afh,9eh,9fh
    DB    95h,87h,84h,79h,82h,7ah,81h,85h,8eh,93h
    DB    86h,84h,83h,7ch,7fh,90h,91h,9fh,9eh,91h
    DB    7ch,96h,c5h,c0h,ceh,c6h,c1h,b9h,c2h,b5h
    DB    90h,7fh,79h,6bh,61h,5ah,5bh,56h,55h,54h
    DB    54h,53h,5dh,58h,58h,5ch,5ch,60h,5bh,64h
    DB    d2h,d1h,cah,cdh,c0h,c8h,cbh,c6h,c3h,c2h
    DB    cdh,cdh,cah,c6h,c8h,c4h,c5h,c4h,beh,c0h
    DB    bfh,bah,bbh,bbh,b5h,b2h,bfh,aeh,b0h,b0h
    DB    b1h,b2h,b3h,bah,b1h,bbh,bdh,c5h,c5h,c6h
    DB    bfh,b9h,bah,c1h,bbh,bdh,bch,beh,bfh,bdh
    DB    beh,bfh,c4h,beh,c1h,c4h,c4h,c6h,c4h,c8h
    DB    c4h,d3h,d3h,cch,cch,d0h,cfh,d7h,dah,ddh
    DB    e9h,ech,ebh,edh,eah,e9h,e8h,ech,edh,eeh
    DB    efh,f3h,f5h,f2h,edh,dbh,dah,c6h,beh,c3h
    DB    b9h,bah,c5h,ceh,c6h,beh,bdh,a6h,94h,9fh
    DB    97h,9ch,91h,93h,8ah,9bh,aah,a4h,8dh,78h
    DB    7dh,7ah,7fh,7ch,77h,7fh,75h,77h,77h,71h
    DB    6fh,6dh,6dh,6ah,70h,75h,78h,7ah,76h,7ch
    DB    7bh,70h,77h,71h,6ch,73h,81h,87h,7bh,82h
    DB    84h,85h,a3h,adh,b7h,cdh,cah,ceh,dah,59h
    DB    8ch,69h,d0h,d2h,d8h,dah,dbh,cah,9ah,86h
    DB    d8h,e7h,e9h,ech,f1h,f6h,f8h,f6h,e7h,e7h
    DB    e9h,e6h,b9h,97h,9eh,9ah,91h,9fh,a8h,c7h
    DB    cah,c8h,c4h,c7h,cah,cch,d0h,c6h,a2h,8fh
    DB    94h,99h,94h,83h,83h,7dh,79h,7ch,80h,82h
    DB    94h,92h,86h,7bh,77h,7ch,85h,84h,81h,8dh
    DB    88h,8fh,98h,9ah,b8h,b7h,b8h,bdh,b9h,bch
    DB    beh,7fh,88h,5eh,65h,5ah,5eh,5bh,59h,53h
    DB    5ch,58h,5bh,58h,58h,62h,5ch,5eh,57h,61h
    DB    cfh,d1h,cbh,c8h,c5h,cah,c8h,c1h,cah,ceh
    DB    c6h,c6h,c4h,c1h,c5h,c9h,c4h,c3h,c2h,bch
    DB    bch,bch,b3h,b8h,b1h,afh,b3h,b6h,b3h,b3h
    DB    b8h,b5h,b8h,bfh,c8h,c8h,c5h,c4h,c2h,bbh
    DB    bch,bbh,b4h,bah,b4h,b4h,bah,c0h,c1h,c0h
    DB    c2h,c0h,cah,c4h,c2h,c6h,cch,cdh,cfh,d0h
    DB    cdh,d1h,cch,cch,d3h,d8h,dfh,e4h,f0h,efh
    DB    efh,ech,ebh,ebh,e6h,e9h,e8h,eeh,f1h,f2h
    DB    f0h,efh,e5h,d8h,cah,c3h,bch,c1h,c8h,c5h
    DB    c7h,c7h,c7h,cdh,c8h,b8h,92h,8ch,89h,8dh
    DB    89h,7eh,85h,81h,7ah,85h,87h,8dh,73h,79h
    DB    71h,70h,75h,79h,82h,7ch,7ch,77h,7fh,71h
    DB    70h,6bh,69h,70h,72h,7ch,77h,81h,7fh,75h
    DB    72h,78h,72h,76h,78h,88h,8bh,88h,81h,86h
    DB    8ch,88h,8bh,c3h,ceh,cbh,c9h,d1h,e1h,61h
    DB    87h,5ch,c2h,d5h,d8h,d4h,d7h,cah,98h,97h
    DB    efh,e3h,edh,f0h,dah,4eh,93h,81h,f0h,f2h
    DB    efh,e0h,b7h,b0h,aah,94h,a0h,aeh,cah,cdh
    DB    cdh,c8h,cbh,cfh,ceh,cdh,d4h,bfh,b7h,b4h
    DB    98h,7ch,8ah,92h,9ah,94h,8bh,8ch,84h,8bh
    DB    86h,81h,81h,95h,92h,8eh,80h,7bh,78h,71h
    DB    64h,66h,67h,6ah,66h,6ah,71h,73h,7ah,7eh
    DB    83h,74h,66h,61h,91h,6bh,62h,6eh,6bh,6ah
    DB    63h,6dh,60h,5dh,62h,6ah,63h,5eh,5fh,5bh
    DB    d2h,d3h,cah,cfh,cbh,c8h,c7h,c6h,c8h,c7h
    DB    c4h,c2h,c8h,c0h,c4h,c0h,bfh,bah,bah,b8h
    DB    b0h,bbh,b8h,b4h,b2h,aeh,b4h,b5h,c6h,cdh
    DB    c9h,c7h,c5h,c2h,beh,c1h,c7h,cah,c1h,c2h
    DB    c6h,c0h,bch,bfh,bfh,bah,bbh,bah,c3h,bdh
    DB    beh,bah,b9h,bbh,c0h,c0h,c5h,c9h,c9h,c7h
    DB    c9h,d3h,d6h,ddh,ddh,e7h,efh,f2h,f0h,f1h
    DB    efh,eeh,ebh,ebh,edh,ech,eeh,f0h,f3h,ebh
    DB    e2h,dch,dah,d2h,ceh,cdh,cah,d4h,cah,c8h
    DB    c8h,c5h,c7h,e2h,cbh,9eh,96h,95h,8eh,85h
    DB    89h,77h,80h,7eh,76h,7fh,7fh,72h,6eh,6dh
    DB    6bh,73h,80h,81h,7ah,79h,7ch,7eh,7bh,6dh
    DB    64h,6ch,6fh,70h,73h,73h,7fh,7ch,7bh,70h
    DB    71h,73h,71h,6bh,77h,83h,8ch,8ch,99h,98h
    DB    9fh,9fh,a2h,bfh,d1h,d1h,d0h,d4h,e3h,5fh
    DB    72h,40h,bah,d4h,d2h,d4h,d9h,ceh,a6h,c4h
    DB    ebh,ebh,ech,f5h,c4h,6eh,87h,74h,edh,f2h
    DB    f1h,efh,ech,dah,86h,7bh,adh,b3h,c9h,ceh
    DB    d4h,d9h,d6h,dbh,d5h,d1h,d1h,ceh,c3h,b9h
    DB    90h,88h,82h,8ah,8dh,8fh,92h,95h,8ch,83h
    DB    7dh,71h,71h,78h,7ch,7bh,80h,7fh,61h,5ch
    DB    5ch,5ch,5eh,5bh,5fh,60h,5ah,57h,5fh,64h
    DB    70h,87h,5dh,66h,72h,6dh,69h,70h,7ah,7ch
    DB    82h,80h,7eh,7eh,77h,79h,6fh,60h,57h,52h
    DB    dah,d4h,d4h,ceh,cah,cch,cah,c3h,c4h,c6h
    DB    c2h,c8h,c7h,bch,c9h,bfh,beh,bah,b5h,b2h
    DB    b7h,b5h,bah,c1h,cah,c2h,c2h,c7h,c9h,d0h
    DB    d2h,c8h,c0h,c0h,beh,c3h,bbh,bbh,c4h,bfh
    DB    bah,b7h,b4h,b7h,bch,bfh,bdh,beh,beh,bdh
    DB    bbh,bfh,bfh,c2h,bfh,c1h,c4h,bbh,c5h,c7h
    DB    cdh,d5h,d7h,e0h,e6h,f1h,f3h,efh,eeh,f0h
    DB    edh,e4h,e8h,eeh,efh,eeh,eeh,efh,dch,cch
    DB    d1h,cah,c6h,ceh,cfh,c2h,c4h,cah,c5h,cfh
    DB    cfh,c4h,cfh,d6h,a8h,a2h,93h,96h,92h,96h
    DB    7fh,81h,8ah,81h,7dh,88h,79h,73h,6ch,65h
    DB    66h,6ah,76h,7eh,74h,81h,85h,76h,7dh,6eh
    DB    66h,6ch,74h,6eh,69h,72h,79h,7ah,7ch,71h
    DB    78h,73h,73h,7bh,82h,a5h,abh,a9h,adh,a5h
    DB    a3h,ach,b3h,b4h,d1h,cfh,d3h,d2h,deh,e6h
    DB    e5h,c1h,dfh,cfh,d2h,cfh,d1h,d8h,dbh,edh
    DB    e6h,e0h,e5h,f1h,b3h,55h,80h,4dh,e5h,f0h
    DB    f5h,f0h,f4h,e3h,b2h,a9h,ceh,ceh,d0h,d0h
    DB    e4h,9bh,a4h,9fh,cfh,d3h,ceh,c7h,c2h,aah
    DB    aah,adh,95h,83h,7ch,78h,75h,75h,7ch,7fh
    DB    7fh,79h,78h,73h,73h,75h,78h,5ch,63h,64h
    DB    62h,63h,60h,5dh,61h,60h,61h,58h,53h,5fh
    DB    6ah,8bh,66h,63h,6bh,6ah,62h,60h,5fh,5ch
    DB    5dh,5bh,56h,54h,75h,bdh,a0h,6ah,5fh,60h
    DB    d7h,dbh,dch,ddh,d4h,ceh,c7h,c7h,c0h,bdh
    DB    bch,c4h,bfh,c3h,c4h,bfh,bbh,beh,bbh,c2h
    DB    c8h,cdh,d1h,cch,d7h,d5h,cch,c3h,c9h,cbh
    DB    cdh,c7h,c6h,c7h,bfh,beh,bfh,bah,beh,bch
    DB    bdh,b8h,c3h,bfh,c1h,b7h,c4h,beh,c4h,c8h
    DB    cah,c7h,c8h,cah,c8h,cch,d4h,d6h,cfh,d0h
    DB    d6h,d2h,d6h,e8h,f1h,f1h,f0h,edh,eah,eeh
    DB    efh,ech,e5h,edh,f0h,f2h,e7h,d1h,d1h,cbh
    DB    c8h,cah,cbh,cdh,cbh,cdh,cfh,d1h,cch,cfh
    DB    d7h,a7h,b5h,a6h,94h,93h,98h,87h,8ah,8dh
    DB    92h,91h,9dh,95h,79h,87h,85h,7dh,76h,6ch
    DB    6fh,79h,80h,7dh,7bh,7ah,79h,7eh,7eh,6bh
    DB    69h,6dh,6eh,67h,6fh,6eh,78h,7bh,70h,7ah
    DB    7ah,7fh,74h,8ch,96h,a2h,a3h,93h,8fh,91h
    DB    9fh,9dh,a0h,b3h,cbh,c9h,ceh,d3h,d5h,d6h
    DB    ddh,dch,d0h,cdh,c7h,cbh,d5h,cch,d8h,e5h
    DB    dfh,e0h,e0h,ech,b3h,42h,81h,62h,dfh,f5h
    DB    f4h,f4h,f5h,cah,b3h,b7h,ceh,d1h,d3h,d5h
    DB    e6h,86h,8fh,68h,a9h,e8h,d4h,c8h,c0h,bfh
    DB    a9h,9ch,88h,89h,88h,7dh,77h,72h,70h,6dh
    DB    70h,77h,7bh,76h,77h,6fh,59h,62h,5ch,61h
    DB    5eh,58h,5dh,57h,57h,5ah,5ah,5fh,64h,66h
    DB    66h,82h,5bh,58h,67h,62h,68h,69h,65h,63h
    DB    5eh,5eh,62h,78h,beh,87h,c1h,afh,69h,5bh
    DB    d7h,dch,dfh,deh,d9h,d6h,d9h,cfh,cdh,cdh
    DB    cah,cdh,d2h,cdh,cfh,cfh,beh,c4h,c8h,c7h
    DB    d0h,cbh,d8h,cch,d2h,d5h,cfh,cfh,cch,c7h
    DB    d4h,beh,c2h,bah,b8h,bah,b8h,bch,c4h,c3h
    DB    bch,bbh,bdh,c5h,bfh,c0h,bfh,bdh,c3h,c4h
    DB    c2h,c3h,c4h,c5h,cbh,cbh,cdh,c8h,cfh,d4h
    DB    d3h,ceh,e7h,f2h,f2h,eeh,eeh,eah,e8h,ech
    DB    edh,edh,eeh,ech,f3h,e9h,d0h,c3h,cbh,c9h
    DB    cch,c1h,cbh,c9h,c2h,cfh,c6h,cdh,cch,d6h
    DB    b9h,92h,94h,8ch,86h,83h,7ah,79h,89h,7ah
    DB    7ch,89h,8bh,9eh,94h,9eh,90h,86h,74h,72h
    DB    70h,7bh,7fh,76h,7fh,86h,a0h,94h,8fh,7ch
    DB    6eh,7ah,6eh,76h,76h,7ah,7ah,88h,87h,81h
    DB    86h,7ch,8eh,a5h,a8h,96h,80h,7dh,8dh,91h
    DB    90h,9fh,9eh,bch,d3h,d1h,e9h,e7h,e3h,d8h
    DB    d5h,d6h,d8h,d6h,d4h,d6h,ddh,cfh,dch,e1h
    DB    e0h,e1h,deh,e3h,ebh,cfh,c8h,8eh,e8h,f4h
    DB    f2h,f5h,f4h,eeh,e3h,d6h,d2h,d4h,d2h,d3h
    DB    e7h,7ah,7bh,5dh,8eh,e7h,d9h,cdh,c6h,c7h
    DB    beh,b4h,82h,75h,79h,7dh,7dh,76h,6ah,69h
    DB    66h,6dh,72h,71h,6bh,5dh,5eh,61h,60h,5eh
    DB    58h,5ah,56h,53h,54h,59h,5eh,5ah,5dh,5dh
    DB    61h,76h,43h,4bh,60h,65h,60h,60h,64h,5eh
    DB    5bh,65h,78h,ceh,bfh,a2h,e2h,c4h,c3h,71h
    DB    d9h,dah,dbh,d9h,d5h,dbh,d8h,dbh,d4h,cdh
    DB    cch,cch,d7h,d2h,d9h,d8h,cbh,cbh,cch,c7h
    DB    c7h,cch,c6h,cbh,d7h,d7h,d3h,d3h,cbh,d4h
    DB    cch,cdh,c6h,c3h,bfh,c2h,c4h,c8h,c3h,c6h
    DB    c5h,cbh,c5h,c2h,c7h,c5h,c1h,c4h,cah,c8h
    DB    c9h,c4h,c2h,c0h,beh,c9h,c8h,d6h,dbh,d3h
    DB    d4h,d5h,edh,f1h,f1h,f0h,efh,e9h,e6h,e8h
    DB    e9h,edh,eeh,ech,efh,d1h,c8h,c9h,c4h,c8h
    DB    c3h,c4h,cah,c7h,c2h,c3h,c5h,c8h,cah,e1h
    DB    9eh,83h,7bh,75h,7ch,76h,72h,72h,7ah,76h
    DB    79h,71h,6dh,6bh,7eh,81h,9ch,9bh,9bh,7fh
    DB    81h,9eh,88h,80h,9fh,9dh,95h,8ah,94h,93h
    DB    7eh,80h,79h,84h,86h,86h,92h,88h,8ch,91h
    DB    8fh,81h,9eh,a1h,98h,84h,76h,7bh,71h,8fh
    DB    8ch,96h,71h,c0h,d4h,d5h,d2h,71h,79h,d8h
    DB    d4h,d8h,e9h,e6h,e0h,d5h,cch,cah,d8h,dch
    DB    ech,e1h,e5h,e2h,f2h,f0h,f3h,f1h,e6h,e6h
    DB    ech,efh,ebh,edh,e3h,d7h,d5h,dah,dah,d7h
    DB    e1h,6dh,78h,56h,a2h,e6h,dah,cch,bfh,c2h
    DB    bbh,a2h,90h,84h,6dh,74h,77h,7dh,79h,7ah
    DB    6eh,74h,81h,66h,60h,62h,5eh,5ah,55h,50h
    DB    59h,58h,5fh,60h,66h,6ch,56h,57h,5ch,58h
    DB    6eh,61h,3bh,53h,62h,61h,5fh,62h,61h,60h
    DB    69h,72h,d1h,cah,eah,b2h,e9h,edh,c5h,cfh
    DB    dbh,d6h,d7h,d7h,dch,dbh,d5h,d6h,ddh,dbh
    DB    d3h,ceh,d4h,d8h,d2h,d2h,cbh,c4h,c8h,c8h
    DB    c6h,c9h,cdh,cdh,cah,c5h,c8h,cbh,cfh,d2h
    DB    c9h,c6h,bdh,c0h,ceh,c8h,c7h,c7h,c2h,c3h
    DB    c4h,beh,c3h,c6h,d4h,c9h,ach,a5h,c2h,cah
    DB    c5h,c2h,cah,cah,d4h,cch,c8h,d1h,ceh,d3h
    DB    d6h,ddh,e9h,eeh,eeh,edh,edh,ech,ech,e8h
    DB    ebh,f0h,f0h,f1h,efh,e6h,d3h,cah,cdh,d0h
    DB    d2h,cah,cch,d3h,d1h,c9h,cbh,cch,cfh,a6h
    DB    83h,75h,6ah,6fh,70h,76h,6eh,75h,7ah,6bh
    DB    67h,6bh,6fh,6bh,63h,74h,74h,7bh,87h,91h
    DB    8fh,8dh,78h,7eh,77h,77h,7eh,81h,75h,83h
    DB    87h,80h,88h,99h,8bh,96h,90h,74h,71h,6fh
    DB    69h,6fh,8bh,aah,89h,5ch,73h,74h,74h,7eh
    DB    7fh,7dh,77h,c0h,d6h,d4h,cah,70h,66h,d6h
    DB    dch,e2h,c9h,92h,97h,dch,d7h,d9h,dch,e6h
    DB    e8h,ech,f1h,ebh,f1h,f7h,f3h,f4h,f5h,eeh
    DB    ech,eeh,eeh,f1h,e5h,d9h,dfh,dah,d9h,d9h
    DB    e1h,c4h,b3h,69h,8fh,e1h,dah,ceh,c7h,beh
    DB    c1h,aeh,95h,8eh,7ah,79h,85h,8eh,9ah,a9h
    DB    b5h,a9h,6ah,60h,61h,5ah,5bh,58h,55h,57h
    DB    5dh,60h,60h,61h,61h,5eh,53h,58h,5dh,62h
    DB    76h,76h,5bh,63h,5ah,59h,58h,5ch,59h,64h
    DB    6ch,cch,8fh,c7h,c8h,8eh,b9h,b4h,b3h,86h
    DB    d7h,dch,d2h,d8h,d1h,d6h,d7h,d6h,d6h,d4h
    DB    d1h,dbh,d6h,d3h,d2h,d7h,d9h,ceh,ceh,c8h
    DB    cdh,d8h,d8h,d6h,d1h,d9h,d3h,c8h,cah,cbh
    DB    c5h,cch,cdh,ceh,c8h,d8h,d0h,d4h,cch,c9h
    DB    bfh,bfh,c8h,c4h,c5h,aah,8bh,86h,90h,aah
    DB    c5h,c6h,beh,beh,bdh,c7h,ceh,ceh,cfh,d5h
    DB    d8h,dbh,ddh,ech,edh,ech,e6h,e8h,e9h,e9h
    DB    e9h,ech,edh,eeh,ebh,eeh,dch,cdh,c5h,c3h
    DB    cfh,c8h,c7h,c7h,d7h,a7h,88h,7fh,75h,81h
    DB    7ch,69h,66h,59h,67h,72h,7eh,65h,66h,5bh
    DB    67h,66h,63h,5ah,60h,63h,63h,6ch,67h,6ch
    DB    80h,71h,67h,68h,6fh,79h,6fh,71h,77h,71h
    DB    6dh,6dh,6dh,7bh,73h,66h,63h,64h,6ch,63h
    DB    66h,70h,89h,a2h,9ah,7fh,4dh,6dh,78h,76h
    DB    87h,6eh,8ch,b4h,d5h,d4h,cbh,4ah,68h,ceh
    DB    d9h,e0h,a8h,85h,8ah,d3h,dah,d5h,d8h,ebh
    DB    e8h,e6h,c9h,b6h,d0h,f0h,f0h,f1h,ech,eeh
    DB    ech,f2h,efh,f2h,e6h,d9h,ddh,d8h,d9h,d5h
    DB    d9h,deh,e1h,e2h,e0h,d5h,d8h,cdh,c9h,c5h
    DB    c4h,a5h,9dh,b5h,bbh,b8h,bch,adh,aeh,b0h
    DB    a0h,5fh,5ch,59h,55h,56h,58h,58h,59h,5dh
    DB    61h,60h,60h,63h,61h,5bh,5dh,64h,5fh,65h
    DB    66h,61h,62h,5ah,5fh,5bh,60h,67h,6fh,76h
    DB    cch,c1h,9fh,e9h,e4h,aah,dah,e6h,deh,c2h
    DB    d8h,d5h,d1h,d4h,d2h,d9h,d6h,d9h,d2h,d1h
    DB    d2h,cfh,d8h,d6h,d5h,d8h,d7h,cfh,d2h,d0h
    DB    d0h,d2h,ddh,e0h,e2h,d6h,d6h,d0h,d0h,c7h
    DB    cah,c2h,ceh,b8h,c6h,c3h,cfh,d3h,d2h,d6h
    DB    d3h,cfh,cch,c7h,9fh,7ch,76h,72h,73h,84h
    DB    a5h,c6h,ceh,d6h,d3h,d1h,cbh,ceh,cfh,ceh
    DB    d6h,d4h,d8h,e3h,eeh,eeh,edh,ech,eah,e9h
    DB    ebh,e8h,e8h,eah,edh,eeh,efh,e7h,e0h,cfh
    DB    dbh,c7h,cbh,aah,91h,81h,73h,68h,6fh,77h
    DB    67h,6ah,6fh,64h,67h,67h,68h,6fh,64h,73h
    DB    82h,83h,72h,65h,7ah,65h,73h,62h,68h,6dh
    DB    83h,6eh,64h,65h,67h,62h,65h,70h,69h,63h
    DB    6ch,68h,69h,6eh,7bh,77h,70h,7ch,95h,91h
    DB    a2h,b3h,a2h,99h,85h,7dh,7ah,5eh,77h,58h
    DB    75h,7bh,80h,afh,d1h,d4h,e2h,dch,bbh,e0h
    DB    e0h,e0h,b4h,68h,68h,c0h,d9h,d5h,d7h,e8h
    DB    e8h,e6h,a3h,82h,72h,e9h,f5h,f8h,ceh,87h
    DB    b1h,e8h,e7h,f1h,e6h,d3h,c9h,d9h,d8h,d3h
    DB    d4h,d2h,d7h,d8h,d8h,d4h,d0h,c9h,cah,cah
    DB    cah,ach,9eh,bah,b9h,adh,ach,adh,b3h,9bh
    DB    60h,65h,5eh,5ch,56h,57h,54h,57h,54h,56h
    DB    52h,55h,52h,5ah,59h,5ch,64h,5dh,66h,63h
    DB    65h,62h,61h,5dh,64h,66h,6ch,6ah,6eh,cch
    DB    c4h,e4h,aeh,e6h,e1h,aah,d9h,e4h,e1h,bah
    DB    d1h,d0h,cch,d4h,d1h,d2h,d5h,d5h,d2h,d2h
    DB    d8h,d6h,dah,d8h,d1h,d2h,cah,d2h,d5h,d1h
    DB    d5h,d6h,d9h,d9h,dch,e6h,dch,ddh,d3h,d4h
    DB    cdh,ceh,c1h,bfh,b1h,b6h,cah,cch,cdh,d2h
    DB    d9h,ceh,d3h,a9h,70h,65h,6bh,6ah,73h,7bh
    DB    80h,92h,c0h,afh,d3h,d1h,d4h,c3h,c0h,d0h
    DB    ceh,cch,c7h,deh,dbh,ebh,f1h,ebh,e9h,e9h
    DB    e7h,ech,eah,ebh,ebh,e8h,e9h,efh,ech,e5h
    DB    e3h,e2h,d1h,a7h,95h,81h,76h,73h,71h,73h
    DB    6bh,78h,76h,89h,6eh,74h,81h,6ah,86h,91h
    DB    82h,7dh,85h,87h,8fh,96h,8bh,92h,7bh,6eh
    DB    68h,5fh,65h,62h,5eh,65h,67h,6bh,6bh,73h
    DB    80h,8ch,95h,97h,a1h,a9h,afh,a6h,8bh,c0h
    DB    bfh,c3h,aeh,92h,75h,69h,6ch,65h,6eh,52h
    DB    6dh,76h,7ch,abh,d0h,d3h,d4h,d9h,ddh,e5h
    DB    d6h,dfh,eeh,edh,d6h,e5h,dah,d7h,d6h,e6h
    DB    e9h,dfh,9bh,69h,74h,e2h,f3h,f7h,b1h,60h
    DB    50h,cfh,f5h,f5h,e3h,c9h,c4h,d7h,b4h,c8h
    DB    d4h,e3h,d4h,d4h,d9h,d9h,d8h,ceh,c7h,c6h
    DB    cdh,a9h,9dh,b8h,b2h,aeh,ach,abh,97h,69h
    DB    64h,5ch,5fh,5bh,59h,52h,5bh,54h,58h,5ah
    DB    5bh,55h,57h,50h,57h,59h,61h,59h,5eh,5fh
    DB    5ch,58h,62h,67h,6ah,65h,5ch,68h,c3h,a8h
    DB    c0h,b9h,85h,bbh,afh,90h,abh,bbh,c3h,a9h
    DB    d5h,d8h,d3h,d2h,d7h,d7h,d9h,d9h,d3h,cdh
    DB    d4h,d2h,d6h,d4h,d8h,d5h,d8h,ceh,cfh,d2h
    DB    d7h,d8h,d8h,deh,deh,dbh,dfh,d4h,d7h,cah
    DB    cch,cch,b6h,ach,99h,96h,beh,c3h,b6h,cfh
    DB    d7h,d7h,cfh,99h,6fh,63h,70h,67h,71h,71h
    DB    6dh,7bh,7eh,74h,84h,bah,b9h,95h,95h,c4h
    DB    b4h,88h,a3h,c9h,d7h,deh,ddh,e8h,edh,eeh
    DB    efh,edh,edh,ech,ebh,efh,efh,efh,eeh,eeh
    DB    ebh,eah,ebh,ebh,e9h,e0h,d3h,c5h,a7h,94h
    DB    8eh,86h,87h,79h,76h,71h,75h,90h,a4h,9ch
    DB    93h,9ch,92h,a1h,a6h,8dh,9fh,a0h,abh,a6h
    DB    a1h,75h,74h,7dh,80h,95h,a1h,a4h,abh,b9h
    DB    beh,bdh,c9h,cah,b2h,b7h,8ch,64h,67h,70h
    DB    a1h,aeh,a8h,8fh,86h,6dh,56h,5ah,61h,58h
    DB    61h,61h,67h,a5h,d4h,d2h,e4h,e2h,eah,e3h
    DB    c8h,d4h,e0h,dah,dch,dbh,d0h,d3h,d0h,e6h
    DB    e9h,ddh,c9h,a8h,69h,d9h,edh,f1h,b5h,4bh
    DB    4fh,c4h,edh,f3h,e4h,c8h,c6h,ddh,9eh,74h
    DB    90h,e9h,d4h,dch,e3h,c2h,d2h,e3h,cbh,c3h
    DB    c6h,ach,9fh,abh,afh,b5h,b3h,b0h,a2h,91h
    DB    81h,70h,60h,5dh,5ch,5eh,5ah,58h,53h,57h
    DB    5ah,53h,59h,55h,55h,54h,5ch,60h,58h,54h
    DB    5dh,5bh,5fh,5dh,5dh,61h,64h,bch,b4h,c2h
    DB    dfh,dah,9fh,ddh,c9h,81h,b2h,e1h,dch,bch
    DB    d0h,d9h,cch,d7h,d0h,d4h,d0h,cfh,d2h,d1h
    DB    cbh,ceh,d2h,d0h,d4h,d4h,d0h,d6h,d5h,d2h
    DB    d7h,d6h,d4h,d9h,e4h,e1h,d9h,d9h,ddh,d9h
    DB    e5h,c7h,a9h,a2h,94h,81h,89h,9eh,a3h,a8h
    DB    c1h,c1h,b8h,b7h,9fh,92h,99h,74h,61h,5ah
    DB    65h,65h,6ah,6dh,77h,78h,84h,81h,87h,89h
    DB    76h,7bh,7eh,9ah,b6h,bah,d8h,e0h,dch,e0h
    DB    edh,ebh,edh,eah,e9h,edh,ech,ebh,d5h,e9h
    DB    ebh,e9h,eah,e8h,e6h,e9h,eeh,edh,e7h,e6h
    DB    e9h,e8h,d0h,bdh,b3h,aah,a7h,a1h,7bh,87h
    DB    7ch,85h,6eh,8fh,9eh,76h,aeh,a7h,8eh,99h
    DB    90h,8ah,9fh,c7h,c9h,c9h,c5h,bch,beh,c5h
    DB    c3h,cbh,d0h,cch,8ch,85h,68h,5eh,55h,77h
    DB    afh,89h,84h,8ah,81h,60h,63h,5ah,5eh,5eh
    DB    59h,56h,6ah,a1h,ceh,d2h,dch,61h,5bh,b2h
    DB    d7h,deh,ebh,a9h,b3h,ceh,afh,7ch,49h,c7h
    DB    e2h,dfh,e7h,e3h,eah,e0h,e0h,e6h,e2h,beh
    DB    96h,d9h,e8h,ebh,dbh,d1h,d3h,e5h,83h,7ch
    DB    7bh,ech,d7h,d6h,c6h,65h,58h,d0h,d8h,d2h
    DB    d1h,b5h,9dh,aeh,a9h,a8h,aeh,abh,b2h,cch
    DB    c3h,c2h,abh,9bh,90h,88h,7ch,6ah,5ah,59h
    DB    57h,52h,53h,55h,5ah,57h,58h,56h,55h,55h
    DB    55h,5ah,61h,61h,5ah,58h,abh,bfh,d1h,c4h
    DB    d8h,dbh,a4h,dah,d9h,b6h,d4h,d9h,d9h,b7h
    DB    dah,d6h,d2h,d7h,d2h,d7h,d7h,cdh,dah,d3h
    DB    ceh,d4h,cfh,cch,d2h,d3h,d2h,d5h,d5h,d9h
    DB    d6h,e1h,ddh,ddh,e1h,deh,bch,d6h,d6h,d5h
    DB    d6h,c1h,9eh,90h,80h,73h,79h,89h,8bh,93h
    DB    99h,96h,9fh,a8h,a0h,a3h,a3h,89h,75h,5eh
    DB    5dh,63h,6bh,62h,64h,6fh,71h,76h,6fh,73h
    DB    74h,7eh,7fh,80h,7dh,7dh,a6h,bdh,cch,cdh
    DB    d1h,d3h,ddh,eah,edh,d1h,bdh,d4h,e1h,d5h
    DB    f2h,f2h,efh,ebh,e6h,e4h,eeh,f0h,eeh,efh
    DB    efh,f0h,eeh,efh,f1h,f0h,f2h,eah,ddh,ceh
    DB    cah,beh,abh,bah,9dh,83h,aeh,98h,87h,9eh
    DB    97h,88h,82h,b1h,c1h,bdh,bch,bah,c7h,c1h
    DB    bdh,beh,b7h,c4h,98h,93h,96h,85h,7fh,82h
    DB    8eh,7bh,85h,89h,61h,58h,51h,54h,4ch,5bh
    DB    4dh,4eh,54h,95h,d4h,d4h,deh,6eh,84h,c1h
    DB    ddh,d9h,e3h,68h,69h,22h,1ah,68h,bah,d1h
    DB    d2h,c9h,b0h,82h,78h,a2h,d6h,e0h,d8h,dfh
    DB    d9h,d3h,d7h,e2h,e0h,d3h,d4h,e4h,aah,83h
    DB    6bh,f0h,d3h,dbh,b4h,66h,5dh,c2h,ceh,cch
    DB    d3h,b2h,9dh,a6h,a9h,a6h,ach,a1h,aah,d1h
    DB    cfh,c8h,cfh,ceh,7dh,38h,91h,7bh,89h,9dh
    DB    97h,8ch,7dh,70h,62h,54h,54h,55h,52h,52h
    DB    56h,5bh,62h,5ah,5eh,adh,b8h,d1h,c2h,b2h
    DB    c2h,c0h,89h,b6h,b3h,7fh,a9h,a8h,a2h,78h
    DB    d2h,c9h,a9h,b5h,ddh,d6h,d8h,d2h,d5h,dbh
    DB    d3h,d2h,d6h,d5h,d0h,d6h,d6h,dah,dbh,d8h
    DB    dah,dch,dbh,deh,e2h,b9h,c5h,cch,d2h,cfh
    DB    bah,aeh,8fh,7fh,76h,6ah,76h,7fh,8bh,85h
    DB    81h,7eh,85h,8eh,8fh,a0h,a1h,9ch,9eh,90h
    DB    6eh,6ch,66h,5fh,68h,6eh,67h,64h,5fh,67h
    DB    68h,77h,78h,71h,65h,6dh,8ah,a9h,c0h,c6h
    DB    cch,d2h,d8h,d7h,d4h,aah,c0h,c2h,d1h,d8h
    DB    d4h,ebh,efh,ech,ech,ech,eeh,edh,eah,ech
    DB    f0h,efh,e0h,dfh,f0h,e4h,d2h,beh,c6h,cch
    DB    cah,d9h,e3h,e4h,e5h,e9h,e4h,dfh,ddh,d4h
    DB    dah,c3h,c7h,a5h,c0h,c0h,c8h,c0h,bch,c1h
    DB    beh,c4h,b9h,b6h,bfh,b2h,afh,bah,afh,b0h
    DB    a9h,9ch,aeh,afh,5eh,4fh,4bh,59h,55h,50h
    DB    52h,5bh,50h,8eh,d5h,d7h,e0h,70h,77h,a7h
    DB    dfh,d7h,d4h,54h,39h,23h,aeh,cdh,cch,d1h
    DB    95h,41h,4ch,82h,7dh,41h,31h,5fh,dfh,d8h
    DB    d7h,d5h,d3h,e7h,e1h,d2h,d8h,dah,dbh,e0h
    DB    e1h,e9h,dch,dah,d7h,9fh,72h,d0h,d1h,cbh
    DB    d0h,aeh,99h,a8h,a6h,a5h,a7h,a1h,a7h,c8h
    DB    c6h,c7h,c5h,d0h,7ah,2fh,97h,40h,46h,bch
    DB    c5h,c2h,bch,bah,b7h,b4h,a7h,9ah,89h,78h
    DB    70h,62h,57h,59h,ach,9fh,b7h,cbh,c4h,c1h
    DB    d2h,99h,9ah,d8h,ceh,92h,c2h,d9h,dah,a2h
    DB    cbh,9ah,97h,a1h,cfh,dah,d2h,d1h,d8h,dah
    DB    d8h,d7h,dbh,d9h,d8h,d7h,e1h,e0h,deh,deh
    DB    e2h,e1h,e2h,deh,ceh,a5h,abh,b1h,b1h,b6h
    DB    aeh,97h,81h,75h,69h,69h,73h,7dh,79h,6fh
    DB    6dh,6ch,73h,80h,81h,92h,90h,8ch,9dh,a4h
    DB    91h,70h,60h,62h,62h,62h,6bh,6bh,6eh,66h
    DB    69h,77h,85h,6eh,5eh,67h,72h,88h,9bh,b2h
    DB    cch,c7h,d0h,dah,a2h,a5h,b4h,b7h,beh,c9h
    DB    beh,bah,e5h,e0h,eeh,f0h,f2h,f0h,ebh,f1h
    DB    e9h,d1h,aah,b3h,c6h,a8h,81h,94h,89h,7dh
    DB    9dh,ach,adh,a5h,aeh,beh,d2h,dch,e7h,efh
    DB    f2h,f2h,f3h,f4h,f4h,f3h,f1h,f0h,e6h,e6h
    DB    deh,d8h,ceh,d0h,cdh,c0h,bbh,bah,afh,adh
    DB    afh,aah,bbh,bah,b0h,8ch,88h,8bh,9ah,76h
    DB    6bh,89h,78h,a1h,cbh,d3h,e8h,a5h,8fh,abh
    DB    deh,d8h,deh,3ch,12h,96h,ceh,d1h,a5h,38h
    DB    3fh,b0h,ceh,cah,cch,d0h,e0h,f2h,d6h,58h
    DB    59h,d7h,f0h,ech,dfh,d0h,d2h,d6h,e3h,dch
    DB    d5h,cdh,c9h,cah,dbh,dah,dbh,d8h,cah,cah
    DB    cbh,b3h,99h,a7h,a2h,aah,a8h,a4h,a7h,c0h
    DB    c3h,c4h,c6h,c9h,75h,35h,94h,3ah,4dh,b7h
    DB    c5h,c4h,c6h,ceh,cah,c7h,c5h,c5h,c5h,c2h
    DB    b9h,b7h,abh,b8h,abh,bbh,cah,d9h,cdh,c7h
    DB    d8h,b5h,a7h,d6h,bch,b7h,bbh,d4h,cfh,bdh
    DB    beh,8ch,86h,97h,afh,dah,cfh,d5h,d0h,e1h
    DB    e2h,e0h,e1h,e1h,e1h,ddh,d5h,ddh,dbh,dch
    DB    e2h,e0h,e1h,dah,b7h,9ah,85h,86h,97h,9ah
    DB    95h,85h,70h,67h,69h,66h,6eh,70h,63h,5ah
    DB    66h,67h,63h,74h,79h,80h,84h,8fh,9bh,96h
    DB    a3h,9fh,7dh,63h,60h,5dh,6bh,65h,6ah,71h
    DB    74h,75h,79h,6eh,60h,5eh,6ah,70h,7ah,92h
    DB    a4h,bah,9dh,90h,88h,8fh,8dh,9eh,a9h,b6h
    DB    adh,afh,b2h,c1h,cah,cfh,dbh,e4h,ech,c9h
    DB    9dh,90h,89h,9bh,aeh,a7h,9fh,a4h,9dh,6ah
    DB    8bh,92h,9dh,9eh,a4h,98h,92h,93h,9fh,bfh
    DB    e2h,f2h,f2h,f1h,f4h,f5h,f5h,f4h,f3h,f3h
    DB    f2h,f4h,f3h,f4h,f2h,f2h,f0h,edh,eah,dfh
    DB    dch,d3h,d0h,c5h,c7h,b7h,b1h,b4h,a7h,a7h
    DB    a7h,a4h,a0h,afh,c6h,c7h,d3h,dah,dch,e1h
    DB    c8h,cah,88h,11h,87h,cbh,cbh,70h,2fh,95h
    DB    cdh,cch,ceh,cbh,cbh,c8h,d3h,e5h,d2h,4dh
    DB    60h,dbh,edh,e1h,ddh,d0h,d1h,deh,b7h,aah
    DB    abh,e2h,c9h,c8h,d7h,dbh,d3h,c9h,c3h,c9h
    DB    c8h,b1h,95h,9bh,9eh,9fh,9fh,9ah,a7h,c5h
    DB    c6h,c4h,bfh,c6h,8ch,49h,95h,4ah,56h,b5h
    DB    c2h,c1h,c5h,c5h,cah,c8h,c5h,cbh,cdh,cah
    DB    c9h,c2h,bdh,b7h,b1h,cfh,d5h,d8h,b5h,beh
    DB    c2h,c6h,a4h,d5h,b9h,b7h,c0h,b3h,b8h,a4h
    DB    aah,86h,7fh,89h,a1h,cbh,d1h,c2h,dah,dfh
    DB    e0h,e0h,dch,dbh,d8h,dch,e4h,e0h,dch,ddh
    DB    deh,dch,e1h,deh,a4h,86h,76h,7fh,7dh,81h
    DB    86h,7ch,6bh,68h,69h,61h,5ah,5ch,5fh,5bh
    DB    62h,61h,61h,6ah,70h,7bh,81h,89h,97h,94h
    DB    94h,95h,88h,64h,5ch,5dh,65h,62h,74h,75h
    DB    80h,88h,95h,84h,77h,69h,65h,69h,6dh,70h
    DB    8dh,8eh,86h,7ah,82h,7eh,7ah,94h,92h,93h
    DB    9ah,9bh,9eh,bbh,bdh,b6h,bah,b8h,afh,8bh
    DB    7eh,7ah,85h,88h,8eh,92h,9eh,a1h,a5h,9eh
    DB    7dh,7ah,73h,90h,79h,ach,77h,a6h,8bh,89h
    DB    b0h,e1h,f3h,f2h,f1h,f4h,f3h,f5h,f2h,f2h
    DB    f2h,f2h,efh,f2h,f1h,f1h,f0h,f1h,f1h,efh
    DB    f0h,f1h,f2h,f2h,f1h,f1h,eeh,eeh,ebh,e7h
    DB    deh,cfh,c7h,ceh,d1h,dch,ddh,d9h,ceh,b8h
    DB    86h,36h,25h,95h,cch,ceh,c4h,6ch,c1h,cfh
    DB    cfh,cdh,a4h,7ah,78h,a4h,ceh,cfh,c0h,53h
    DB    52h,c9h,eeh,e2h,d7h,cch,ceh,e1h,a6h,7bh
    DB    87h,ebh,d1h,cah,dah,ach,b4h,ddh,c4h,c5h
    DB    c7h,a4h,8fh,a3h,9eh,a1h,9fh,9bh,a0h,c3h
    DB    c4h,c5h,c4h,c2h,c2h,beh,c0h,9bh,85h,c1h
    DB    c7h,c9h,c8h,c2h,c4h,c7h,c7h,c6h,cdh,c7h
    DB    c5h,c4h,cah,c6h,b5h,c7h,aeh,b3h,a1h,9ah
    DB    93h,bbh,92h,b5h,b7h,aeh,bch,b6h,c8h,b0h
    DB    79h,77h,7ch,75h,86h,afh,cfh,a0h,c3h,d4h
    DB    e2h,d9h,d9h,e0h,dfh,e0h,d6h,d4h,d9h,ddh
    DB    dfh,e5h,deh,c8h,95h,81h,6bh,6ch,68h,77h
    DB    68h,66h,67h,65h,62h,59h,56h,55h,5dh,5ch
    DB    69h,64h,60h,6ah,74h,71h,78h,80h,80h,83h
    DB    89h,94h,8ch,67h,62h,5ch,5fh,65h,6eh,79h
    DB    7ch,87h,98h,a5h,abh,89h,6eh,6ah,6ch,80h
    DB    7ch,7fh,7ah,6fh,7ah,80h,85h,7ch,88h,88h
    DB    86h,92h,97h,a3h,a9h,9fh,a2h,9dh,8eh,88h
    DB    7bh,83h,8ah,80h,7dh,85h,91h,99h,a6h,ach
    DB    96h,9bh,88h,92h,95h,95h,6fh,8ah,70h,7fh
    DB    6fh,d5h,f0h,eeh,f1h,f0h,f1h,eeh,edh,eeh
    DB    f1h,f2h,f4h,f5h,f4h,f4h,f2h,f0h,f0h,f0h
    DB    f0h,f1h,f3h,f4h,f2h,f0h,f1h,efh,f1h,f1h
    DB    f0h,e9h,cch,93h,66h,52h,39h,2bh,20h,33h
    DB    5dh,8ch,c9h,cfh,cch,ceh,cch,cdh,cbh,ceh
    DB    d6h,afh,42h,77h,49h,0fh,3dh,73h,82h,5dh
    DB    33h,c2h,dfh,e3h,d2h,c7h,cch,dch,a7h,7ch
    DB    89h,e4h,cdh,c3h,ceh,75h,6bh,c0h,c0h,beh
    DB    b7h,9fh,8ch,9eh,9ah,9ah,9ch,94h,9ah,bdh
    DB    c3h,c1h,c1h,bfh,c5h,c3h,c5h,c2h,c4h,c5h
    DB    bdh,c0h,c2h,c3h,c6h,c8h,c4h,c1h,c5h,c4h
    DB    c6h,cah,c9h,cbh,b5h,c6h,d3h,d6h,cch,b5h
    DB    bbh,d6h,b0h,c2h,dah,cbh,d0h,d0h,beh,bah
    DB    77h,6ah,6dh,72h,7ah,8ch,9ah,87h,9dh,b2h
    DB    cbh,e5h,d9h,e2h,e3h,e4h,e0h,dch,deh,dah
    DB    e0h,e5h,d2h,9bh,7fh,74h,65h,60h,5fh,63h
    DB    66h,67h,60h,59h,5bh,55h,5dh,56h,5fh,65h
    DB    5fh,68h,68h,68h,73h,6bh,79h,7ch,7ch,7dh
    DB    82h,8dh,a3h,9bh,7ah,63h,5eh,65h,70h,74h
    DB    75h,7ch,92h,a0h,a3h,a4h,8dh,7eh,86h,76h
    DB    72h,72h,71h,74h,7eh,77h,71h,79h,7eh,7bh
    DB    81h,88h,8ch,99h,99h,96h,96h,94h,8ah,88h
    DB    83h,79h,85h,82h,7eh,7dh,8bh,99h,abh,ach
    DB    a7h,b0h,b3h,b6h,b8h,b6h,b2h,b2h,ach,a6h
    DB    9ch,c0h,d8h,d9h,e4h,e9h,ebh,ebh,ech,efh
    DB    efh,f1h,f1h,f0h,f0h,f1h,f0h,f2h,f1h,f0h
    DB    f0h,f2h,efh,f2h,f2h,f1h,eeh,eeh,eeh,edh
    DB    e6h,6ah,23h,60h,95h,aeh,bdh,c2h,cbh,d2h
    DB    cdh,9ah,c8h,ceh,c3h,d0h,ceh,ceh,cfh,cfh
    DB    cfh,cfh,d2h,cfh,d5h,aeh,8bh,6bh,7eh,a3h
    DB    cfh,d7h,d1h,ddh,dbh,cdh,cah,dbh,aeh,6eh
    DB    4ch,e1h,c8h,c0h,c4h,58h,63h,c5h,bfh,c0h
    DB    bfh,9eh,90h,99h,9fh,9bh,9bh,93h,99h,bdh
    DB    c2h,c4h,c9h,c3h,bfh,beh,c2h,cch,c9h,cah
    DB    cbh,ceh,cbh,c8h,c6h,c5h,c3h,c2h,c2h,c3h
    DB    c5h,c5h,cah,cbh,bch,c9h,cdh,d4h,c6h,96h
    DB    cch,d3h,9ah,c3h,d5h,c6h,cdh,dbh,b7h,b7h
    DB    6eh,68h,6ah,68h,5fh,68h,71h,76h,80h,94h
    DB    bah,d1h,e3h,e1h,ddh,dch,e0h,ddh,e2h,e4h
    DB    d7h,e3h,abh,89h,6ch,62h,63h,63h,67h,5fh
    DB    5eh,66h,5eh,5ah,5eh,5dh,67h,5fh,62h,66h
    DB    6bh,69h,73h,64h,72h,71h,74h,6ch,80h,81h
    DB    86h,82h,96h,93h,9ch,79h,74h,64h,75h,6bh
    DB    76h,7ch,81h,92h,8eh,91h,88h,77h,71h,74h
    DB    71h,67h,68h,71h,72h,6ch,71h,7bh,84h,77h
    DB    76h,77h,7eh,8ch,96h,8eh,95h,8fh,89h,84h
    DB    76h,7ch,6eh,72h,76h,87h,8ah,97h,99h,9dh
    DB    a7h,8dh,92h,aah,b3h,bah,bah,b8h,a6h,b0h
    DB    b2h,bfh,cbh,cfh,ceh,ceh,c9h,d0h,cch,cch
    DB    d6h,d9h,dbh,dah,e1h,e0h,e3h,e5h,eah,efh
    DB    eeh,f1h,efh,eeh,f0h,f4h,f3h,f5h,f0h,e8h
    DB    49h,3dh,c4h,d2h,ceh,cdh,cfh,cch,cch,d0h
    DB    3fh,0dh,94h,7fh,17h,a6h,cah,ceh,cdh,cdh
    DB    cdh,cdh,cfh,cdh,cch,ceh,ceh,cfh,cch,cch
    DB    d5h,d5h,d0h,d3h,cah,c5h,c1h,bfh,cdh,d6h
    DB    d1h,dbh,c1h,bdh,c8h,68h,4ch,b3h,bfh,bfh
    DB    c4h,a3h,8fh,9fh,99h,9bh,9dh,9eh,9ah,beh
    DB    c8h,c6h,c6h,c5h,c7h,cah,98h,90h,b2h,cbh
    DB    cbh,c8h,c4h,c6h,c8h,c8h,c5h,c9h,c6h,c4h
    DB    c5h,c3h,c6h,cbh,b8h,c0h,c7h,d2h,c2h,9ch
    DB    d6h,d9h,8fh,d1h,d7h,c2h,cbh,c4h,b5h,9ah
    DB    6fh,6fh,72h,67h,5ch,61h,65h,5ah,6eh,87h
    DB    aah,bah,d4h,e3h,c7h,d0h,d2h,dch,dch,dch
    DB    9eh,b6h,90h,7fh,63h,5eh,5eh,5eh,5ah,5dh
    DB    66h,62h,5dh,64h,63h,60h,5ah,5dh,5eh,68h
    DB    6ah,6ch,73h,71h,74h,77h,6bh,6ah,6ah,73h
    DB    75h,7dh,8bh,8dh,90h,99h,8dh,71h,75h,6eh
    DB    6bh,6fh,7fh,8ah,7fh,84h,85h,82h,7ah,75h
    DB    66h,69h,71h,70h,6bh,6ah,6ch,70h,6eh,6ch
    DB    6dh,72h,77h,7ch,88h,87h,8ah,8dh,8ch,84h
    DB    7ch,77h,7fh,80h,81h,86h,8fh,8ch,8eh,89h
    DB    84h,82h,80h,87h,85h,a3h,b1h,a2h,87h,90h
    DB    9ah,c1h,c6h,c6h,c4h,c2h,c4h,c4h,c9h,c3h
    DB    c0h,c6h,c7h,c2h,bbh,c0h,c2h,c4h,c2h,cdh
    DB    d1h,d6h,dah,e3h,e5h,e5h,e5h,e7h,e9h,97h
    DB    17h,c1h,cfh,cfh,d2h,cfh,d2h,cfh,cdh,cdh
    DB    4fh,4eh,cah,5ah,0eh,a5h,cbh,cch,cch,cch
    DB    cbh,cfh,cfh,a1h,c0h,cbh,cbh,d2h,d8h,e0h
    DB    dfh,dfh,dah,d3h,cbh,beh,c4h,c8h,cah,c8h
    DB    cch,c1h,bah,b5h,c6h,d7h,c5h,ceh,b5h,bch
    DB    beh,9ah,8eh,9eh,9dh,98h,94h,92h,97h,9bh
    DB    99h,a5h,b7h,c1h,c5h,d1h,78h,3dh,6eh,a4h
    DB    68h,7fh,c4h,c7h,c5h,c6h,cah,c5h,c6h,c3h
    DB    c7h,c3h,c5h,c5h,bch,c0h,aeh,98h,adh,a5h
    DB    9ah,afh,aah,bah,88h,c6h,c6h,93h,c4h,cbh
    DB    68h,61h,6bh,65h,67h,63h,66h,60h,71h,7ah
    DB    92h,ach,b3h,b0h,a4h,aah,a8h,a3h,cdh,c2h
    DB    95h,93h,82h,6ah,5fh,5bh,60h,55h,5bh,6ah
    DB    69h,6fh,68h,6dh,65h,68h,62h,64h,63h,5ch
    DB    65h,78h,76h,8ah,8eh,91h,7dh,70h,70h,7bh
    DB    7ah,86h,90h,94h,a1h,97h,73h,6eh,6eh,6ah
    DB    65h,70h,73h,7ah,7ch,80h,83h,8bh,84h,73h
    DB    70h,72h,69h,67h,66h,62h,60h,63h,6bh,6ah
    DB    6fh,70h,72h,72h,7ah,7eh,81h,7ah,82h,82h
    DB    7ah,79h,80h,80h,7eh,87h,88h,79h,81h,7dh
    DB    7fh,79h,7ch,86h,8dh,8ah,84h,78h,7fh,7bh
    DB    8dh,9dh,b1h,c0h,b6h,bbh,bfh,c3h,c4h,c0h
    DB    c0h,c1h,b9h,bdh,b8h,aeh,b4h,c1h,bbh,bdh
    DB    bbh,beh,c5h,b9h,bbh,bah,bfh,c2h,c5h,91h
    DB    14h,beh,d2h,cbh,bah,d3h,d0h,d2h,ceh,c8h
    DB    cdh,cbh,c4h,beh,a6h,cdh,cah,ceh,cdh,cch
    DB    ceh,ceh,ceh,54h,27h,b1h,ceh,ceh,cfh,dbh
    DB    dah,deh,e2h,e2h,dah,ddh,dch,d8h,d3h,d7h
    DB    d0h,cah,c5h,c5h,c8h,c6h,c5h,c3h,beh,b6h
    DB    b3h,8ch,8dh,96h,92h,94h,8fh,90h,90h,8bh
    DB    8fh,8eh,9ah,c2h,ceh,d6h,6fh,4ch,61h,9bh
    DB    41h,43h,bch,c8h,c6h,c3h,bfh,bch,c2h,c5h
    DB    c5h,c1h,c6h,c7h,bah,bbh,cch,92h,cdh,cfh
    DB    aeh,c0h,d1h,cdh,97h,d9h,d1h,afh,cfh,d2h
    DB    66h,60h,70h,6bh,6eh,67h,65h,61h,69h,76h
    DB    89h,92h,9dh,8fh,8bh,88h,81h,7eh,88h,80h
    DB    7dh,73h,69h,65h,5ch,5eh,55h,55h,66h,63h
    DB    6bh,7ch,7ah,7ah,74h,6ch,67h,57h,5ah,69h
    DB    82h,7eh,97h,97h,99h,a1h,8ah,73h,6fh,7bh
    DB    89h,85h,90h,98h,95h,76h,75h,6ch,6ah,5dh
    DB    65h,75h,6eh,77h,74h,7fh,81h,7ch,71h,78h
    DB    7bh,6ch,69h,65h,5fh,63h,63h,63h,65h,66h
    DB    66h,6ah,6bh,6fh,79h,74h,75h,76h,80h,76h
    DB    79h,78h,7ah,7dh,7ah,82h,70h,70h,7ch,79h
    DB    81h,8ch,8eh,89h,89h,86h,82h,73h,6fh,7bh
    DB    82h,9dh,a8h,abh,a4h,a5h,b5h,b4h,beh,bah
    DB    afh,b7h,abh,b3h,bfh,9ah,9fh,aah,b0h,c2h
    DB    c0h,bch,c0h,bdh,b5h,aeh,bch,bbh,b2h,b7h
    DB    3fh,44h,c4h,adh,1dh,a4h,cbh,d0h,d0h,cdh
    DB    cdh,cbh,cbh,cch,cah,cdh,cdh,cfh,d0h,cfh
    DB    cch,c6h,c7h,c3h,35h,27h,ach,cbh,d2h,d8h
    DB    dch,dbh,ddh,deh,dah,dah,d9h,d7h,dah,d8h
    DB    d7h,d6h,d5h,d0h,d0h,cah,cbh,c6h,c5h,bbh
    DB    b3h,8ah,77h,95h,97h,96h,7eh,81h,74h,71h
    DB    6ch,60h,5fh,74h,90h,cah,9eh,75h,6ch,a3h
    DB    53h,57h,b4h,cbh,c6h,c5h,c5h,c3h,c3h,c9h
    DB    c3h,c2h,c5h,c7h,b4h,b7h,c6h,a6h,ceh,c6h
    DB    bbh,c7h,d0h,cfh,aeh,d0h,cbh,b6h,cbh,c7h
    DB    70h,6ch,75h,67h,72h,5fh,61h,64h,65h,71h
    DB    7fh,80h,80h,82h,78h,6eh,6dh,76h,6fh,6ch
    DB    62h,62h,5fh,5dh,5bh,58h,56h,5fh,65h,65h
    DB    7bh,92h,94h,86h,75h,6ch,60h,68h,68h,72h
    DB    95h,74h,81h,7bh,86h,95h,8bh,7fh,84h,7fh
    DB    93h,96h,8ah,92h,92h,81h,79h,6bh,65h,67h
    DB    65h,63h,6bh,69h,73h,7dh,80h,7dh,7dh,80h
    DB    76h,67h,64h,5fh,5dh,5eh,5bh,60h,5bh,69h
    DB    62h,63h,6bh,65h,6ah,69h,6dh,75h,71h,78h
    DB    76h,71h,78h,7eh,7eh,71h,76h,78h,7dh,83h
    DB    7fh,8ah,80h,84h,88h,78h,72h,72h,69h,6ch
    DB    77h,81h,8bh,9ah,9ch,98h,9eh,9ch,a3h,b9h
    DB    b5h,98h,92h,97h,7dh,78h,80h,86h,8ah,92h
    DB    a4h,b5h,bch,bfh,b5h,bfh,bdh,b2h,b6h,b3h
    DB    b5h,5eh,37h,7eh,a7h,cdh,cfh,cch,cch,cbh
    DB    cch,ceh,cdh,cbh,cch,cah,cfh,cdh,cch,d1h
    DB    77h,ach,c6h,c0h,b2h,40h,1bh,9bh,c7h,dah
    DB    d6h,d5h,d5h,dbh,dah,d5h,c6h,b2h,a8h,bah
    DB    cfh,d4h,d7h,c8h,b3h,c5h,d2h,d0h,c9h,cah
    DB    cah,b6h,a5h,b0h,a7h,93h,80h,77h,68h,49h
    DB    4eh,48h,48h,52h,63h,a3h,b2h,b8h,aah,a3h
    DB    a2h,8ah,b5h,9ah,afh,c6h,c2h,c0h,c5h,c3h
    DB    beh,c2h,c9h,c6h,b7h,b9h,cch,a4h,cah,c8h
    DB    beh,c6h,c9h,cch,9ch,c2h,c1h,abh,b2h,9bh
    DB    88h,87h,98h,85h,6dh,62h,72h,67h,69h,70h
    DB    78h,82h,7fh,78h,73h,70h,6dh,70h,69h,5dh
    DB    64h,64h,62h,5ah,57h,54h,5fh,5ah,64h,79h
    DB    7eh,83h,86h,92h,7ah,6ch,6ah,6ah,72h,74h
    DB    66h,75h,76h,80h,78h,84h,86h,93h,8eh,83h
    DB    98h,86h,7dh,83h,7ah,71h,6eh,6ah,64h,63h
    DB    5ch,68h,65h,6fh,70h,7eh,83h,7dh,83h,78h
    DB    73h,69h,6bh,61h,5dh,61h,5eh,62h,65h,62h
    DB    60h,62h,63h,64h,65h,67h,67h,68h,6bh,69h
    DB    6fh,70h,76h,72h,72h,77h,72h,78h,7bh,70h
    DB    7ah,7ah,89h,8bh,83h,74h,6ch,64h,70h,65h
    DB    72h,75h,84h,84h,8bh,8bh,8ah,94h,97h,99h
    DB    8ah,83h,79h,74h,6eh,71h,69h,75h,6dh,78h
    DB    86h,9fh,9eh,a0h,b5h,abh,a8h,b0h,b6h,b2h
    DB    aeh,b8h,ach,81h,45h,30h,4bh,8ah,beh,cfh
    DB    cbh,cah,c9h,cah,c9h,c7h,cah,cdh,cdh,cdh
    DB    26h,76h,cah,c3h,c3h,beh,8dh,63h,58h,b7h
    DB    bch,c7h,c9h,c8h,b6h,94h,85h,85h,84h,89h
    DB    a0h,c1h,bch,90h,85h,8bh,9dh,c9h,cch,c6h
    DB    cbh,c9h,cch,d3h,ceh,c5h,c1h,b4h,92h,69h
    DB    4eh,49h,35h,30h,4ch,92h,86h,7ch,72h,75h
    DB    84h,a1h,83h,65h,68h,a5h,c7h,c6h,c7h,c3h
    DB    c2h,c3h,c6h,c2h,b7h,b9h,b4h,9fh,91h,a8h
    DB    b3h,a9h,74h,ach,b4h,b0h,90h,cah,a0h,81h
    DB    94h,95h,a2h,95h,83h,74h,65h,67h,72h,8ah
    DB    83h,84h,7ah,75h,75h,80h,78h,78h,65h,6bh
    DB    61h,63h,57h,55h,5ch,5dh,5fh,66h,72h,71h
    DB    76h,7ah,82h,88h,8bh,95h,87h,72h,7ah,70h
    DB    65h,6dh,75h,76h,78h,7bh,7bh,84h,aeh,9fh
    DB    92h,7bh,72h,7ah,6fh,63h,66h,60h,5fh,5fh
    DB    59h,63h,63h,6dh,70h,7ah,7ah,71h,7eh,79h
    DB    71h,6dh,69h,6ah,61h,6fh,6ch,6ah,68h,68h
    DB    66h,63h,64h,5fh,65h,60h,65h,63h,5fh,63h
    DB    6ah,69h,6ah,71h,6dh,6fh,72h,6ah,73h,70h
    DB    70h,78h,79h,7bh,76h,6bh,68h,68h,65h,75h
    DB    72h,71h,6eh,78h,82h,81h,83h,8dh,8fh,7fh
    DB    83h,7bh,74h,74h,64h,66h,61h,69h,6eh,70h
    DB    81h,8dh,80h,8fh,95h,9ah,90h,8ch,85h,85h
    DB    8eh,94h,9ah,a0h,a8h,a3h,71h,36h,21h,4dh
    DB    81h,c1h,c6h,cbh,c5h,cbh,beh,c3h,cdh,c7h
    DB    1dh,86h,c5h,b7h,abh,ach,abh,a5h,a9h,adh
    DB    a4h,9bh,a5h,8dh,90h,85h,7eh,6ch,6eh,6dh
    DB    7ch,88h,8dh,81h,6fh,65h,6eh,9dh,cbh,d1h
    DB    cah,cch,cch,c8h,cfh,c9h,cah,cah,c9h,c4h
    DB    bfh,bbh,a5h,97h,a3h,a2h,7bh,5ah,59h,56h
    DB    60h,6ah,6ah,5eh,5ch,83h,c6h,cbh,cah,c3h
    DB    c5h,c0h,c2h,c3h,b6h,b6h,c0h,ceh,b2h,bbh
    DB    c6h,b6h,a6h,c3h,b2h,b3h,a8h,bah,b2h,82h
    DB    85h,85h,91h,8bh,90h,87h,73h,7eh,82h,84h
    DB    9ah,91h,8fh,87h,8fh,83h,6dh,65h,5bh,63h
    DB    6eh,60h,62h,5bh,57h,5ch,5ah,67h,6eh,73h
    DB    73h,76h,78h,78h,78h,80h,91h,8fh,81h,6eh
    DB    73h,7ah,90h,9dh,a8h,bah,cbh,ceh,b8h,89h
    DB    75h,6ah,6ch,75h,6eh,69h,63h,5eh,59h,5eh
    DB    5eh,60h,5bh,63h,65h,67h,6dh,79h,7ch,6dh
    DB    6fh,6fh,72h,6eh,76h,75h,75h,7ah,72h,6ch
    DB    69h,64h,64h,5fh,62h,5dh,65h,5eh,64h,64h
    DB    68h,70h,6ch,6ch,5eh,6ah,65h,60h,66h,66h
    DB    60h,64h,65h,68h,69h,68h,6ah,67h,6eh,6dh
    DB    6fh,6bh,6bh,74h,7fh,83h,8dh,84h,7bh,7eh
    DB    7ch,74h,72h,6fh,63h,62h,62h,5bh,5dh,65h
    DB    6ch,6fh,6dh,72h,6ch,6fh,69h,67h,6eh,6dh
    DB    6fh,74h,82h,7eh,77h,74h,74h,7eh,80h,61h
    DB    1dh,39h,bfh,c0h,83h,38h,1dh,29h,53h,b0h
    DB    25h,61h,beh,9eh,aeh,afh,a9h,aeh,a1h,94h
    DB    81h,76h,74h,83h,83h,7ch,63h,67h,6bh,66h
    DB    62h,75h,85h,7bh,62h,63h,6eh,77h,92h,b9h
    DB    c7h,c5h,c7h,c3h,c7h,c6h,c5h,c1h,c2h,c3h
    DB    c9h,c6h,c3h,c5h,bch,b7h,aah,67h,54h,4dh
    DB    56h,5ah,6dh,60h,62h,6fh,a8h,afh,bah,c4h
    DB    c6h,c3h,c2h,bfh,aeh,bah,c5h,d0h,c1h,bah
    DB    b1h,bch,8eh,82h,8eh,aeh,a2h,afh,7bh,6fh
    DB    72h,79h,83h,83h,85h,89h,83h,82h,87h,8eh
    DB    98h,94h,97h,80h,6ch,58h,67h,6dh,73h,70h
    DB    6bh,76h,6bh,66h,65h,61h,6ah,7ah,6ah,71h
    DB    75h,78h,85h,92h,a3h,b0h,bbh,c6h,cfh,d0h
    DB    d1h,d3h,d5h,ceh,c5h,c4h,cdh,c7h,8ah,71h
    DB    69h,6bh,6bh,66h,63h,60h,5fh,61h,5eh,5ah
    DB    5bh,59h,5bh,5bh,67h,6ah,68h,71h,70h,6dh
    DB    74h,72h,77h,7dh,75h,73h,80h,7ch,77h,6eh
    DB    6ch,60h,67h,5ah,59h,62h,5bh,5fh,64h,68h
    DB    64h,6ah,68h,68h,68h,64h,60h,5ah,61h,60h
    DB    60h,5ch,61h,5eh,5fh,61h,62h,64h,68h,64h
    DB    6ah,76h,6eh,71h,74h,7eh,7bh,77h,73h,85h
    DB    7dh,71h,70h,6eh,64h,66h,5eh,5bh,5fh,5eh
    DB    64h,66h,65h,68h,65h,68h,67h,68h,65h,65h
    DB    62h,65h,6eh,70h,6ah,63h,68h,72h,7ch,7eh
    DB    4dh,2eh,c2h,56h,2ah,66h,76h,6dh,5dh,7dh
    DB    77h,57h,85h,90h,9eh,8fh,84h,87h,81h,74h
    DB    68h,6ch,6ch,6eh,6dh,68h,5ch,60h,61h,65h
    DB    6dh,6fh,71h,65h,67h,67h,78h,72h,79h,8ah
    DB    afh,c2h,c7h,c7h,c7h,c6h,c2h,c8h,c2h,cbh
    DB    c7h,c5h,c9h,beh,c5h,c5h,c1h,c0h,ach,89h
    DB    85h,76h,70h,50h,5eh,8dh,a1h,99h,99h,9ch
    DB    a3h,adh,b8h,c4h,b5h,bbh,c0h,c9h,b8h,b6h
    DB    aeh,76h,6fh,78h,7eh,97h,9bh,7bh,6ch,6ah
    DB    66h,64h,77h,6fh,7dh,8ah,7eh,84h,8ah,89h
    DB    98h,95h,81h,55h,54h,5dh,62h,61h,69h,6fh
    DB    75h,70h,98h,82h,86h,a2h,c3h,afh,b4h,c8h
    DB    cbh,cah,cdh,c7h,cbh,ceh,ceh,c8h,cbh,c4h
    DB    cfh,cch,cdh,cch,cah,cah,b5h,8eh,66h,69h
    DB    63h,59h,60h,5ah,5bh,5dh,5eh,5fh,5bh,55h
    DB    5dh,58h,5eh,5eh,62h,61h,62h,6dh,72h,77h
    DB    77h,86h,83h,7ch,87h,abh,96h,85h,7ah,6eh
    DB    64h,64h,67h,66h,64h,63h,67h,62h,65h,70h
    DB    6fh,7ah,71h,70h,72h,70h,71h,71h,65h,65h
    DB    69h,5fh,62h,5bh,68h,66h,64h,6ch,6dh,70h
    DB    70h,7ch,72h,70h,6fh,70h,6fh,70h,76h,81h
    DB    7bh,7dh,78h,73h,6bh,65h,63h,5eh,61h,61h
    DB    5fh,64h,6ch,64h,69h,67h,60h,64h,5fh,64h
    DB    63h,65h,5fh,65h,60h,5fh,66h,65h,76h,72h
    DB    21h,8ch,6ch,1eh,71h,65h,63h,5fh,5fh,66h
    DB    6ch,6ch,73h,81h,76h,64h,65h,70h,6ch,6eh
    DB    65h,64h,63h,6bh,60h,5dh,5ch,5ah,5fh,61h
    DB    68h,66h,65h,69h,66h,66h,68h,70h,75h,76h
    DB    82h,8eh,9fh,b0h,bah,c8h,c7h,c8h,c8h,c7h
    DB    c8h,b3h,98h,91h,9eh,c8h,cbh,c6h,c6h,c4h
    DB    c3h,c7h,c0h,aah,a0h,9eh,97h,94h,8bh,95h
    DB    98h,9ch,93h,90h,97h,a9h,a5h,a7h,9dh,94h
    DB    79h,60h,65h,5dh,69h,76h,72h,6bh,68h,68h
    DB    69h,64h,6ch,64h,6fh,7ch,83h,7eh,78h,89h
    DB    96h,91h,58h,5ah,59h,58h,5dh,65h,67h,76h
    DB    6ch,74h,89h,e0h,e4h,dah,dbh,d8h,d2h,cfh
    DB    cfh,cch,cbh,cbh,cdh,c8h,c4h,c4h,d0h,c9h
    DB    cch,ceh,c0h,c1h,c5h,cch,82h,66h,6bh,6eh
    DB    68h,61h,5eh,60h,57h,58h,5ah,55h,5bh,59h
    DB    54h,57h,5eh,62h,5ch,65h,63h,69h,77h,7fh
    DB    82h,90h,8ch,7ah,89h,9bh,a4h,89h,8ch,75h
    DB    70h,73h,70h,6fh,71h,66h,6ah,74h,79h,76h
    DB    7ah,75h,7ah,73h,72h,79h,7ah,7ah,6fh,70h
    DB    6dh,6dh,70h,61h,69h,61h,6ch,6bh,6ah,72h
    DB    82h,7fh,6eh,68h,71h,70h,6bh,71h,79h,75h
    DB    75h,84h,88h,81h,6fh,68h,69h,66h,71h,65h
    DB    67h,65h,68h,73h,72h,6dh,6ch,67h,67h,68h
    DB    6ah,69h,64h,66h,5bh,49h,35h,27h,23h,1bh
    DB    51h,c4h,21h,35h,4fh,5eh,60h,62h,61h,5bh
    DB    62h,67h,67h,6bh,6ch,68h,67h,63h,60h,5fh
    DB    67h,68h,64h,5eh,5ch,59h,59h,58h,60h,5ah
    DB    5eh,64h,67h,6bh,66h,66h,66h,67h,5bh,6eh
    DB    7eh,8bh,94h,9ch,9eh,9ah,a6h,b1h,c1h,b5h
    DB    95h,87h,7ah,72h,7ch,91h,98h,aeh,c2h,c2h
    DB    bfh,c0h,c0h,beh,bfh,b9h,adh,9ch,90h,91h
    DB    8fh,8fh,8dh,91h,91h,99h,92h,95h,92h,8eh
    DB    59h,53h,4ch,4ch,57h,67h,66h,60h,63h,66h
    DB    63h,69h,78h,78h,76h,74h,75h,8eh,8bh,a5h
    DB    b5h,95h,55h,52h,55h,5eh,54h,5dh,6ch,6eh
    DB    70h,7ah,82h,ceh,d6h,d4h,d1h,d2h,cch,cdh
    DB    cbh,c7h,c9h,cbh,cch,cch,cah,d0h,cah,cbh
    DB    cdh,beh,b2h,b3h,c5h,b9h,7ah,65h,66h,5ch
    DB    61h,62h,5ah,58h,5eh,5dh,55h,55h,54h,56h
    DB    54h,5bh,5bh,5ah,61h,61h,60h,69h,78h,7eh
    DB    91h,80h,83h,89h,8ah,86h,9dh,87h,91h,85h
    DB    86h,83h,7ah,6ah,6fh,79h,7bh,81h,7eh,84h
    DB    86h,82h,81h,80h,7dh,74h,6bh,79h,76h,82h
    DB    83h,83h,83h,7eh,80h,7ch,7bh,81h,8ah,91h
    DB    8bh,7bh,7dh,7dh,7fh,80h,86h,7fh,80h,8ah
    DB    86h,8ah,87h,7ch,79h,72h,75h,6eh,6fh,6fh
    DB    71h,60h,6ah,71h,6eh,63h,4eh,3ah,29h,26h
    DB    24h,28h,28h,25h,17h,24h,4ah,61h,3fh,15h
    DB    b7h,a4h,1ah,6fh,86h,6bh,38h,2fh,46h,62h
    DB    64h,60h,66h,69h,5fh,64h,6ch,68h,62h,60h
    DB    62h,66h,5dh,5fh,59h,5ah,59h,5ch,5fh,5dh
    DB    5bh,5fh,68h,65h,61h,60h,5dh,5fh,61h,61h
    DB    65h,6ch,8ah,89h,92h,95h,9ch,9dh,97h,89h
    DB    76h,61h,5dh,68h,64h,6fh,73h,7ah,b5h,b9h
    DB    b6h,b7h,bdh,b9h,beh,bch,bfh,bbh,a9h,9bh
    DB    9ch,98h,94h,91h,90h,88h,91h,95h,8fh,93h
    DB    5ch,50h,52h,49h,54h,71h,5fh,5fh,64h,66h
    DB    74h,79h,90h,a5h,a8h,b9h,cch,dah,dbh,e3h
    DB    e1h,a5h,8eh,7fh,65h,5bh,53h,59h,68h,7bh
    DB    7dh,8ah,b0h,c1h,d4h,cdh,c7h,c9h,c9h,ceh
    DB    cfh,c8h,b3h,cdh,d8h,d2h,d4h,cch,cch,bfh
    DB    b2h,a9h,9bh,a9h,b5h,83h,65h,64h,67h,78h
    DB    81h,68h,68h,61h,65h,62h,5bh,5bh,56h,59h
    DB    5ch,5bh,5eh,61h,64h,6ah,6ch,6ch,7bh,8bh
    DB    7ah,7fh,7dh,89h,84h,8dh,9eh,a6h,8ch,95h
    DB    8ch,91h,93h,89h,91h,9ch,9ah,a6h,adh,a4h
    DB    99h,a5h,b3h,bbh,b0h,b1h,b0h,a5h,98h,9ch
    DB    b2h,bch,b5h,b4h,c1h,b4h,bfh,b3h,ach,a2h
    DB    a5h,b8h,c9h,cch,cdh,ceh,c7h,aeh,a8h,9fh
    DB    abh,b5h,bch,b3h,b1h,b2h,a1h,9ch,90h,92h
    DB    8fh,92h,87h,51h,32h,39h,51h,5ch,60h,5fh
    DB    4eh,5dh,6eh,70h,70h,68h,4dh,3fh,25h,1ch
    DB    6fh,9bh,5fh,f5h,f6h,d3h,9bh,78h,1ch,1eh
    DB    4ch,60h,5ch,62h,62h,5fh,61h,61h,62h,60h
    DB    5fh,5fh,5ch,56h,59h,54h,54h,59h,5bh,5dh
    DB    59h,5dh,60h,60h,5eh,64h,63h,5eh,5ah,5eh
    DB    64h,65h,7ah,84h,8ch,8fh,90h,8fh,85h,72h
    DB    5dh,5ch,63h,67h,68h,68h,6ch,78h,9ah,b2h
    DB    b1h,b5h,b5h,b2h,b4h,b7h,b7h,b3h,b3h,b3h
    DB    abh,a1h,9fh,94h,8bh,89h,92h,91h,9eh,80h
    DB    62h,5ch,72h,55h,47h,5eh,77h,58h,5eh,61h
    DB    ceh,d0h,d3h,c7h,c6h,cch,d0h,d1h,d3h,dbh
    DB    dah,b0h,afh,d0h,ech,e7h,e3h,dch,d9h,ddh
    DB    ebh,f6h,f4h,c7h,c9h,c7h,c4h,c7h,ceh,d1h
    DB    d1h,9ch,99h,9dh,abh,cbh,d0h,c5h,c8h,aah
    DB    9eh,99h,94h,99h,a1h,a2h,63h,6bh,72h,80h
    DB    94h,78h,72h,6ch,64h,5bh,5ch,5dh,59h,60h
    DB    59h,5fh,61h,5fh,63h,6eh,7ah,77h,88h,90h
    DB    88h,73h,71h,79h,85h,89h,8ah,a3h,a3h,ceh
    DB    bfh,b1h,aah,b6h,cch,cch,ceh,bdh,abh,bbh
    DB    c7h,c6h,c3h,c1h,b9h,abh,a0h,aeh,c0h,c3h
    DB    beh,c5h,c3h,c5h,c1h,b6h,b7h,b7h,c8h,c1h
    DB    c5h,cch,b5h,bah,c4h,b8h,b7h,bdh,c8h,ceh
    DB    c4h,c1h,bdh,aeh,a9h,adh,b8h,c4h,c3h,c5h
    DB    cbh,9ah,34h,40h,6fh,59h,5dh,54h,5bh,3bh
    DB    69h,3ch,68h,43h,5ch,42h,5ch,62h,5eh,69h
    DB    46h,26h,3dh,b2h,4ch,45h,52h,5dh,6ah,5eh
    DB    46h,30h,49h,62h,66h,61h,61h,5ah,61h,63h
    DB    66h,64h,61h,58h,56h,56h,52h,59h,59h,5bh
    DB    56h,58h,5ch,60h,5dh,61h,5fh,57h,56h,5dh
    DB    5fh,66h,66h,6ch,79h,79h,7eh,7ah,6ch,5ch
    DB    60h,62h,61h,61h,62h,64h,65h,71h,87h,afh
    DB    adh,adh,b4h,b2h,b4h,b1h,b7h,b4h,b2h,b3h
    DB    b4h,b2h,b8h,b4h,afh,aeh,b4h,b3h,8fh,6ah
    DB    60h,62h,63h,6fh,5eh,76h,5fh,71h,65h,5dh
    DB    c3h,c8h,cdh,d0h,ceh,c6h,c9h,c6h,d2h,d4h
    DB    dah,aah,bch,e6h,f4h,fah,fbh,fah,fbh,fah
    DB    f8h,f9h,f8h,d5h,d5h,cch,d1h,cch,cah,d7h
    DB    91h,7dh,84h,8fh,9dh,a8h,b7h,bdh,aeh,8dh
    DB    8bh,88h,8ch,8ch,91h,9ah,7bh,6dh,6eh,6ch
    DB    75h,7dh,73h,70h,71h,65h,62h,5ch,60h,5fh
    DB    61h,69h,69h,70h,75h,90h,9bh,a2h,ach,b2h
    DB    a9h,6ah,75h,71h,81h,7ch,8bh,97h,8dh,b3h
    DB    b6h,c9h,c6h,c9h,c6h,bdh,b9h,b6h,b7h,b2h
    DB    bdh,b7h,a7h,abh,b4h,c1h,bfh,bch,bfh,beh
    DB    bdh,b4h,ach,adh,b3h,bah,b7h,b8h,c0h,bdh
    DB    c2h,bah,abh,bfh,c0h,beh,cah,bfh,c3h,bah
    DB    b6h,b2h,b9h,b9h,b7h,bdh,bah,b8h,c0h,bch
    DB    72h,37h,3ch,4dh,5bh,4ah,52h,33h,5fh,35h
    DB    5ch,3dh,5fh,4ch,71h,4ah,58h,2fh,62h,43h
    DB    6bh,6dh,59h,1ch,38h,52h,43h,38h,36h,49h
    DB    28h,40h,42h,2dh,72h,6dh,6bh,66h,6dh,68h
    DB    68h,65h,5bh,5fh,5fh,5dh,5ch,5ch,58h,59h
    DB    55h,55h,56h,58h,5bh,5eh,60h,61h,5eh,5dh
    DB    59h,5ch,5fh,62h,67h,6fh,65h,61h,61h,56h
    DB    5bh,5fh,58h,61h,5fh,5eh,5eh,61h,74h,8eh
    DB    aah,aeh,ach,ach,aeh,abh,adh,adh,adh,afh
    DB    b3h,b2h,b2h,b1h,aeh,afh,adh,b3h,75h,5eh
    DB    55h,5eh,4ch,64h,6eh,78h,45h,74h,3eh,63h
    DB    b6h,b0h,bdh,c2h,c0h,c2h,c5h,c7h,cch,d5h
    DB    dfh,b0h,d7h,b3h,d8h,f3h,fbh,fbh,fch,fbh
    DB    fbh,fbh,fah,dch,d7h,c9h,d3h,d3h,b1h,90h
    DB    7ch,74h,71h,72h,82h,95h,91h,9ah,94h,80h
    DB    7eh,85h,87h,89h,94h,9ah,a0h,7ah,63h,5fh
    DB    5dh,5ah,57h,6bh,7ah,79h,87h,95h,92h,94h
    DB    98h,91h,9eh,adh,b1h,b3h,b1h,afh,98h,9ch
    DB    7eh,62h,5eh,72h,66h,77h,84h,83h,89h,c6h
    DB    beh,c4h,bdh,bbh,afh,a6h,9bh,96h,97h,99h
    DB    9eh,abh,bdh,c3h,b6h,bah,beh,bfh,b3h,a7h
    DB    9eh,aeh,b5h,bdh,c1h,bdh,c4h,c3h,bch,c3h
    DB    b9h,86h,8dh,a0h,a8h,b5h,b3h,bdh,bfh,bbh
    DB    bfh,bfh,bfh,c2h,c3h,c0h,b8h,aeh,a1h,7fh
    DB    3bh,75h,55h,57h,3fh,5ch,6ch,6bh,71h,66h
    DB    56h,6bh,6ah,54h,42h,54h,63h,31h,4eh,36h
    DB    6ah,3ch,70h,6ah,39h,1eh,98h,b8h,c7h,aeh
    DB    23h,2ah,78h,60h,21h,61h,77h,70h,7bh,76h
    DB    68h,61h,60h,60h,63h,64h,5ch,5dh,5dh,60h
    DB    5dh,58h,5fh,5fh,5ah,5eh,5eh,5ah,59h,56h
    DB    5bh,5eh,5eh,57h,5fh,61h,62h,61h,60h,5ah
    DB    5bh,5ah,5ah,59h,5bh,58h,5ch,5ch,61h,79h
    DB    8ah,98h,abh,abh,a9h,adh,aeh,ach,aeh,adh
    DB    abh,abh,ach,aah,aah,a9h,a7h,abh,79h,54h
    DB    38h,3dh,3eh,33h,5eh,6bh,3eh,6bh,6bh,6eh
    DB    a8h,c4h,b6h,cch,cch,c6h,cah,cbh,cfh,d6h
    DB    dch,adh,cfh,ach,d1h,f1h,fbh,fbh,fdh,fch
    DB    fch,fch,fah,dfh,dbh,cbh,d0h,dah,8ah,74h
    DB    66h,58h,62h,6bh,80h,84h,92h,99h,79h,78h
    DB    81h,87h,88h,83h,88h,91h,98h,7fh,61h,5fh
    DB    62h,5dh,56h,70h,7dh,c6h,b8h,a4h,97h,9ah
    DB    a1h,ach,b1h,b7h,b5h,a9h,92h,94h,a9h,ach
    DB    77h,58h,59h,6eh,6ah,7bh,50h,89h,87h,bfh
    DB    abh,a3h,95h,96h,89h,81h,83h,77h,7eh,92h
    DB    8ah,9ch,ach,b2h,b8h,beh,b8h,aeh,b2h,bch
    DB    beh,bdh,c0h,c3h,c5h,beh,b1h,bdh,c0h,a6h
    DB    8ch,7bh,7dh,7dh,85h,9ah,9bh,b8h,c2h,bdh
    DB    bfh,bfh,c3h,c1h,b8h,abh,b7h,bdh,b8h,33h
    DB    72h,6ch,4fh,40h,4ch,46h,4ah,49h,4ch,53h
    DB    5dh,62h,6ah,6ch,6bh,6fh,68h,68h,6dh,6ch
    DB    73h,41h,49h,4bh,6bh,4eh,43h,b7h,bch,a3h
    DB    0fh,66h,71h,67h,60h,25h,70h,96h,90h,8bh
    DB    86h,6bh,6fh,62h,63h,6ah,62h,59h,57h,56h
    DB    55h,5ah,5fh,5bh,60h,68h,60h,5eh,59h,53h
    DB    53h,56h,5ch,5dh,5eh,5eh,5dh,5ch,5dh,60h
    DB    57h,5dh,5dh,5ah,58h,5ch,59h,5bh,5eh,69h
    DB    7dh,83h,8bh,9ah,a8h,a4h,a6h,aah,a6h,a8h
    DB    a1h,a3h,a3h,a5h,a8h,a6h,a6h,a3h,80h,5dh
    DB    36h,30h,26h,2fh,4bh,7ch,55h,5ch,52h,6ah
    DB    9fh,aah,bdh,b0h,b7h,c0h,d6h,d1h,d4h,ceh
    DB    c2h,a6h,cfh,b7h,c1h,f3h,fbh,fbh,fdh,feh
    DB    fch,feh,fbh,e6h,d5h,d5h,d5h,beh,73h,65h
    DB    66h,52h,55h,6bh,60h,77h,8eh,72h,71h,79h
    DB    7bh,7dh,7ah,81h,82h,91h,99h,92h,59h,6fh
    DB    5fh,5ch,51h,6bh,75h,b5h,b1h,b2h,a9h,a3h
    DB    a7h,ach,a8h,a7h,a1h,a7h,ach,b2h,b3h,c2h
    DB    87h,5dh,3dh,6ah,5fh,68h,7bh,8fh,98h,b8h
    DB    95h,87h,81h,7dh,71h,7ch,7bh,85h,7ch,8bh
    DB    89h,8ch,8fh,a4h,aeh,bbh,c2h,c2h,c5h,c0h
    DB    c2h,c6h,c4h,b4h,b5h,b9h,c6h,cdh,b4h,7fh
    DB    82h,72h,6ch,81h,89h,90h,91h,a5h,b0h,adh
    DB    c9h,bfh,b5h,adh,b8h,a5h,a8h,a3h,4bh,3ah
    DB    40h,45h,4ah,53h,5ch,63h,5fh,65h,68h,60h
    DB    55h,4eh,47h,3fh,4ah,5bh,69h,68h,69h,6dh
    DB    66h,42h,6ch,69h,6bh,6ch,45h,2ch,5bh,32h
    DB    4dh,6ch,6ch,69h,67h,6fh,31h,96h,a7h,a6h
    DB    9bh,85h,91h,9dh,8fh,79h,6eh,6eh,66h,67h
    DB    71h,5eh,61h,6eh,71h,68h,63h,66h,60h,59h
    DB    54h,57h,58h,5bh,61h,61h,5fh,5bh,5ah,55h
    DB    55h,52h,54h,55h,52h,4fh,55h,56h,61h,66h
    DB    73h,83h,8ah,90h,91h,9ch,9ch,9bh,9eh,a1h
    DB    a1h,a1h,a5h,a6h,a2h,a3h,a0h,9eh,9dh,97h
    DB    7ah,45h,38h,55h,73h,8ah,75h,68h,45h,63h
    DB    96h,98h,a2h,b4h,adh,c8h,cch,cfh,d3h,beh
    DB    c4h,9dh,c6h,dfh,ech,fah,fch,ffh,feh,feh
    DB    fdh,fch,fch,dbh,8fh,8bh,7ch,73h,60h,69h
    DB    69h,9bh,72h,4fh,56h,8ch,7dh,6fh,67h,68h
    DB    6ah,77h,72h,72h,82h,8bh,59h,69h,6eh,6ch
    DB    5eh,5ah,4eh,68h,76h,b2h,b0h,adh,bbh,b8h
    DB    bah,a7h,a4h,aah,b6h,b6h,b7h,b3h,b9h,a6h
    DB    79h,59h,5ah,64h,65h,7ah,84h,8ch,98h,88h
    DB    87h,75h,6eh,72h,68h,71h,77h,79h,82h,73h
    DB    78h,87h,8eh,92h,a6h,a9h,b1h,cbh,cbh,c7h
    DB    bbh,b8h,b8h,c3h,c7h,cch,ceh,bch,79h,76h
    DB    73h,79h,73h,83h,91h,89h,89h,8fh,87h,6bh
    DB    68h,54h,29h,19h,1ah,14h,18h,16h,2ch,5eh
    DB    6fh,6bh,7ah,8ch,7ah,59h,55h,49h,34h,33h
    DB    2bh,2ch,3fh,50h,5dh,51h,47h,47h,4fh,69h
    DB    6eh,6ah,69h,68h,6ch,6ah,6ch,38h,31h,81h
    DB    6bh,65h,5dh,5bh,61h,63h,5ah,2dh,94h,8ch
    DB    9ah,b0h,abh,a7h,9ch,a6h,a0h,8dh,84h,70h
    DB    6dh,76h,79h,87h,95h,88h,80h,66h,61h,58h
    DB    50h,53h,57h,55h,57h,5ah,55h,56h,51h,4eh
    DB    50h,51h,4fh,50h,4eh,50h,4fh,4fh,4ch,51h
    DB    5ch,64h,84h,8ah,8dh,8fh,99h,97h,9ch,9ch
    DB    9dh,a3h,9fh,a2h,a4h,a6h,9fh,a1h,a4h,a9h
    DB    a5h,aah,94h,87h,86h,8ah,88h,6fh,51h,66h
    DB    99h,94h,9fh,adh,a0h,cah,c4h,cch,beh,beh
    DB    b5h,aeh,c5h,e9h,fah,fch,fch,fdh,fch,fdh
    DB    fdh,fdh,fdh,cdh,65h,71h,6ch,65h,6fh,60h
    DB    b5h,f8h,e0h,92h,61h,93h,74h,65h,66h,60h
    DB    6dh,68h,6eh,74h,79h,5eh,4eh,43h,57h,55h
    DB    59h,5fh,55h,69h,5ah,55h,56h,63h,67h,85h
    DB    aeh,afh,b6h,b2h,b3h,b6h,b2h,c1h,b8h,87h
    DB    55h,4ch,55h,66h,70h,78h,94h,8eh,7ch,73h
    DB    71h,57h,64h,69h,66h,6dh,75h,80h,7dh,6ch
    DB    6eh,8eh,8bh,99h,9bh,96h,95h,b8h,d9h,c9h
    DB    beh,c0h,c9h,c9h,d3h,d7h,cfh,91h,7dh,77h
    DB    78h,78h,88h,7dh,61h,34h,16h,08h,15h,31h
    DB    4fh,67h,89h,a9h,bah,cdh,d6h,e0h,f5h,fah
    DB    fah,fah,f7h,fah,fbh,fch,fah,fbh,f9h,f2h
    DB    e9h,d9h,b8h,86h,4dh,24h,25h,3dh,4dh,49h
    DB    45h,50h,6dh,6dh,6ah,6bh,66h,6ch,1dh,61h
    DB    6ah,60h,5bh,5ch,5dh,61h,62h,52h,45h,bbh
    DB    b7h,a0h,a5h,a4h,a2h,a2h,98h,88h,8eh,9eh
    DB    94h,8dh,98h,98h,91h,85h,7dh,74h,6ah,60h
    DB    57h,55h,57h,59h,56h,4fh,53h,4dh,4fh,53h
    DB    51h,4dh,4dh,4ah,4bh,4ch,49h,50h,50h,52h
    DB    55h,5eh,76h,83h,89h,88h,8fh,99h,98h,91h
    DB    94h,99h,9bh,a1h,a1h,9fh,9ch,9ch,9dh,a2h
    DB    a3h,a3h,a5h,97h,89h,87h,84h,88h,5ch,6eh
    DB    92h,93h,a3h,aah,a4h,a5h,bbh,c4h,ach,aeh
    DB    ach,abh,cah,e6h,f8h,fbh,fah,fbh,fdh,feh
    DB    fch,fdh,fah,c3h,5fh,64h,5fh,5ch,57h,8fh
    DB    f7h,fah,fah,f5h,cbh,85h,6ah,64h,62h,60h
    DB    6ah,6ch,6eh,70h,54h,53h,50h,59h,54h,4eh
    DB    50h,4fh,5bh,50h,60h,5fh,5fh,71h,94h,8bh
    DB    b0h,ceh,bbh,bdh,beh,bah,b0h,b4h,c2h,b5h
    DB    6eh,56h,3eh,61h,6fh,6fh,95h,86h,71h,6dh
    DB    6bh,67h,52h,66h,6dh,6fh,75h,74h,75h,5fh
    DB    7dh,83h,83h,92h,91h,90h,94h,a2h,bdh,d2h
    DB    d1h,d4h,d2h,d8h,deh,cfh,8ah,7dh,76h,7ch
    DB    79h,78h,36h,0ch,1fh,5dh,8ah,b8h,e5h,f7h
    DB    fch,fch,fch,fch,fch,fch,feh,fch,fch,fch
    DB    fch,fbh,fch,fch,fch,fch,fdh,fdh,fdh,fch
    DB    fch,fdh,fch,fch,fah,ebh,cbh,9ch,7bh,3ah
    DB    32h,3fh,30h,5fh,69h,69h,66h,66h,46h,31h
    DB    6ch,5eh,56h,54h,56h,58h,59h,5dh,2fh,83h
    DB    a1h,97h,9ah,9dh,95h,87h,9bh,ach,a8h,aah
    DB    a7h,95h,96h,8ch,7ah,76h,6bh,64h,5fh,5fh
    DB    59h,5bh,61h,69h,75h,69h,59h,50h,4bh,4bh
    DB    47h,47h,47h,4ah,4ah,49h,4bh,4fh,51h,4fh
    DB    4fh,56h,68h,79h,87h,8bh,85h,8ch,8fh,8fh
    DB    96h,94h,99h,97h,98h,99h,9ah,99h,96h,9bh
    DB    9ch,9eh,9dh,a1h,9fh,8bh,86h,85h,8eh,85h
    DB    82h,95h,9bh,adh,afh,ach,a8h,a3h,a3h,9bh
    DB    a0h,a8h,cbh,e7h,f9h,fah,fdh,feh,feh,fdh
    DB    fdh,fdh,fch,c4h,59h,65h,67h,56h,7bh,ech
    DB    fah,c7h,d6h,f9h,fah,c4h,7dh,70h,67h,68h
    DB    60h,6eh,62h,4ah,4bh,4eh,4bh,50h,49h,49h
    DB    4fh,4ch,55h,5ah,47h,62h,8ch,98h,e1h,c1h
    DB    b1h,f6h,d9h,b8h,bfh,c7h,cah,c4h,bbh,cbh
    DB    7fh,64h,55h,52h,64h,72h,9ch,80h,6bh,5dh
    DB    5bh,58h,62h,64h,67h,6bh,7bh,77h,7eh,65h
    DB    61h,7ch,7bh,7ch,83h,8ah,9eh,97h,a0h,d7h
    DB    d8h,d9h,afh,bbh,b6h,a5h,8dh,78h,7dh,75h
    DB    45h,0fh,1fh,9fh,f2h,fch,fdh,fch,fch,fbh
    DB    fch,feh,fch,fch,fdh,fch,fdh,fch,fch,fch
    DB    fch,fch,feh,feh,fdh,feh,fch,fch,fch,fbh
    DB    fbh,fch,fbh,fbh,fbh,fdh,fch,fbh,fch,f5h
    DB    cch,7fh,37h,13h,31h,65h,6ah,6ah,67h,1ah
    DB    65h,56h,58h,53h,55h,53h,53h,51h,52h,31h
    DB    98h,8ch,8dh,87h,80h,83h,84h,9bh,a8h,aah
    DB    90h,8eh,86h,79h,76h,76h,6dh,61h,5dh,5eh
    DB    64h,70h,8eh,8dh,82h,80h,82h,56h,50h,51h
    DB    4dh,49h,4ah,47h,4fh,50h,4bh,50h,4ch,4fh
    DB    53h,55h,73h,84h,84h,87h,85h,8ch,92h,95h
    DB    94h,96h,94h,90h,96h,98h,95h,9bh,99h,9ah
    DB    98h,9fh,a1h,9ah,98h,a1h,8ch,8bh,88h,89h
    DB    89h,90h,a0h,ach,a7h,a9h,95h,8ch,86h,8ah
    DB    95h,b9h,ceh,f1h,f7h,fbh,fch,fbh,fbh,fdh
    DB    fdh,fdh,fch,ceh,5ah,63h,60h,6ah,e6h,f9h
    DB    fbh,d6h,e1h,fbh,fbh,f9h,c6h,77h,6eh,62h
    DB    6fh,5ch,41h,4bh,3fh,4ch,4eh,47h,40h,4bh
    DB    47h,4fh,63h,5fh,77h,b8h,c1h,99h,beh,c6h
    DB    bfh,d3h,a3h,cch,d9h,bfh,c9h,c7h,c1h,bdh
    DB    9ah,5ah,4dh,60h,62h,56h,8fh,7dh,6eh,69h
    DB    6dh,64h,5eh,69h,69h,64h,72h,7dh,4bh,66h
    DB    76h,78h,62h,63h,6eh,71h,81h,92h,b1h,cfh
    DB    d5h,ddh,b3h,aeh,abh,97h,7bh,93h,83h,32h
    DB    11h,69h,e0h,f8h,fch,fbh,fch,fch,feh,fch
    DB    feh,feh,feh,feh,feh,fdh,ffh,feh,feh,feh
    DB    feh,fdh,fdh,feh,fbh,fch,fah,fbh,fbh,e6h
    DB    f8h,fch,fch,fch,fbh,fbh,fbh,fbh,fdh,fch
    DB    fah,fah,f4h,d0h,6dh,22h,3fh,6ah,72h,2bh
    DB    4dh,5fh,56h,56h,50h,4fh,50h,4dh,53h,1fh
    DB    80h,77h,6dh,6ch,75h,78h,76h,85h,87h,8fh
    DB    96h,84h,7fh,71h,69h,62h,5bh,58h,59h,68h
    DB    7ah,8fh,89h,82h,76h,77h,7ah,68h,50h,48h
    DB    48h,4ah,49h,4bh,4ah,49h,49h,4fh,4bh,4fh
    DB    53h,57h,77h,83h,87h,83h,8ah,8eh,93h,93h
    DB    92h,92h,99h,97h,93h,95h,94h,95h,96h,92h
    DB    99h,9ch,9ch,98h,98h,9ah,98h,83h,89h,88h
    DB    83h,89h,9eh,aah,adh,a0h,84h,6fh,74h,72h
    DB    90h,bdh,d8h,edh,f3h,f7h,fch,fch,fdh,fch
    DB    fdh,fdh,fch,f0h,bch,c4h,b5h,ceh,f9h,f9h
    DB    f8h,fbh,fah,fah,fah,f9h,f1h,86h,69h,6eh
    DB    47h,39h,47h,3dh,43h,3eh,48h,40h,4ch,49h
    DB    44h,4ch,55h,88h,a9h,d0h,eeh,e7h,9eh,84h
    DB    90h,8eh,e3h,f0h,f0h,e7h,cdh,c8h,d1h,b9h
    DB    bbh,b2h,6ah,48h,65h,51h,78h,b4h,9bh,8ch
    DB    8bh,77h,74h,77h,6ah,70h,78h,82h,6fh,6ah
    DB    62h,6ah,6dh,69h,6dh,72h,82h,9bh,b2h,d1h
    DB    d5h,dah,ach,abh,8fh,89h,83h,7ch,22h,2ch
    DB    c8h,fbh,fch,feh,feh,feh,feh,fdh,fdh,feh
    DB    ffh,ffh,ffh,ffh,ffh,feh,ffh,ffh,ffh,ffh
    DB    fdh,fdh,fch,fbh,a0h,87h,f8h,f9h,d7h,20h
    DB    90h,fbh,fch,fch,fbh,fch,fbh,fch,feh,feh
    DB    fbh,fbh,fbh,fah,f9h,e3h,87h,2bh,5ah,67h
    DB    26h,64h,5ah,51h,51h,50h,4fh,4ah,50h,30h
    DB    51h,6bh,6bh,69h,6ah,6bh,6dh,78h,71h,82h
    DB    89h,86h,71h,6bh,61h,55h,52h,51h,54h,69h
    DB    89h,8fh,79h,6eh,56h,4bh,4fh,66h,64h,50h
    DB    49h,4dh,50h,48h,4dh,50h,4ah,4ah,4ch,4ah
    DB    54h,57h,64h,80h,7dh,86h,8ch,8ch,96h,90h
    DB    90h,90h,92h,90h,90h,93h,94h,9ch,99h,98h
    DB    9ah,96h,98h,91h,94h,98h,9ah,96h,84h,71h
    DB    82h,8bh,98h,a7h,aah,a0h,79h,67h,62h,6eh
    DB    84h,bfh,d0h,e6h,f4h,f7h,fbh,fdh,fch,feh
    DB    fdh,feh,fch,f3h,c2h,d1h,d0h,d1h,f6h,ceh
    DB    cdh,ebh,f5h,c9h,c9h,f1h,f2h,7ch,75h,3fh
    DB    3dh,3ch,45h,44h,41h,44h,3bh,47h,4ch,46h
    DB    45h,6fh,afh,8bh,79h,94h,95h,a3h,a7h,8ch
    DB    96h,b0h,b2h,ach,95h,ach,adh,a9h,c5h,c2h
    DB    bch,c1h,a2h,75h,74h,8bh,bdh,bfh,bah,c7h
    DB    beh,bah,bah,b9h,a7h,8fh,75h,a6h,b5h,b1h
    DB    a9h,91h,93h,a0h,b8h,c5h,bch,c5h,d1h,cdh
    DB    bah,b3h,aah,91h,8bh,82h,73h,14h,3ah,e5h
    DB    f8h,fbh,fdh,feh,feh,feh,feh,ffh,feh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    fdh,fdh,fbh,f8h,48h,22h,eeh,fbh,e7h,29h
    DB    3ah,fbh,feh,ffh,feh,feh,feh,fdh,fbh,ffh
    DB    feh,fdh,fdh,fch,fdh,fah,f9h,d2h,42h,42h
    DB    50h,48h,63h,54h,51h,4bh,4fh,4bh,50h,40h
    DB    3ah,6bh,65h,65h,67h,62h,69h,67h,5ch,6eh
    DB    83h,76h,62h,59h,56h,56h,57h,5bh,5fh,7dh
    DB    86h,74h,5eh,55h,43h,46h,36h,45h,67h,69h
    DB    5ch,52h,51h,4fh,54h,4fh,4bh,4dh,4dh,4ch
    DB    51h,58h,62h,83h,83h,89h,88h,8eh,90h,90h
    DB    8eh,8eh,91h,90h,8eh,8fh,91h,92h,95h,96h
    DB    99h,96h,96h,91h,92h,93h,95h,94h,6fh,66h
    DB    7fh,7fh,8bh,9ah,afh,bbh,79h,6bh,65h,6fh
    DB    90h,bbh,c9h,e8h,efh,f0h,fch,fdh,fdh,feh
    DB    fdh,fdh,fbh,f5h,c5h,cbh,d3h,deh,f3h,bbh
    DB    bah,e2h,f2h,bch,b9h,efh,f4h,91h,87h,7ah
    DB    74h,71h,63h,5fh,3eh,41h,36h,34h,43h,46h
    DB    76h,b1h,c0h,f7h,f7h,ech,98h,eeh,f9h,c8h
    DB    c1h,e7h,d8h,c7h,84h,d9h,d6h,83h,9dh,bch
    DB    beh,bch,bch,b7h,6bh,a0h,b5h,abh,a3h,aeh
    DB    b1h,c1h,c4h,bch,c1h,bfh,70h,a0h,c7h,bdh
    DB    c2h,c5h,c6h,c0h,bfh,c8h,c6h,cbh,cah,c1h
    DB    b2h,a3h,8fh,78h,79h,7bh,31h,25h,d8h,fch
    DB    fch,fch,fch,fch,feh,feh,feh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    feh,fdh,fbh,d9h,1dh,35h,f3h,fdh,fbh,5bh
    DB    1eh,e6h,fdh,feh,feh,feh,feh,feh,feh,feh
    DB    feh,feh,feh,fdh,fch,fch,fah,f8h,f4h,a9h
    DB    52h,1ah,51h,56h,4eh,47h,48h,48h,4dh,42h
    DB    2eh,62h,5ch,5ah,57h,5ch,5eh,5bh,53h,64h
    DB    7ah,72h,5ch,56h,55h,4eh,51h,5eh,73h,7bh
    DB    76h,60h,54h,41h,3eh,3bh,33h,31h,3ch,4ah
    DB    6eh,5dh,55h,54h,54h,56h,52h,57h,50h,56h
    DB    52h,5dh,66h,7ch,89h,8ch,8bh,94h,90h,92h
    DB    93h,91h,8bh,8ch,8ch,8eh,8dh,92h,95h,92h
    DB    93h,96h,96h,97h,93h,91h,94h,96h,7ah,60h
    DB    9fh,a3h,a7h,afh,cbh,d9h,cfh,a4h,92h,a0h
    DB    ach,c1h,d3h,f0h,f3h,f5h,fah,fbh,fbh,fah
    DB    fah,fbh,fah,f6h,c7h,d2h,d2h,dbh,fah,f2h
    DB    f1h,fbh,fbh,f5h,f5h,fah,f6h,91h,75h,3ch
    DB    41h,54h,75h,93h,94h,91h,89h,81h,86h,97h
    DB    a7h,bdh,b2h,f7h,fah,e9h,9bh,f6h,f8h,bbh
    DB    bch,b7h,86h,73h,79h,70h,72h,75h,85h,a4h
    DB    aeh,afh,b6h,bbh,50h,88h,8dh,8eh,93h,a9h
    DB    aah,a8h,b6h,b3h,b0h,a7h,9fh,aah,99h,a7h
    DB    a2h,ach,b1h,b7h,c0h,c4h,ceh,cah,c8h,c8h
    DB    a7h,91h,7fh,76h,74h,52h,0bh,afh,fbh,fch
    DB    ffh,ffh,feh,feh,feh,feh,feh,ffh,ffh,ffh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    ffh,fdh,fah,83h,0bh,64h,fch,feh,feh,bch
    DB    61h,e3h,fdh,fch,feh,feh,fdh,feh,feh,feh
    DB    feh,feh,feh,ffh,fdh,fch,fah,fbh,fah,f7h
    DB    f7h,c4h,37h,2fh,54h,51h,4bh,47h,4fh,45h
    DB    1bh,58h,51h,52h,51h,4fh,4bh,54h,53h,51h
    DB    68h,71h,5fh,55h,51h,50h,59h,78h,76h,75h
    DB    77h,74h,6dh,58h,58h,4ch,48h,4fh,59h,47h
    DB    61h,70h,67h,67h,78h,76h,76h,78h,75h,76h
    DB    78h,69h,7bh,83h,9ch,96h,91h,8dh,91h,96h
    DB    91h,92h,8ch,8ch,8fh,8dh,91h,8ch,90h,92h
    DB    8fh,8fh,94h,92h,8fh,90h,8dh,8dh,84h,50h
    DB    f0h,ebh,edh,eah,f0h,f0h,efh,eeh,f1h,f1h
    DB    ech,eeh,ech,ech,efh,f1h,f1h,f1h,efh,f0h
    DB    f1h,f1h,f1h,f0h,e0h,ddh,dch,e8h,f3h,f6h
    DB    f8h,f8h,f9h,fah,fah,fbh,f8h,98h,76h,3ah
    DB    4ah,5bh,68h,87h,99h,9ch,9bh,91h,90h,8ch
    DB    c6h,cdh,bdh,dbh,dah,d9h,91h,edh,eeh,abh
    DB    a5h,bah,b8h,99h,74h,87h,89h,7fh,9fh,a8h
    DB    9fh,9fh,a6h,a8h,89h,88h,80h,81h,6fh,7eh
    DB    8eh,9fh,c0h,b0h,afh,afh,b5h,b2h,aeh,a6h
    DB    aeh,b7h,bch,c4h,c8h,c7h,c2h,c6h,c5h,b4h
    DB    a7h,84h,6fh,6ah,70h,2ah,31h,f2h,fch,fdh
    DB    ffh,ffh,feh,feh,fdh,fdh,feh,feh,ffh,fdh
    DB    fch,fdh,fdh,fch,ffh,ffh,feh,feh,feh,ffh
    DB    ffh,feh,fdh,ech,b9h,e4h,feh,feh,fdh,fbh
    DB    fch,fch,fdh,feh,feh,feh,fdh,feh,ffh,ffh
    DB    ffh,fdh,feh,ffh,feh,fch,fah,fbh,fbh,fah
    DB    f9h,f7h,edh,84h,21h,4ch,51h,4ch,52h,49h
    DB    18h,5dh,5fh,5dh,5dh,56h,62h,62h,6dh,6dh
    DB    6ch,77h,6bh,6ah,64h,67h,74h,71h,70h,73h
    DB    75h,73h,74h,6fh,71h,71h,70h,77h,7dh,89h
    DB    8fh,97h,a4h,a9h,a6h,a9h,a9h,a9h,a7h,adh
    DB    a6h,ach,ach,abh,aeh,b3h,b0h,abh,a9h,a5h
    DB    a1h,9ah,9dh,99h,98h,96h,97h,9bh,99h,98h
    DB    98h,94h,8fh,8fh,91h,92h,93h,89h,8bh,4fh
    DB    d4h,e1h,e0h,deh,deh,deh,e3h,e0h,e9h,ebh
    DB    eah,edh,edh,edh,f0h,eeh,eeh,ech,ebh,eeh
    DB    ech,eeh,ebh,edh,ech,ech,ebh,ebh,ebh,e6h
    DB    ebh,eah,e9h,eah,eah,eeh,eeh,a0h,89h,4bh
    DB    45h,4fh,6bh,81h,87h,88h,92h,97h,a0h,97h
    DB    c4h,c9h,a1h,8eh,a0h,a5h,9dh,a2h,a4h,9eh
    DB    91h,a3h,b1h,b1h,7dh,aeh,a6h,90h,e2h,e8h
    DB    aah,a5h,b2h,93h,7ch,72h,6fh,71h,67h,71h
    DB    83h,8dh,9fh,abh,b0h,afh,b4h,b3h,b2h,bbh
    DB    c3h,beh,beh,beh,c1h,b8h,b6h,c4h,beh,a0h
    DB    9ch,91h,7eh,65h,5bh,13h,7bh,fch,fch,feh
    DB    ffh,fdh,feh,ffh,fch,fch,fch,feh,fch,fbh
    DB    fah,e5h,e4h,f8h,fdh,fdh,fch,fbh,fdh,ffh
    DB    ffh,ffh,feh,feh,fch,fdh,feh,ffh,ffh,ffh
    DB    ffh,feh,ffh,feh,feh,feh,fbh,fbh,fdh,fdh
    DB    fdh,feh,feh,feh,fbh,fbh,fah,f9h,fch,fbh
    DB    f9h,f6h,f6h,f7h,a5h,1ch,3eh,55h,57h,4ah
    DB    1eh,81h,7ah,7ch,76h,73h,73h,73h,76h,7ah
    DB    7ch,74h,76h,70h,6ah,69h,6dh,6eh,68h,5fh
    DB    5dh,6dh,79h,8ah,97h,a5h,abh,a5h,aah,aeh
    DB    afh,afh,afh,afh,b0h,a9h,a7h,a8h,a7h,a8h
    DB    a7h,a8h,adh,abh,b1h,b3h,bdh,b7h,b7h,b2h
    DB    aah,abh,b0h,a8h,a3h,9ah,99h,96h,8eh,8eh
    DB    87h,82h,80h,7eh,78h,7ah,7ah,7bh,7dh,61h
    DB    a9h,afh,a7h,a8h,aeh,a6h,a9h,adh,adh,b3h
    DB    b1h,b9h,b7h,c3h,c3h,c7h,c6h,d0h,d3h,dah
    DB    dfh,e2h,ebh,edh,edh,eah,e8h,e5h,e3h,e1h
    DB    e2h,e2h,e0h,ddh,d8h,dch,d9h,dch,dbh,d4h
    DB    c8h,bch,adh,a5h,99h,94h,9dh,a7h,a7h,9bh
    DB    cfh,cfh,a6h,ddh,d6h,e1h,e6h,dfh,e0h,ddh
    DB    d2h,a0h,ach,ach,7fh,a4h,afh,83h,dch,e6h
    DB    a3h,b5h,b7h,80h,63h,65h,5fh,6eh,69h,6ah
    DB    78h,61h,76h,97h,9dh,a8h,b4h,b1h,aeh,afh
    DB    aah,b0h,b4h,b7h,b9h,b8h,bbh,b0h,ach,a2h
    DB    8ah,7fh,6ch,6fh,63h,0ah,beh,fdh,fdh,fdh
    DB    feh,fbh,feh,feh,feh,fch,fch,fdh,fch,e1h
    DB    9dh,27h,1bh,41h,73h,8fh,c9h,f9h,fah,feh
    DB    ffh,feh,feh,feh,feh,feh,feh,fdh,feh,fdh
    DB    fdh,fdh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh
    DB    fdh,fdh,fdh,fdh,feh,fbh,fah,fbh,fch,fbh
    DB    fch,f6h,f8h,fah,f5h,cdh,3eh,32h,5bh,42h
    DB    3bh,88h,82h,7bh,76h,74h,7eh,72h,6dh,6dh
    DB    71h,71h,6dh,65h,61h,63h,62h,66h,7dh,9ah
    DB    adh,b2h,aeh,adh,abh,b2h,b4h,aah,a9h,a7h
    DB    a9h,b0h,b6h,b4h,b3h,b1h,adh,aeh,aeh,b0h
    DB    a9h,afh,a9h,a8h,a4h,a5h,9eh,92h,8ah,84h
    DB    80h,82h,7bh,79h,74h,75h,79h,70h,72h,73h
    DB    6bh,6eh,6ah,71h,6eh,6eh,6ch,6eh,6bh,69h
    DB    aeh,b6h,afh,adh,a7h,a1h,9dh,a2h,9ah,9fh
    DB    a3h,9fh,9eh,9ch,9fh,a3h,a3h,9bh,a1h,9dh
    DB    a3h,a7h,a9h,b6h,c0h,d0h,dbh,d5h,deh,dah
    DB    d6h,d5h,d6h,cah,d5h,d5h,d6h,d4h,cdh,d0h
    DB    d1h,cdh,d5h,dah,dah,d5h,d2h,d3h,c9h,a1h
    DB    ceh,cfh,a5h,d3h,ddh,e7h,e2h,e0h,e4h,e1h
    DB    cdh,9dh,a9h,b0h,8fh,9ah,a7h,86h,ddh,e1h
    DB    ach,a6h,b1h,afh,89h,74h,6dh,67h,6ah,6fh
    DB    6ah,6dh,7fh,98h,a3h,a2h,a9h,a8h,a0h,a6h
    DB    a7h,abh,a8h,a0h,a3h,aah,b4h,a9h,a2h,a9h
    DB    93h,97h,87h,7ch,73h,14h,dch,fch,fdh,ffh
    DB    feh,feh,feh,feh,feh,feh,fdh,fbh,c2h,21h
    DB    0dh,10h,13h,0eh,0eh,0fh,37h,f3h,fah,fdh
    DB    feh,feh,feh,feh,feh,feh,feh,ffh,feh,ffh
    DB    ffh,fdh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,feh
    DB    fdh,fch,fch,fbh,fbh,fbh,fbh,fah,fah,f8h
    DB    f7h,f5h,f2h,f8h,ech,f4h,eah,4ch,29h,30h
    DB    4ah,75h,77h,71h,70h,6ch,74h,72h,77h,79h
    DB    6eh,68h,57h,68h,7ah,95h,a7h,b1h,aeh,ach
    DB    adh,ach,b1h,aeh,ach,adh,aeh,aeh,afh,abh
    DB    aeh,b2h,b3h,b0h,b4h,b2h,bah,b2h,aeh,a2h
    DB    98h,8eh,8ah,83h,81h,88h,83h,7ch,73h,73h
    DB    6dh,6eh,6ah,65h,69h,66h,64h,62h,64h,60h
    DB    5fh,63h,5eh,63h,67h,64h,63h,64h,62h,63h
    DB    e8h,e4h,e4h,ddh,dah,cch,c9h,c5h,c1h,bbh
    DB    b3h,a7h,9dh,9eh,8bh,8ch,91h,8dh,98h,94h
    DB    94h,95h,9eh,92h,92h,91h,96h,9fh,9ch,a3h
    DB    a8h,c0h,ceh,d7h,d9h,d3h,cah,c7h,cbh,c3h
    DB    d0h,c9h,d5h,d7h,dbh,deh,dch,deh,d9h,d8h
    DB    d6h,cah,c5h,d7h,d9h,dfh,d7h,d9h,dbh,d1h
    DB    cdh,bdh,b2h,b6h,b5h,d1h,d7h,a4h,d7h,d8h
    DB    a8h,adh,9ah,9eh,9ch,95h,9bh,99h,62h,a2h
    DB    94h,a6h,a6h,a2h,9dh,99h,9ah,9eh,a1h,a2h
    DB    9fh,9eh,9ah,9fh,a0h,a4h,a2h,9bh,a5h,a0h
    DB    a1h,9fh,9fh,87h,64h,1fh,f3h,fdh,fch,feh
    DB    fch,feh,feh,fch,fdh,fdh,fbh,f8h,55h,10h
    DB    10h,0fh,10h,0fh,12h,48h,1ch,dch,fah,fdh
    DB    fdh,fdh,feh,feh,feh,ffh,ffh,ffh,feh,feh
    DB    feh,feh,feh,ffh,ffh,ffh,ffh,ffh,feh,fbh
    DB    fah,fah,fah,f8h,fbh,fah,f9h,f6h,f5h,f6h
    DB    f5h,d6h,8dh,6dh,21h,b9h,f2h,e5h,37h,0ah
    DB    57h,7ah,7ah,6bh,71h,6dh,7dh,77h,69h,56h
    DB    5ch,7dh,9ch,a6h,a4h,a4h,a9h,a8h,abh,a7h
    DB    adh,b0h,aeh,b0h,abh,aah,b1h,ach,a8h,adh
    DB    aah,afh,b4h,aah,9fh,9ah,8fh,82h,81h,7eh
    DB    7fh,7ah,77h,75h,6dh,6fh,68h,67h,69h,62h
    DB    60h,60h,60h,5fh,5fh,5fh,5dh,5eh,60h,61h
    DB    5ah,5eh,61h,5bh,58h,57h,5bh,5eh,61h,5eh
    DB    ebh,ebh,e9h,e6h,e8h,eah,e9h,e7h,e8h,e5h
    DB    e1h,d5h,c7h,bdh,adh,a5h,9eh,8ah,8ch,88h
    DB    8dh,86h,83h,83h,88h,84h,89h,7eh,8ch,92h
    DB    8eh,8eh,91h,97h,a1h,bah,c5h,d3h,d3h,c3h
    DB    cfh,d4h,d3h,d4h,d5h,d1h,d1h,ceh,d5h,dch
    DB    d8h,d6h,dah,d3h,dah,d3h,d3h,d4h,d4h,d8h
    DB    c9h,d4h,d0h,d8h,d3h,d7h,d6h,d3h,d6h,d0h
    DB    cfh,c0h,c3h,c2h,bdh,bah,bbh,bbh,8fh,c5h
    DB    bch,adh,adh,a8h,b2h,a5h,99h,9dh,a3h,abh
    DB    aah,aah,abh,b1h,adh,a3h,a0h,9ch,a2h,9ah
    DB    91h,8eh,83h,86h,43h,39h,f8h,fbh,fch,fch
    DB    ffh,feh,feh,feh,feh,fch,fbh,fbh,62h,0ah
    DB    0eh,0eh,10h,09h,2fh,75h,77h,f2h,fch,fdh
    DB    fdh,fdh,fdh,feh,fbh,feh,fdh,fdh,fdh,feh
    DB    feh,fdh,fdh,feh,feh,feh,feh,feh,fdh,fbh
    DB    fbh,fbh,fbh,fbh,fah,f8h,f9h,e5h,5ch,d8h
    DB    f6h,6ah,0fh,0eh,0fh,1bh,50h,ddh,d9h,29h
    DB    66h,77h,70h,6fh,6dh,69h,6fh,81h,8fh,9fh
    DB    a2h,a3h,9ah,9dh,a5h,ach,a9h,abh,abh,a9h
    DB    a8h,a9h,a8h,a6h,a2h,a6h,ach,aeh,adh,a2h
    DB    97h,92h,87h,7dh,81h,7ah,71h,73h,6eh,6dh
    DB    6eh,6ah,62h,66h,5fh,65h,63h,5fh,5fh,58h
    DB    59h,5ch,56h,56h,5dh,5bh,58h,5eh,5eh,5ch
    DB    60h,67h,62h,62h,62h,65h,64h,58h,5bh,60h
    DB    e9h,ech,ebh,e8h,eah,e7h,e5h,e7h,e8h,e7h
    DB    eah,eah,eah,e2h,e4h,deh,cdh,cah,c6h,b1h
    DB    a1h,9ah,8bh,8ah,7fh,7bh,84h,86h,84h,86h
    DB    87h,8eh,8eh,95h,96h,98h,a5h,b9h,c5h,c7h
    DB    cbh,d1h,cdh,cfh,cch,c9h,cfh,ceh,cch,d2h
    DB    d1h,c8h,ceh,ceh,ceh,d6h,d0h,d2h,d3h,d2h
    DB    cdh,cdh,cfh,d5h,d7h,dbh,d8h,d9h,d6h,ddh
    DB    d7h,d8h,d4h,d7h,d9h,ddh,e1h,dah,d9h,d3h
    DB    cfh,cbh,beh,b3h,b4h,aah,ach,b2h,ach,a5h
    DB    a2h,a7h,a1h,95h,92h,8fh,95h,84h,8ah,85h
    DB    81h,84h,78h,78h,2bh,3ch,f8h,fbh,fch,fdh
    DB    feh,feh,fdh,feh,ffh,fdh,fdh,fdh,e7h,bbh
    DB    a0h,9eh,a8h,afh,c7h,e6h,fbh,feh,fdh,feh
    DB    feh,fbh,fbh,feh,fdh,feh,feh,feh,ffh,feh
    DB    fdh,feh,fbh,fbh,fdh,fdh,feh,feh,feh,fdh
    DB    fdh,fch,fch,fah,fah,f6h,c5h,25h,7eh,f1h
    DB    d7h,24h,0ch,0eh,12h,0fh,0ah,7dh,f1h,9fh
    DB    38h,6fh,5ah,51h,6eh,94h,9ch,a2h,9eh,9ah
    DB    9bh,a1h,a2h,abh,adh,afh,adh,abh,a7h,a1h
    DB    a0h,a3h,a4h,a8h,a6h,a6h,9eh,93h,85h,82h
    DB    7fh,80h,7bh,6eh,69h,69h,66h,63h,62h,61h
    DB    61h,61h,5dh,5dh,5ah,5ah,5eh,5dh,57h,55h
    DB    59h,58h,5fh,58h,58h,55h,5ah,5ch,55h,59h
    DB    57h,57h,55h,58h,57h,5bh,5bh,5ch,57h,5ch
    DB    dfh,ebh,ebh,ech,ech,edh,edh,ebh,eah,e8h
    DB    e4h,e9h,e9h,e7h,e3h,e2h,e0h,dbh,dfh,d6h
    DB    dch,d9h,d1h,c1h,a3h,85h,82h,80h,83h,91h
    DB    8fh,a9h,a8h,aeh,b3h,bdh,bah,bch,beh,c2h
    DB    c0h,bfh,c3h,c3h,c6h,c8h,c3h,c9h,d0h,cbh
    DB    cbh,c8h,cbh,cdh,cfh,cah,cdh,c8h,cdh,cah
    DB    cch,c9h,d5h,d5h,d2h,d2h,d1h,d6h,d3h,d9h
    DB    d7h,d9h,d3h,d7h,cch,cah,c0h,b5h,abh,9fh
    DB    ach,9eh,94h,91h,92h,91h,8fh,93h,8fh,94h
    DB    8dh,89h,8eh,82h,89h,88h,8eh,8bh,7eh,79h
    DB    78h,80h,75h,7ah,31h,0ch,d4h,fbh,fch,fdh
    DB    feh,feh,feh,ffh,feh,feh,fdh,fdh,fch,fch
    DB    fdh,fdh,fdh,fdh,fdh,fch,fdh,fch,fdh,fdh
    DB    feh,feh,ffh,feh,ffh,ffh,ffh,ffh,feh,fch
    DB    fch,f9h,e8h,f8h,fbh,fbh,fbh,fdh,fch,fdh
    DB    feh,fch,feh,fch,f8h,dah,31h,55h,eah,e0h
    DB    3fh,0ch,0fh,11h,0dh,0dh,0bh,70h,eeh,e0h
    DB    2ch,69h,7ah,9ah,a1h,a1h,99h,99h,9bh,9fh
    DB    a5h,a4h,b1h,b2h,b2h,abh,ach,a9h,a7h,a7h
    DB    a5h,a8h,a4h,a0h,90h,82h,80h,7ah,76h,6fh
    DB    6ah,68h,62h,62h,61h,66h,62h,5dh,59h,5bh
    DB    5dh,5dh,5bh,5ah,58h,59h,58h,53h,57h,5ah
    DB    5ch,57h,5eh,52h,59h,5bh,57h,59h,57h,58h
    DB    5ah,57h,57h,5bh,5eh,5ah,5ah,59h,61h,5bh
    DB    b4h,c4h,d7h,e4h,eeh,ech,e7h,e6h,e6h,e3h
    DB    e1h,e0h,e3h,e1h,dch,ddh,dah,dah,dfh,dfh
    DB    d6h,dbh,e0h,dbh,dch,d6h,c0h,b5h,a9h,b9h
    DB    bdh,beh,bbh,b9h,c0h,bfh,b5h,c1h,beh,c9h
    DB    beh,beh,c3h,c5h,c2h,bah,bfh,c0h,c3h,c6h
    DB    c7h,c0h,bfh,c5h,c6h,c7h,cch,cah,cch,ceh
    DB    c9h,c8h,c5h,c7h,cah,cfh,d4h,d1h,d4h,d8h
    DB    cbh,bbh,aeh,a1h,9ah,9ah,9bh,97h,9ch,8eh
    DB    8fh,87h,87h,81h,86h,87h,87h,7fh,89h,80h
    DB    76h,79h,79h,7ah,7ah,77h,7eh,87h,7dh,78h
    DB    76h,71h,6fh,69h,62h,07h,80h,f9h,fch,feh
    DB    ffh,feh,feh,ffh,ffh,ffh,fdh,fch,fch,fdh
    DB    feh,feh,feh,feh,fdh,fdh,fdh,feh,ffh,feh
    DB    feh,feh,ffh,feh,fdh,fdh,feh,feh,feh,fch
    DB    fch,dah,20h,5ch,f8h,fbh,fbh,fbh,fch,fbh
    DB    feh,fbh,fah,f8h,f4h,4eh,34h,e6h,f5h,86h
    DB    0bh,11h,10h,0bh,15h,0eh,0bh,5dh,e4h,ddh
    DB    52h,9ch,a3h,9fh,99h,93h,98h,9eh,a1h,a9h
    DB    aeh,adh,b3h,afh,ach,adh,a8h,a8h,ach,a6h
    DB    96h,90h,83h,7bh,7bh,77h,67h,68h,64h,63h
    DB    63h,62h,5ch,5bh,5ah,61h,57h,58h,5ah,57h
    DB    56h,52h,57h,55h,57h,54h,57h,5ah,57h,57h
    DB    57h,55h,57h,53h,56h,54h,5eh,5ch,5bh,59h
    DB    53h,59h,55h,53h,5bh,5bh,5ah,57h,5ah,58h
    DB    8ah,93h,99h,a7h,beh,d2h,e5h,e4h,e2h,e1h
    DB    e2h,e5h,dfh,e5h,e1h,dch,deh,ddh,deh,ddh
    DB    dah,dfh,ddh,cfh,c6h,c5h,b6h,b8h,b6h,bbh
    DB    b5h,b7h,b3h,bah,b7h,b9h,b6h,c0h,bch,b9h
    DB    beh,bfh,c3h,c2h,c1h,c5h,c2h,b9h,b5h,b7h
    DB    b5h,b6h,bch,c6h,c5h,c0h,c7h,c8h,cah,cbh
    DB    c5h,c7h,c5h,bah,bfh,c4h,b7h,abh,a3h,99h
    DB    92h,86h,83h,8bh,83h,8ah,89h,89h,8bh,86h
    DB    83h,80h,78h,77h,77h,7dh,7bh,7ch,74h,7bh
    DB    79h,6eh,6eh,75h,74h,71h,6dh,75h,70h,70h
    DB    7ch,81h,69h,6ah,73h,27h,1fh,deh,f8h,fch
    DB    fdh,fbh,fdh,fbh,fbh,fbh,fah,fah,fch,feh
    DB    ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,ffh,feh
    DB    feh,ffh,ffh,feh,feh,feh,fdh,fdh,fdh,fbh
    DB    fch,f2h,32h,24h,e7h,fah,feh,fbh,feh,feh
    DB    fbh,fbh,fah,fbh,bah,11h,9dh,f9h,b5h,10h
    DB    0dh,32h,1ch,5ch,dch,68h,0bh,40h,e8h,deh
    DB    62h,81h,9bh,98h,93h,9ah,a5h,aah,a9h,b1h
    DB    b1h,aeh,aeh,b3h,b2h,aeh,a9h,9ah,89h,82h
    DB    7eh,7ah,6dh,71h,6ch,69h,6ah,5fh,61h,63h
    DB    5ch,5dh,60h,5eh,5bh,5ah,57h,57h,54h,59h
    DB    56h,5ah,55h,55h,57h,5bh,5ah,5ch,5ah,5ah
    DB    56h,55h,5ah,5bh,5fh,5eh,5ch,59h,59h,56h
    DB    56h,58h,59h,56h,5ah,5ch,59h,5bh,59h,5ch
    DB    85h,81h,85h,86h,93h,9ch,a8h,c7h,e4h,e9h
    DB    c2h,c7h,deh,dch,ddh,d6h,d9h,dbh,dah,d7h
    DB    d2h,c5h,bbh,bbh,93h,b5h,b6h,abh,a9h,b1h
    DB    b6h,beh,b7h,bbh,c3h,b7h,c9h,a4h,b3h,b5h
    DB    adh,ach,b4h,b7h,bch,bdh,b4h,bdh,beh,bbh
    DB    bfh,bfh,bfh,c3h,c7h,bfh,c3h,c2h,bdh,c0h
    DB    c2h,bch,afh,9dh,a2h,98h,8bh,8dh,89h,81h
    DB    7fh,83h,7eh,82h,80h,7eh,83h,80h,80h,7fh
    DB    80h,7fh,7ch,7bh,7ch,7ah,75h,78h,75h,70h
    DB    71h,6dh,6eh,6dh,73h,76h,6dh,69h,6dh,6eh
    DB    6dh,69h,68h,66h,62h,5bh,0ah,4ah,e0h,fbh
    DB    fdh,fbh,fbh,fbh,f0h,60h,92h,f8h,fdh,feh
    DB    ffh,feh,feh,fdh,fdh,feh,ffh,ffh,ffh,feh
    DB    feh,ffh,ffh,ffh,feh,feh,fdh,feh,ffh,fdh
    DB    fch,fbh,89h,1fh,e4h,fbh,fch,fbh,fbh,fbh
    DB    fah,fbh,fbh,f8h,6ah,46h,f0h,e6h,31h,0eh
    DB    25h,e6h,90h,93h,eah,9bh,06h,36h,e8h,e1h
    DB    4eh,85h,9dh,9ch,a2h,a2h,ach,b2h,ach,adh
    DB    aah,a9h,adh,a9h,a1h,8fh,7fh,7bh,76h,70h
    DB    67h,63h,65h,63h,64h,62h,61h,5bh,5ah,5eh
    DB    5ah,5dh,57h,58h,53h,59h,59h,56h,57h,56h
    DB    54h,57h,57h,54h,57h,5fh,5fh,58h,5eh,5eh
    DB    5eh,5dh,5dh,5ch,59h,60h,5eh,5ah,59h,58h
    DB    59h,58h,5dh,5bh,62h,5bh,58h,5ch,5bh,5ah
    DB    82h,7ah,78h,7eh,89h,85h,86h,88h,9fh,d8h
    DB    bch,f2h,deh,dbh,deh,d9h,d5h,c6h,c3h,b3h
    DB    b9h,b2h,c5h,c7h,cbh,d4h,bah,aah,afh,a6h
    DB    aeh,b3h,b0h,beh,bah,a7h,aah,d5h,d3h,a8h
    DB    a2h,a7h,adh,b0h,abh,b0h,adh,b2h,b4h,bah
    DB    b7h,b9h,c4h,c2h,bfh,c7h,bah,beh,afh,a9h
    DB    a4h,99h,90h,8dh,86h,8fh,8eh,86h,8ah,80h
    DB    7bh,7ah,78h,82h,7ah,80h,80h,88h,87h,80h
    DB    80h,82h,7fh,7ch,7fh,77h,77h,73h,6dh,67h
    DB    6bh,6fh,6fh,6dh,6eh,77h,75h,6ch,6fh,73h
    DB    6fh,6eh,68h,66h,6ah,68h,65h,15h,2fh,dah
    DB    f9h,fah,fch,fdh,a0h,05h,6dh,fbh,f9h,fch
    DB    fch,fch,f7h,dfh,fch,fdh,feh,feh,feh,feh
    DB    feh,feh,feh,feh,feh,feh,feh,feh,feh,fbh
    DB    fbh,e1h,28h,7fh,fah,fah,fdh,fch,fbh,fch
    DB    feh,fbh,fbh,cfh,0fh,8eh,f7h,6dh,0dh,10h
    DB    10h,4ah,25h,cah,efh,53h,08h,21h,deh,e0h
    DB    5bh,7eh,a2h,a4h,aeh,b3h,b5h,b1h,aeh,aeh
    DB    b1h,aeh,9eh,87h,84h,79h,77h,70h,6eh,67h
    DB    60h,5eh,5eh,5ch,5ah,5ah,58h,58h,55h,59h
    DB    56h,56h,56h,57h,57h,5bh,57h,58h,60h,5fh
    DB    59h,5bh,56h,57h,5ah,5bh,5ch,5fh,5eh,5dh
    DB    5dh,60h,5bh,5fh,5fh,5ch,5bh,5bh,59h,5bh
    DB    59h,58h,5bh,5ah,5eh,5dh,5bh,55h,56h,5bh
    DB    88h,88h,8ch,8bh,99h,99h,a0h,9ch,adh,bfh
    DB    b5h,cah,d2h,d8h,ddh,e2h,edh,f6h,f7h,f4h
    DB    f8h,f7h,f7h,f8h,f9h,f5h,f4h,f0h,f2h,f2h
    DB    f1h,e8h,e5h,d7h,cah,c7h,ceh,d9h,cdh,95h
    DB    9ah,9fh,aeh,a8h,a4h,a7h,ach,a4h,aah,b1h
    DB    afh,bdh,b1h,afh,b0h,a9h,a5h,96h,93h,8ah
    DB    85h,85h,8bh,87h,8eh,86h,91h,8eh,8bh,7eh
    DB    75h,77h,7ch,74h,6ch,7dh,7fh,86h,80h,89h
    DB    82h,82h,7fh,7dh,76h,68h,6fh,78h,6bh,6fh
    DB    72h,6ch,76h,74h,71h,75h,79h,6ah,75h,6ah
    DB    6ah,6fh,6eh,70h,6ch,74h,6dh,62h,1eh,22h
    DB    9ch,efh,fch,fah,deh,32h,6bh,beh,f8h,fah
    DB    f8h,eah,b4h,48h,f8h,fdh,fdh,feh,feh,fbh
    DB    ffh,feh,feh,feh,feh,feh,fdh,fdh,fdh,fbh
    DB    e4h,36h,37h,edh,fch,fbh,feh,fbh,fdh,f8h
    DB    fbh,fbh,f7h,99h,15h,cah,d6h,19h,11h,0dh
    DB    0dh,0dh,15h,88h,6fh,14h,09h,5ch,e1h,e2h
    DB    5ah,8eh,aah,b1h,b0h,afh,afh,adh,b1h,b3h
    DB    9fh,89h,7fh,7ch,77h,74h,68h,62h,63h,59h
    DB    57h,58h,59h,5bh,5ch,54h,55h,52h,57h,57h
    DB    5ah,56h,57h,5ah,5ah,58h,57h,5ah,5eh,5eh
    DB    5bh,59h,57h,57h,59h,5dh,5ch,67h,73h,69h
    DB    6ah,5dh,62h,5dh,62h,5ch,5bh,5dh,61h,58h
    DB    5eh,5ch,5fh,5eh,5eh,5ch,58h,52h,58h,5ah
    DB    d6h,ddh,e4h,ech,f8h,f6h,fbh,f9h,fah,f9h
    DB    f9h,fah,f0h,e7h,e9h,e6h,e2h,e0h,deh,d6h
    DB    ceh,cah,cch,bbh,e7h,c2h,beh,c0h,c0h,ceh
    DB    cch,cch,d5h,d9h,e7h,f1h,f4h,f7h,f4h,e6h
    DB    ddh,d8h,d0h,cdh,bfh,b6h,aeh,b3h,bdh,c3h
    DB    c8h,b5h,9bh,95h,8dh,8ah,8bh,85h,87h,81h
    DB    86h,83h,81h,94h,a0h,93h,8dh,86h,84h,7dh
    DB    78h,71h,78h,80h,84h,89h,95h,8ah,8fh,87h
    DB    7eh,77h,77h,75h,7ch,71h,81h,73h,73h,71h
    DB    72h,70h,6ah,71h,6fh,75h,71h,71h,74h,72h
    DB    6fh,71h,70h,71h,7ah,7ah,6ch,70h,74h,3eh
    DB    0ah,31h,8ah,dch,f7h,ddh,41h,57h,d8h,d9h
    DB    d0h,cbh,aah,40h,f7h,fdh,fdh,ffh,feh,feh
    DB    fdh,feh,feh,feh,feh,fch,fbh,fbh,fah,c1h
    DB    4ch,43h,d5h,fbh,fch,fbh,fbh,fbh,feh,fbh
    DB    f9h,f7h,f6h,5bh,38h,f2h,ech,33h,0fh,0fh
    DB    0ch,0bh,0ch,0bh,0ah,09h,30h,dbh,dbh,d1h
    DB    30h,a5h,a8h,aah,ach,b1h,aeh,abh,a4h,85h
    DB    7dh,7ah,74h,6ch,6fh,67h,63h,61h,5dh,58h
    DB    58h,55h,58h,57h,59h,56h,5bh,5ah,57h,57h
    DB    57h,5ah,5bh,57h,5bh,5eh,5dh,5eh,5ch,63h
    DB    63h,63h,5dh,5ah,5bh,5bh,68h,6dh,78h,75h
    DB    74h,6ah,69h,5fh,5eh,58h,5ah,5ch,5ch,5fh
    DB    5fh,5dh,64h,61h,66h,62h,62h,64h,62h,59h
    DB    eah,e7h,e2h,d3h,cch,c3h,c3h,c7h,c4h,d5h
    DB    c6h,f8h,cah,b8h,b4h,b5h,b7h,b6h,b0h,b1h
    DB    aeh,adh,adh,a9h,f2h,adh,9ah,a3h,b1h,b5h
    DB    b3h,adh,aah,b0h,b1h,beh,aah,dch,dbh,b4h
    DB    bch,cch,d8h,e1h,eah,f3h,f4h,f1h,e7h,e3h
    DB    cdh,c1h,afh,9fh,99h,95h,94h,93h,94h,94h
    DB    92h,94h,7eh,f0h,ceh,9bh,8bh,7bh,80h,86h
    DB    7eh,7bh,7bh,84h,83h,81h,96h,90h,94h,83h
    DB    80h,84h,7eh,75h,76h,7ah,7bh,7ch,76h,79h
    DB    7bh,76h,70h,71h,6fh,71h,71h,77h,77h,72h
    DB    6eh,68h,73h,77h,75h,78h,70h,6ch,6dh,67h
    DB    6dh,3fh,11h,0ah,3bh,c6h,57h,22h,c9h,c5h
    DB    c7h,c4h,a0h,3eh,f7h,fbh,fch,fdh,fdh,fbh
    DB    fdh,fch,fch,fbh,fch,fbh,eah,c0h,58h,2ch
    DB    8ch,f2h,fah,fbh,feh,feh,feh,feh,fbh,fah
    DB    fch,f8h,ebh,25h,5dh,f6h,eeh,2eh,10h,0bh
    DB    0dh,0bh,0bh,10h,0dh,0ch,a5h,e3h,e0h,6fh
    DB    60h,ach,a5h,a7h,a8h,a9h,a5h,89h,78h,7dh
    DB    76h,66h,69h,60h,5ah,5dh,5bh,5ch,5bh,5dh
    DB    58h,53h,58h,58h,5bh,5ah,5fh,5dh,5eh,5bh
    DB    5ah,5dh,5dh,64h,62h,5fh,5ch,69h,64h,64h
    DB    65h,5fh,68h,62h,62h,6fh,73h,77h,74h,78h
    DB    7dh,72h,6eh,68h,60h,5eh,5dh,57h,5bh,5ch
    DB    5bh,5eh,65h,63h,63h,6bh,6ah,6fh,69h,5fh
    DB    88h,80h,86h,7eh,8dh,9bh,afh,b8h,b7h,bah
    DB    ach,f7h,cah,b4h,b8h,aah,a4h,afh,b0h,b6h
    DB    b2h,beh,bdh,b3h,dfh,bbh,aah,b3h,b4h,b1h
    DB    a9h,a7h,a6h,b0h,ach,a9h,9fh,dfh,ceh,9fh
    DB    a4h,a6h,adh,b0h,abh,9dh,93h,97h,a6h,c0h
    DB    dfh,f4h,ech,ech,ech,efh,efh,eeh,ebh,e6h
    DB    dbh,d0h,bbh,cfh,cch,c3h,a1h,9bh,8ch,89h
    DB    92h,95h,8eh,94h,98h,7fh,e5h,bfh,98h,81h
    DB    79h,86h,84h,81h,7ch,7ch,77h,7dh,7fh,88h
    DB    7dh,7ch,79h,7dh,7ah,7bh,7ah,77h,7dh,79h
    DB    78h,6fh,72h,74h,71h,70h,71h,72h,6ah,66h
    DB    6ah,70h,71h,6bh,a7h,c8h,74h,0bh,9eh,c4h
    DB    c6h,c9h,90h,28h,efh,f9h,fbh,fah,fah,f9h
    DB    fah,fah,fah,e9h,b9h,66h,1bh,33h,91h,e7h
    DB    fbh,fdh,fch,fch,fch,fdh,feh,fdh,fch,fbh
    DB    fah,f9h,e2h,1bh,51h,f4h,bfh,0eh,0ch,0fh
    DB    0bh,09h,0ah,0ch,0bh,5fh,e4h,dbh,bbh,2dh
    DB    a2h,a3h,a4h,a5h,a7h,96h,83h,7ch,6fh,6ah
    DB    67h,6dh,60h,5ch,5bh,58h,5ah,5bh,5ch,58h
    DB    57h,5eh,65h,5ch,5fh,5fh,5bh,5bh,58h,59h
    DB    5dh,61h,60h,61h,57h,5bh,63h,63h,66h,63h
    DB    64h,67h,6dh,75h,73h,74h,70h,71h,6fh,72h
    DB    79h,78h,73h,7ah,77h,6ch,67h,5eh,5dh,5ch
    DB    5dh,65h,69h,6ah,68h,6ah,6bh,6ah,69h,6bh
    DB    80h,78h,85h,8dh,a2h,b8h,b2h,afh,a7h,bbh
    DB    bdh,e2h,d8h,d2h,d1h,dah,e0h,e6h,e8h,e8h
    DB    e9h,e6h,e0h,ebh,f6h,edh,e9h,e6h,deh,e0h
    DB    e5h,e2h,e6h,dfh,d8h,d5h,c4h,d8h,cah,a9h
    DB    a6h,a4h,96h,86h,78h,6eh,68h,64h,68h,81h
    DB    dfh,c7h,99h,8eh,85h,8ah,8eh,a2h,aah,bfh
    DB    cfh,d6h,d9h,f5h,f7h,f9h,f8h,f8h,f4h,e9h
    DB    dfh,d2h,cch,c8h,bfh,bdh,f0h,c9h,b2h,93h
    DB    8dh,8eh,8dh,8ah,8fh,86h,77h,7eh,86h,80h
    DB    81h,7eh,7ch,83h,81h,79h,7fh,7dh,81h,7fh
    DB    7dh,77h,6bh,71h,6bh,65h,6dh,69h,6bh,5fh
    DB    37h,2fh,45h,7eh,a9h,c6h,bah,29h,4eh,cah
    DB    c5h,c9h,91h,09h,3fh,6bh,93h,a4h,8fh,adh
    DB    81h,6dh,5fh,27h,4fh,88h,cfh,f4h,fah,fbh
    DB    fch,fbh,fbh,fbh,fah,fbh,fch,fbh,fbh,f8h
    DB    f8h,f2h,f0h,3eh,3dh,f1h,d8h,1bh,10h,0eh
    DB    0eh,0ah,0bh,26h,a5h,e5h,deh,dfh,3fh,68h
    DB    a4h,a2h,9ch,9dh,95h,82h,7bh,70h,67h,63h
    DB    5fh,61h,5bh,5bh,5ch,5eh,62h,5eh,60h,66h
    DB    65h,63h,69h,64h,62h,5fh,64h,69h,5fh,5eh
    DB    63h,64h,5dh,5ch,5bh,5ch,65h,64h,68h,67h
    DB    6eh,72h,6eh,75h,78h,76h,74h,73h,71h,6fh
    DB    6eh,6ch,6bh,72h,6fh,69h,65h,64h,5fh,5ch
    DB    65h,5eh,60h,62h,68h,66h,65h,76h,62h,6ah
    DB    c4h,d2h,e0h,dbh,deh,d4h,d6h,d3h,d7h,d9h
    DB    c6h,f2h,e2h,bah,b9h,b8h,b5h,a9h,ach,a8h
    DB    9eh,ach,a8h,d3h,f4h,ach,a6h,a3h,9dh,a3h
    DB    afh,b0h,b3h,b2h,c0h,cfh,d8h,edh,f8h,e9h
    DB    dbh,d7h,cdh,beh,9dh,96h,8eh,8ah,8fh,93h
    DB    f0h,9eh,75h,66h,66h,6ah,6dh,66h,73h,77h
    DB    81h,87h,89h,ech,cdh,a6h,93h,91h,99h,b9h
    DB    c5h,cbh,d8h,e5h,eeh,efh,f7h,f1h,eeh,efh
    DB    deh,d3h,c0h,aeh,a0h,9bh,93h,97h,96h,92h
    DB    8ah,80h,77h,84h,84h,87h,87h,8bh,82h,84h
    DB    7dh,71h,6fh,69h,6ah,6ch,69h,67h,6ah,6ch
    DB    4bh,69h,64h,49h,0eh,7ch,cbh,96h,11h,90h
    DB    cbh,cbh,81h,0bh,37h,1dh,09h,0ah,0dh,46h
    DB    a8h,8bh,aeh,e5h,fah,fbh,fdh,fdh,fch,fbh
    DB    fch,fbh,f9h,f9h,fah,f9h,fbh,fah,f9h,f7h
    DB    f8h,f8h,f7h,68h,2bh,ebh,efh,53h,0bh,0eh
    DB    13h,3eh,69h,d2h,e7h,e5h,c8h,36h,47h,a6h
    DB    9ah,9ch,a1h,90h,7dh,7ah,68h,63h,68h,61h
    DB    5dh,5dh,5ah,5dh,60h,62h,67h,63h,64h,64h
    DB    69h,62h,68h,64h,5fh,5dh,63h,61h,63h,61h
    DB    5eh,61h,5eh,62h,5ch,67h,62h,5ch,5dh,67h
    DB    70h,6bh,72h,75h,6fh,6dh,75h,6fh,53h,6bh
    DB    6ch,67h,65h,63h,65h,6bh,66h,68h,5eh,63h
    DB    5fh,59h,61h,63h,6ah,67h,5ah,61h,5ah,60h
    DB    a0h,a2h,abh,aah,b0h,a1h,a5h,afh,a8h,b3h
    DB    98h,edh,dfh,98h,a3h,a8h,a1h,94h,a0h,a8h
    DB    a5h,a8h,94h,e5h,f0h,a7h,a0h,9ah,9dh,98h
    DB    97h,9ah,a1h,9eh,aeh,a1h,94h,d1h,f5h,95h
    DB    78h,86h,9fh,b6h,c7h,ceh,d8h,ddh,dch,d6h
    DB    deh,b5h,9dh,8bh,80h,7dh,7ch,77h,7ch,7ah
    DB    77h,77h,84h,f1h,bbh,80h,68h,64h,69h,6eh
    DB    75h,6ch,76h,88h,a2h,d0h,ebh,b0h,9fh,b4h
    DB    c1h,c6h,ceh,dbh,e8h,ebh,e2h,d6h,c7h,bbh
    DB    aah,9ch,87h,84h,85h,8eh,92h,c1h,b5h,8ah
    DB    8bh,7ch,81h,7bh,6eh,69h,6eh,6dh,6fh,71h
    DB    75h,79h,82h,85h,3bh,1bh,bbh,c9h,94h,4dh
    DB    bdh,c6h,6ah,0ch,6dh,75h,47h,2fh,97h,c4h
    DB    c5h,98h,bbh,f3h,f7h,fbh,fdh,feh,fdh,fch
    DB    fdh,fah,f9h,f9h,fah,fah,f5h,f0h,c4h,a1h
    DB    7eh,80h,68h,1ch,0bh,8ah,e9h,e6h,abh,1bh
    DB    a6h,e9h,e6h,e6h,d6h,81h,22h,57h,9ah,95h
    DB    97h,99h,88h,7eh,76h,6ch,67h,64h,64h,64h
    DB    63h,60h,63h,67h,62h,62h,67h,60h,6ah,6ah
    DB    63h,5eh,66h,60h,65h,5dh,5fh,59h,58h,5ch
    DB    5fh,65h,64h,61h,60h,66h,63h,5bh,62h,69h
    DB    75h,75h,6eh,68h,69h,6eh,6ch,60h,4ah,68h
    DB    69h,69h,63h,68h,62h,6dh,66h,64h,5eh,56h
    DB    5bh,5eh,60h,5ch,66h,63h,5ah,6ch,56h,62h
    DB    7dh,9bh,a1h,a9h,a4h,a3h,ach,abh,a6h,aeh
    DB    b1h,c3h,c4h,ach,aeh,b0h,aeh,b5h,b0h,b0h
    DB    b5h,beh,b6h,c1h,cch,bch,adh,abh,9dh,a3h
    DB    a0h,a0h,9ch,9dh,8bh,88h,87h,b5h,dch,9dh
    DB    82h,74h,77h,73h,84h,95h,a2h,a6h,a2h,d1h
    DB    ddh,c8h,d7h,e1h,d6h,cdh,c6h,bah,bah,bch
    DB    b5h,b8h,98h,d7h,c1h,93h,7ch,84h,85h,7ch
    DB    7ah,73h,6fh,80h,7ch,eeh,ddh,8ah,6dh,6eh
    DB    73h,73h,7eh,86h,90h,a5h,a3h,f3h,ebh,e1h
    DB    edh,f1h,dch,c2h,afh,a0h,a1h,deh,a0h,a7h
    DB    8ch,85h,7fh,7fh,7bh,78h,7bh,7ch,7ah,7eh
    DB    86h,88h,83h,82h,34h,31h,bfh,c6h,c6h,c2h
    DB    c2h,cbh,4dh,0fh,3dh,54h,7eh,c4h,c4h,c4h
    DB    c1h,beh,2dh,38h,c8h,f8h,fbh,fdh,fch,fdh
    DB    fdh,fbh,fbh,f6h,91h,5ch,32h,26h,0eh,0bh
    DB    25h,44h,46h,54h,4fh,16h,3bh,9dh,c5h,2fh
    DB    bfh,ebh,b1h,80h,39h,38h,7ch,a5h,9ah,96h
    DB    96h,9ah,7eh,6dh,62h,61h,6ah,67h,62h,64h
    DB    66h,64h,5fh,63h,69h,66h,69h,62h,67h,67h
    DB    69h,61h,65h,63h,69h,57h,55h,52h,51h,4dh
    DB    53h,5ah,58h,65h,69h,67h,5fh,61h,60h,64h
    DB    73h,6eh,6fh,6ah,68h,6bh,65h,5bh,4dh,61h
    DB    61h,63h,62h,5fh,64h,68h,65h,62h,5fh,58h
    DB    57h,63h,5fh,5bh,68h,71h,68h,5dh,5ch,62h
    DB    b1h,a4h,a4h,a5h,b3h,b8h,bch,b5h,b3h,b5h
    DB    bdh,c0h,beh,b7h,bah,bfh,b8h,b5h,a9h,a0h
    DB    98h,98h,96h,93h,8eh,8ah,9ch,92h,8dh,92h
    DB    91h,8fh,8fh,8dh,8bh,8fh,88h,8fh,8ah,90h
    DB    91h,8eh,a1h,abh,c0h,beh,bfh,b9h,b1h,beh
    DB    bdh,a7h,9eh,a4h,a6h,aeh,b7h,c1h,d1h,d5h
    DB    dbh,e3h,e9h,edh,e2h,e2h,d7h,d6h,cbh,bbh
    DB    b6h,b1h,aeh,aah,88h,dfh,dah,aah,87h,8bh
    DB    88h,79h,7ah,74h,75h,81h,86h,f3h,d1h,94h
    DB    7eh,90h,bdh,dah,eeh,f7h,f2h,e7h,cch,c7h
    DB    b1h,9ch,8ch,8ch,8ch,8ah,8fh,8eh,90h,8eh
    DB    93h,86h,59h,24h,30h,afh,c6h,c4h,c4h,c6h
    DB    c6h,c8h,adh,9ch,c7h,c3h,bbh,50h,3bh,6ch
    DB    b3h,beh,b2h,30h,3eh,f6h,fbh,fch,fbh,fbh
    DB    fbh,fah,e9h,62h,11h,12h,41h,80h,87h,6dh
    DB    a8h,a1h,a0h,a1h,a8h,95h,47h,14h,0eh,0ch
    DB    17h,2eh,32h,5dh,8ah,9ch,9ch,9eh,96h,93h
    DB    98h,91h,83h,6eh,65h,69h,64h,5fh,67h,6bh
    DB    65h,63h,63h,66h,68h,69h,65h,67h,66h,69h
    DB    6dh,6bh,65h,60h,61h,54h,51h,4bh,45h,43h
    DB    4bh,52h,50h,52h,53h,61h,63h,61h,62h,5fh
    DB    63h,67h,63h,64h,6bh,5fh,68h,50h,59h,68h
    DB    61h,5eh,5ah,5dh,59h,5bh,5bh,58h,5bh,5eh
    DB    5bh,65h,6ah,62h,6dh,69h,6fh,66h,59h,5fh
    DB    a9h,abh,a7h,a4h,a8h,a3h,a0h,adh,aeh,adh
    DB    aeh,b6h,b8h,b3h,a8h,9bh,98h,9eh,9ah,8ch
    DB    89h,81h,82h,81h,81h,7ah,76h,73h,79h,7ch
    DB    85h,83h,87h,88h,87h,85h,84h,87h,91h,9ah
    DB    a0h,a6h,abh,a3h,a1h,abh,afh,b2h,a7h,b2h
    DB    b3h,b3h,b5h,b5h,aeh,adh,adh,b9h,b1h,b9h
    DB    c1h,c0h,beh,b9h,c3h,b6h,b1h,b7h,b7h,cbh
    DB    d1h,e0h,ebh,ebh,ebh,edh,e4h,ddh,d2h,c6h
    DB    afh,a1h,95h,90h,87h,90h,79h,f3h,dah,83h
    DB    6bh,61h,75h,7ch,7dh,9ch,ech,f1h,ebh,f0h
    DB    f3h,f4h,eah,d6h,c8h,bfh,a4h,73h,59h,3ch
    DB    1eh,1ah,51h,82h,bdh,c6h,c2h,c6h,c6h,c5h
    DB    c2h,c6h,c7h,c7h,c5h,c6h,c7h,c5h,9ch,36h
    DB    1eh,86h,c3h,b6h,5ah,ech,fah,fdh,fbh,fbh
    DB    fbh,f9h,8dh,09h,26h,65h,78h,85h,7fh,79h
    DB    a0h,9ah,9dh,a1h,9fh,99h,9ch,93h,83h,89h
    DB    90h,94h,8dh,92h,97h,96h,95h,98h,99h,96h
    DB    98h,85h,84h,7bh,73h,68h,65h,64h,65h,63h
    DB    65h,63h,62h,64h,6bh,69h,6ah,5fh,5dh,5ch
    DB    5bh,56h,53h,56h,4fh,4bh,45h,41h,3ah,42h
    DB    42h,41h,4ah,46h,4ah,4ah,51h,59h,62h,6eh
    DB    62h,63h,6ch,55h,5ch,5ah,5bh,4bh,59h,58h
    DB    59h,5ch,4eh,4ah,52h,53h,55h,53h,57h,5fh
    DB    61h,66h,60h,61h,63h,66h,5dh,56h,5ch,5ch
    DB    a0h,9ch,a0h,a2h,9ch,a2h,a5h,a3h,9ch,9fh
    DB    9ch,95h,8eh,93h,8ch,89h,7eh,7fh,7bh,78h
    DB    7bh,78h,71h,72h,77h,78h,70h,6dh,7eh,7ah
    DB    81h,88h,83h,8ah,8ch,8eh,96h,9dh,97h,98h
    DB    97h,9ah,9bh,98h,a3h,a4h,adh,b1h,abh,9ah
    DB    a2h,a4h,a0h,9bh,9ch,a6h,a1h,a0h,94h,8eh
    DB    8bh,83h,87h,85h,82h,7eh,82h,82h,85h,8ch
    DB    94h,94h,95h,9bh,a3h,9eh,adh,bah,bdh,cdh
    DB    ceh,cfh,ceh,e0h,dfh,dbh,c5h,d8h,d0h,98h
    DB    7eh,76h,75h,7bh,81h,a9h,f4h,a6h,93h,8fh
    DB    96h,a8h,b7h,c8h,a4h,41h,18h,46h,71h,7fh
    DB    a2h,c8h,cbh,c1h,bch,c4h,bfh,b0h,c9h,c5h
    DB    c5h,cah,cah,cah,c9h,cch,c9h,c5h,c5h,c6h
    DB    68h,12h,30h,7ah,6ch,aeh,f9h,fah,f8h,f9h
    DB    fbh,e6h,24h,20h,73h,7ah,78h,89h,7ch,a1h
    DB    9eh,a1h,a7h,a0h,9ah,97h,95h,95h,93h,9ah
    DB    98h,94h,8fh,96h,99h,97h,98h,95h,92h,99h
    DB    94h,87h,7eh,74h,6fh,6dh,67h,64h,62h,67h
    DB    68h,6bh,62h,61h,5eh,5ch,61h,5bh,53h,4fh
    DB    4bh,4bh,49h,45h,47h,45h,46h,3eh,40h,3fh
    DB    40h,44h,43h,46h,5eh,67h,5eh,63h,65h,72h
    DB    69h,62h,5ch,5bh,4dh,5ch,58h,55h,5ah,59h
    DB    5dh,48h,43h,51h,55h,52h,54h,53h,5dh,53h
    DB    60h,67h,6ah,5eh,5fh,52h,51h,57h,5ah,59h
    DB    95h,98h,96h,95h,99h,95h,90h,92h,8fh,84h
    DB    79h,81h,7dh,7fh,7fh,78h,78h,73h,73h,6eh
    DB    70h,6dh,6bh,6fh,6ch,70h,70h,7ah,84h,8eh
    DB    8fh,9dh,95h,9dh,8dh,8ch,91h,92h,93h,91h
    DB    92h,96h,9ch,96h,97h,9bh,a2h,a0h,96h,94h
    DB    96h,9ch,8eh,83h,82h,83h,80h,7eh,7ch,82h
    DB    70h,6ah,6ah,6eh,72h,6dh,74h,75h,75h,78h
    DB    7dh,80h,85h,87h,93h,91h,91h,9dh,9fh,a3h
    DB    afh,b3h,b1h,b4h,b7h,c3h,c6h,d4h,deh,dch
    DB    d6h,cdh,bbh,a2h,9dh,d5h,e0h,87h,88h,70h
    DB    69h,71h,7bh,35h,11h,6dh,bfh,d1h,cfh,d1h
    DB    d0h,d0h,c8h,3ah,3dh,d2h,85h,14h,b6h,c9h
    DB    cbh,cbh,c7h,c9h,cah,c5h,c7h,b2h,a3h,c5h
    DB    c5h,b0h,7dh,83h,55h,25h,39h,38h,44h,4dh
    DB    5bh,39h,07h,45h,67h,6dh,7bh,90h,8ch,a6h
    DB    99h,a2h,a1h,9eh,9fh,9ah,8eh,91h,94h,96h
    DB    96h,96h,96h,96h,97h,96h,98h,94h,90h,98h
    DB    99h,82h,7fh,77h,69h,69h,5fh,71h,6fh,6ch
    DB    66h,66h,63h,63h,5fh,55h,59h,53h,4eh,41h
    DB    41h,46h,42h,48h,4ah,45h,3fh,45h,3dh,42h
    DB    45h,43h,46h,56h,6eh,75h,79h,79h,6eh,63h
    DB    61h,62h,64h,62h,59h,57h,59h,59h,56h,52h
    DB    51h,4eh,55h,51h,50h,4ch,4eh,4eh,54h,56h
    DB    5fh,68h,58h,53h,60h,55h,51h,59h,56h,54h
    DB    9fh,95h,90h,8ch,8ch,87h,82h,83h,84h,79h
    DB    82h,7bh,79h,7bh,79h,75h,78h,76h,77h,7ah
    DB    6fh,75h,78h,82h,8ch,8bh,93h,98h,97h,95h
    DB    92h,91h,8dh,9ah,8fh,8ch,90h,90h,90h,96h
    DB    8eh,96h,8eh,93h,92h,97h,97h,91h,8fh,8eh
    DB    7fh,88h,84h,7dh,7dh,78h,6dh,75h,70h,74h
    DB    6fh,7bh,6dh,6dh,6fh,72h,76h,78h,7bh,72h
    DB    6fh,7ch,7eh,82h,80h,95h,a2h,a1h,a8h,b1h
    DB    b3h,b3h,b4h,b6h,b0h,aeh,b2h,b8h,beh,b7h
    DB    bdh,bah,bfh,cbh,d3h,e7h,d3h,c3h,aeh,a3h
    DB    87h,81h,2fh,23h,a6h,cdh,cfh,cch,cch,ceh
    DB    cdh,cah,b7h,10h,42h,ceh,81h,12h,b0h,cah
    DB    cdh,cah,c9h,c7h,c7h,c7h,c7h,90h,1bh,6dh
    DB    c8h,c6h,c5h,bbh,dfh,ddh,dbh,bbh,a6h,93h
    DB    1dh,22h,12h,36h,40h,11h,2eh,9dh,adh,a0h
    DB    93h,94h,97h,8fh,90h,9eh,97h,9bh,99h,98h
    DB    9ch,9ah,95h,96h,9dh,9ch,a3h,9bh,97h,95h
    DB    90h,87h,7fh,80h,71h,73h,75h,74h,75h,7ch
    DB    78h,6fh,64h,60h,5dh,57h,57h,55h,57h,52h
    DB    50h,4fh,4fh,4ah,4dh,4ch,4ah,49h,4bh,47h
    DB    45h,43h,4fh,6ch,73h,6fh,68h,67h,66h,63h
    DB    5eh,58h,59h,58h,5ah,59h,56h,59h,56h,4eh
    DB    51h,50h,4ch,48h,4ch,4eh,4bh,4dh,50h,55h
    DB    51h,61h,5fh,5ch,57h,58h,51h,52h,51h,4eh
    DB    95h,9ah,90h,8ah,83h,7ch,7fh,79h,7dh,7ch
    DB    78h,77h,80h,7eh,81h,80h,88h,81h,80h,89h
    DB    8ah,8eh,94h,9ch,8eh,91h,90h,8fh,97h,95h
    DB    93h,9bh,9eh,a1h,9bh,9ch,97h,97h,94h,8ch
    DB    92h,92h,92h,8ch,8bh,8ah,83h,81h,7fh,7fh
    DB    7ah,70h,79h,79h,70h,6fh,78h,7dh,78h,76h
    DB    79h,77h,72h,75h,80h,7fh,77h,79h,7fh,87h
    DB    87h,8eh,8ch,97h,93h,96h,9dh,a4h,a2h,a6h
    DB    adh,a9h,b0h,b0h,aeh,b9h,b8h,b2h,afh,b4h
    DB    b5h,b0h,b9h,bch,b5h,bah,94h,9ch,a7h,c2h
    DB    d4h,a4h,14h,a8h,c9h,c7h,c8h,cah,cbh,cbh
    DB    cdh,ceh,c8h,99h,adh,ceh,c5h,82h,cbh,cah
    DB    ceh,d0h,cah,c7h,c9h,c9h,c9h,cah,abh,20h
    DB    a2h,c7h,b2h,4ah,97h,c2h,c3h,7eh,4dh,48h
    DB    5ah,45h,62h,3ch,38h,41h,2ch,2eh,3fh,73h
    DB    9eh,95h,97h,94h,96h,9bh,a1h,9fh,9ch,93h
    DB    9ah,9ah,96h,9ch,a0h,a2h,a7h,a7h,a2h,a0h
    DB    a1h,a7h,9ch,9dh,97h,a2h,a1h,9bh,8fh,85h
    DB    89h,7eh,7eh,66h,69h,70h,7ch,81h,7bh,7bh
    DB    7bh,78h,79h,7ch,70h,6ch,77h,79h,7bh,7fh
    DB    79h,78h,74h,70h,64h,5bh,6ah,71h,74h,77h
    DB    77h,71h,68h,5dh,62h,5eh,65h,5eh,61h,59h
    DB    53h,51h,4fh,4ch,47h,48h,4bh,49h,49h,48h
    DB    4eh,5dh,64h,5ch,50h,55h,4dh,49h,50h,47h
    DB    85h,7eh,7dh,7bh,77h,6ah,75h,76h,7bh,7eh
    DB    78h,7ch,7fh,7ah,84h,90h,97h,a2h,9bh,98h
    DB    96h,96h,96h,8eh,92h,95h,9ah,9ch,a0h,9ah
    DB    9bh,9dh,a6h,9eh,a2h,a0h,a1h,a0h,9dh,93h
    DB    91h,88h,87h,87h,7fh,75h,72h,71h,71h,71h
    DB    70h,6dh,6eh,75h,7ah,75h,78h,74h,7ah,82h
    DB    77h,82h,81h,90h,90h,98h,9ch,97h,90h,92h
    DB    95h,96h,93h,97h,98h,92h,98h,99h,91h,9dh
    DB    9dh,9ch,a9h,a4h,b1h,aeh,b7h,b6h,b6h,afh
    DB    b2h,b6h,b4h,b6h,b7h,b2h,b3h,9bh,9bh,96h
    DB    95h,65h,20h,c9h,cch,cah,cbh,cch,cdh,cch
    DB    cfh,cdh,cdh,cch,cfh,d0h,d2h,d2h,d1h,d0h
    DB    cdh,cch,cah,cah,cdh,cah,cch,c8h,c1h,76h
    DB    33h,c9h,9bh,75h,66h,51h,4dh,61h,72h,5bh
    DB    2ah,65h,27h,4bh,7ch,6ch,6dh,78h,71h,3eh
    DB    53h,a4h,a1h,a2h,a5h,a6h,a2h,a7h,a7h,ach
    DB    adh,ach,afh,adh,b1h,aeh,aah,a8h,ach,b0h
    DB    abh,a9h,a7h,a4h,a4h,a2h,98h,95h,92h,8bh
    DB    86h,85h,81h,87h,7fh,71h,68h,74h,80h,84h
    DB    8bh,86h,84h,83h,7ch,77h,6ch,60h,52h,5dh
    DB    6ah,76h,75h,76h,6fh,69h,5eh,57h,58h,65h
    DB    66h,6ah,65h,68h,65h,5ah,58h,5dh,61h,5fh
    DB    61h,5ch,59h,57h,5dh,60h,5dh,63h,67h,65h
    DB    5bh,58h,5ch,57h,50h,4ch,4dh,54h,4dh,4bh
    DB    7dh,7eh,79h,7ch,76h,7fh,86h,81h,84h,87h
    DB    8fh,8fh,92h,9ch,a0h,a7h,a5h,abh,adh,a1h
    DB    9ch,96h,a2h,a2h,98h,9ah,9dh,9dh,a1h,96h
    DB    9ah,94h,9bh,a1h,9fh,9dh,91h,87h,8ch,89h
    DB    84h,82h,7fh,79h,6fh,78h,73h,70h,71h,74h
    DB    6fh,6eh,74h,78h,7fh,82h,82h,8bh,8dh,94h
    DB    9dh,9bh,9dh,97h,95h,9bh,89h,95h,93h,98h
    DB    97h,90h,90h,93h,8fh,93h,89h,8eh,91h,94h
    DB    98h,96h,93h,90h,9ch,9dh,9ch,9bh,9bh,95h
    DB    8ch,99h,8bh,8eh,8ah,82h,80h,7ch,76h,76h
    DB    78h,6eh,18h,61h,c8h,c7h,c7h,c8h,ceh,cbh
    DB    cbh,cdh,cch,cdh,cdh,cdh,cfh,ceh,a3h,60h
    DB    c6h,c9h,c8h,cah,c8h,cch,90h,7dh,c6h,c4h
    DB    2dh,7eh,79h,5eh,5eh,4eh,68h,65h,6bh,24h
    DB    63h,2eh,3ch,75h,68h,62h,62h,67h,5fh,6bh
    DB    2eh,6dh,b3h,b0h,b1h,b6h,b3h,b9h,bah,bbh
    DB    b4h,b0h,b2h,afh,b4h,aeh,b0h,aeh,aeh,a9h
    DB    a3h,a5h,a9h,a3h,a2h,a0h,9fh,9dh,96h,99h
    DB    92h,93h,91h,8dh,8ch,8dh,90h,8eh,7fh,6ch
    DB    5dh,63h,74h,79h,79h,77h,70h,6dh,6eh,6ch
    DB    5eh,59h,57h,5fh,62h,67h,5ch,61h,60h,59h
    DB    51h,52h,5ch,5dh,5fh,5bh,5fh,53h,50h,53h
    DB    5ah,5ah,5eh,61h,5bh,5eh,66h,66h,6fh,76h
    DB    5fh,5fh,5eh,51h,50h,49h,4bh,50h,49h,4fh
    DB    78h,7ah,75h,79h,7eh,80h,89h,8ch,89h,9ah
    DB    a3h,aah,adh,afh,abh,a7h,a7h,a6h,a1h,a6h
    DB    abh,a0h,a2h,9fh,9bh,9eh,a0h,a7h,a6h,a7h
    DB    a9h,a6h,99h,91h,87h,85h,80h,7fh,7eh,7eh
    DB    76h,77h,73h,74h,6ch,6eh,75h,76h,7eh,87h
    DB    84h,88h,90h,8ah,92h,97h,9eh,96h,a0h,a5h
    DB    9ch,9fh,9dh,a2h,9bh,92h,99h,90h,9bh,99h
    DB    94h,99h,9ah,8ch,90h,8fh,8bh,88h,90h,8dh
    DB    91h,8eh,8ah,87h,8ah,87h,85h,7eh,83h,6dh
    DB    71h,9ah,7dh,42h,4fh,6dh,78h,6ch,6dh,6ch
    DB    71h,66h,62h,14h,32h,aeh,ceh,8eh,82h,d0h
    DB    c9h,c7h,cbh,ceh,ceh,ceh,d0h,d1h,4fh,42h
    DB    c6h,cbh,cfh,cch,c9h,c7h,89h,11h,b3h,cch
    DB    86h,1ch,6fh,96h,bdh,d3h,43h,6eh,55h,3ch
    DB    63h,10h,6ah,5dh,47h,4eh,5ah,6bh,64h,5dh
    DB    5bh,16h,8bh,96h,9dh,9bh,a1h,a4h,afh,b0h
    DB    b1h,b2h,b3h,b4h,b9h,b1h,ach,afh,a7h,a9h
    DB    adh,ach,a7h,a4h,a5h,9fh,9fh,98h,98h,8fh
    DB    91h,8fh,8fh,96h,94h,90h,8fh,8fh,8ch,8eh
    DB    95h,8fh,84h,69h,5fh,5fh,6eh,6bh,72h,67h
    DB    60h,65h,62h,5ch,54h,55h,56h,56h,56h,58h
    DB    58h,58h,56h,58h,5bh,5bh,58h,5ch,5fh,5eh
    DB    55h,54h,5fh,5fh,5dh,61h,5dh,57h,67h,73h
    DB    60h,66h,57h,51h,3fh,49h,4eh,53h,47h,4eh
    DB    73h,74h,87h,87h,8ch,8fh,9dh,aah,ach,b1h
    DB    b0h,b4h,b4h,adh,a8h,b6h,b6h,a7h,ach,a3h
    DB    a3h,9bh,9bh,a8h,adh,aah,a9h,9dh,9bh,95h
    DB    92h,95h,8bh,85h,81h,7fh,78h,79h,79h,78h
    DB    80h,79h,76h,7bh,7fh,7dh,81h,8ah,87h,92h
    DB    99h,91h,8dh,a3h,a3h,a2h,9bh,9ch,9dh,9ah
    DB    9fh,9eh,9bh,9ah,97h,9ah,91h,99h,97h,99h
    DB    95h,94h,96h,9dh,96h,91h,8fh,88h,8ch,8dh
    DB    8ch,85h,7fh,80h,82h,7ah,76h,7eh,75h,74h
    DB    41h,87h,79h,8fh,81h,51h,56h,71h,63h,52h
    DB    61h,6bh,6bh,67h,1ch,11h,37h,56h,19h,75h
    DB    b1h,c8h,cbh,cdh,cdh,d2h,b8h,54h,6ch,cbh
    DB    cbh,cch,cbh,cbh,c7h,c5h,cah,44h,64h,74h
    DB    c2h,deh,52h,69h,5ch,4ch,58h,71h,4fh,46h
    DB    48h,15h,57h,86h,adh,95h,73h,2eh,49h,65h
    DB    68h,33h,4eh,99h,92h,8fh,8fh,92h,90h,8fh
    DB    95h,95h,a5h,abh,b0h,abh,aeh,adh,afh,b1h
    DB    a8h,adh,a8h,a6h,aah,a7h,a3h,a2h,9eh,99h
    DB    98h,99h,93h,94h,98h,9ah,99h,98h,99h,97h
    DB    98h,95h,96h,90h,8ch,80h,66h,59h,4eh,62h
    DB    6fh,71h,64h,66h,5eh,5eh,5ah,59h,55h,55h
    DB    57h,5ah,59h,57h,58h,53h,57h,63h,62h,60h
    DB    66h,64h,5ah,61h,61h,5fh,5ch,60h,62h,65h
    DB    61h,5fh,5ah,4dh,43h,44h,4dh,46h,43h,47h
    DB    7bh,86h,93h,9bh,a7h,b2h,a9h,adh,ach,a9h
    DB    a7h,b1h,b1h,b2h,aeh,a8h,a9h,adh,a1h,a1h
    DB    9fh,a3h,a6h,a2h,a2h,a4h,9bh,95h,8eh,8ah
    DB    86h,7fh,7fh,7fh,7bh,79h,73h,78h,7bh,79h
    DB    7fh,84h,88h,82h,88h,8ch,94h,96h,9ah,a9h
    DB    a3h,9ch,9bh,a2h,a7h,a8h,a6h,ach,abh,a5h
    DB    adh,9fh,9fh,9ch,98h,a4h,9dh,9bh,9ch,9eh
    DB    9ch,9ch,92h,8eh,94h,93h,90h,83h,89h,83h
    DB    7fh,7bh,73h,70h,6dh,78h,72h,6eh,74h,73h
    DB    3fh,77h,86h,74h,8fh,adh,c5h,c0h,c7h,b3h
    DB    58h,5eh,61h,3ch,55h,73h,5ch,51h,4ch,3bh
    DB    25h,2fh,53h,5ah,5ah,44h,41h,7fh,9ch,b9h
    DB    beh,adh,95h,7dh,72h,78h,bdh,97h,11h,5ah
    DB    65h,f2h,88h,4bh,62h,5eh,5ah,61h,59h,2ah
    DB    36h,d1h,f6h,f7h,f8h,f7h,f1h,d9h,3ch,51h
    DB    61h,34h,22h,96h,8bh,92h,92h,97h,8eh,8fh
    DB    95h,96h,94h,9ch,a2h,a7h,abh,ach,a8h,aah
    DB    a9h,a9h,abh,ach,abh,aeh,a4h,a7h,a3h,a0h
    DB    9fh,9fh,98h,94h,95h,95h,9ah,99h,98h,99h
    DB    9ah,98h,95h,94h,91h,90h,8fh,92h,7eh,62h
    DB    42h,52h,6dh,6eh,69h,68h,60h,62h,5fh,59h
    DB    5eh,5ah,5ah,5eh,60h,5dh,5bh,57h,61h,67h
    DB    68h,61h,6ah,69h,5dh,62h,65h,68h,68h,5bh
    DB    60h,60h,5eh,4bh,53h,4ch,4dh,47h,43h,4eh
    DB    97h,96h,a6h,afh,a8h,a9h,aah,a9h,b2h,aah
    DB    abh,ach,afh,b3h,b3h,a5h,ach,a9h,a8h,a8h
    DB    aah,a1h,a0h,93h,99h,98h,8eh,8ch,84h,7bh
    DB    80h,7ah,74h,73h,72h,7ch,7eh,84h,89h,8eh
    DB    8bh,98h,9bh,9bh,9eh,9ch,a1h,99h,a7h,a7h
    DB    a1h,9dh,a6h,b2h,b0h,b4h,b7h,b2h,bfh,bdh
    DB    b7h,b2h,b0h,abh,9dh,9bh,96h,9eh,a2h,a1h
    DB    9fh,9fh,a3h,a5h,99h,92h,8ah,82h,77h,6fh
    DB    74h,72h,69h,70h,6eh,70h,66h,67h,6fh,70h
    DB    72h,3ch,5ch,54h,c8h,bbh,a0h,abh,8fh,bah
    DB    6dh,54h,5eh,41h,72h,84h,6ah,70h,46h,4bh
    DB    60h,3ah,34h,a0h,87h,81h,96h,a2h,7ch,73h
    DB    27h,2bh,51h,5fh,72h,78h,79h,6ch,61h,6eh
    DB    56h,52h,9bh,d3h,58h,56h,5eh,59h,2bh,70h
    DB    edh,f8h,f9h,fah,f7h,f7h,f7h,f4h,d7h,2eh
    DB    5dh,23h,10h,8bh,90h,90h,8eh,8fh,91h,8bh
    DB    91h,90h,90h,8fh,93h,99h,9dh,9ah,9ah,a2h
    DB    aah,a6h,afh,adh,aah,a9h,a6h,a6h,a2h,a1h
    DB    9ch,a0h,9ch,99h,9ah,9bh,97h,9ah,a0h,a0h
    DB    a0h,9fh,9eh,94h,94h,92h,92h,99h,94h,96h
    DB    90h,6ah,44h,50h,69h,6fh,6eh,69h,6ah,6ah
    DB    68h,61h,58h,5ah,5ah,65h,61h,6ah,65h,5dh
    DB    5eh,62h,65h,62h,63h,4bh,64h,64h,5fh,60h
    DB    61h,58h,57h,3ah,4dh,4ah,4ah,46h,4ch,41h
    DB    a9h,a8h,a7h,aah,ach,aah,a7h,a9h,aah,a9h
    DB    a8h,b8h,b2h,b1h,a2h,a6h,adh,a4h,a5h,a4h
    DB    a3h,9ch,8ch,8ah,81h,84h,82h,7fh,7fh,7eh
    DB    7dh,79h,7ah,7dh,81h,86h,8ah,98h,98h,b0h
    DB    b4h,b3h,b5h,adh,adh,afh,b6h,b8h,cah,cch
    DB    c4h,d4h,dbh,dfh,e1h,e1h,e4h,e8h,e9h,e6h
    DB    e5h,d3h,a8h,b2h,a9h,adh,a3h,a9h,ach,a9h
    DB    9ch,8fh,8fh,7bh,71h,77h,7ch,76h,75h,70h
    DB    6fh,66h,6ah,69h,6ah,69h,68h,6dh,6ah,6eh
    DB    71h,76h,51h,88h,c1h,a8h,a7h,b3h,81h,c4h
    DB    b5h,4ah,5dh,6ah,86h,66h,44h,51h,4bh,50h
    DB    4bh,62h,a2h,b0h,afh,a5h,94h,a6h,9bh,9dh
    DB    56h,5bh,67h,6eh,81h,79h,75h,40h,3ch,3ah
    DB    59h,5fh,29h,e5h,b9h,48h,5ah,22h,8fh,f3h
    DB    f7h,f2h,fbh,f9h,f9h,f9h,f6h,f5h,e8h,27h
    DB    3dh,21h,1fh,6eh,74h,7bh,74h,7dh,79h,80h
    DB    7fh,80h,83h,8ch,8bh,8fh,94h,98h,9bh,9dh
    DB    97h,a1h,ach,ach,a6h,a8h,adh,a3h,a6h,a9h
    DB    a3h,a5h,a0h,a1h,a0h,98h,99h,a0h,a0h,9fh
    DB    9ch,98h,98h,96h,92h,90h,8dh,92h,8dh,8fh
    DB    90h,91h,8ch,7ah,5bh,54h,63h,7bh,78h,72h
    DB    6ah,69h,63h,5eh,5ah,61h,63h,67h,68h,62h
    DB    62h,55h,5ch,62h,6fh,53h,64h,65h,58h,64h
    DB    61h,51h,42h,42h,45h,47h,41h,4ch,4bh,4ah
    DB    a7h,aeh,b1h,aah,ach,aah,a5h,a7h,adh,a9h
    DB    adh,b1h,aeh,ach,abh,a5h,a1h,a2h,a0h,9dh
    DB    85h,81h,78h,73h,73h,79h,7ah,71h,78h,7ch
    DB    7dh,89h,82h,86h,8fh,9bh,a1h,b1h,c2h,c6h
    DB    c6h,c3h,cch,ceh,cdh,d1h,d3h,d1h,d9h,e1h
    DB    eah,e2h,e2h,e9h,f0h,eah,f1h,f1h,f5h,f5h
    DB    f6h,f3h,c6h,b2h,b5h,a9h,9ah,97h,94h,8ah
    DB    80h,75h,73h,6fh,71h,6eh,75h,6bh,65h,6bh
    DB    6ah,6ah,68h,65h,67h,67h,64h,6fh,51h,6fh
    DB    57h,40h,46h,50h,a9h,c2h,a7h,aah,c0h,82h
    DB    5ah,61h,6fh,89h,52h,71h,8fh,7dh,8dh,54h
    DB    4dh,77h,59h,a8h,92h,85h,d1h,8bh,91h,a4h
    DB    6ah,61h,69h,53h,64h,58h,4bh,41h,78h,d8h
    DB    8dh,7bh,bfh,f3h,7ch,59h,17h,8ch,f6h,f1h
    DB    f1h,f7h,f8h,f8h,f5h,f5h,f4h,f2h,cbh,0eh
    DB    2fh,56h,31h,4dh,98h,5dh,52h,8eh,8dh,89h
    DB    8eh,70h,7dh,79h,7bh,78h,78h,80h,7ch,86h
    DB    8eh,91h,96h,a0h,a6h,a4h,a7h,adh,aeh,a3h
    DB    a3h,a5h,a8h,a7h,a5h,a4h,a4h,a1h,a1h,9ch
    DB    a0h,9bh,98h,97h,95h,91h,91h,8eh,8bh,91h
    DB    8ch,91h,93h,95h,91h,85h,73h,5ch,62h,6bh
    DB    72h,74h,72h,67h,6bh,61h,68h,69h,69h,6bh
    DB    5dh,5eh,6fh,6bh,6ch,70h,5eh,61h,5dh,5dh
    DB    61h,53h,40h,44h,4bh,42h,49h,4bh,42h,4fh
    DB    a8h,adh,a5h,a7h,a6h,aah,adh,adh,ach,b2h
    DB    adh,b6h,b5h,aah,a1h,a3h,9ah,90h,81h,7dh
    DB    74h,72h,74h,7ah,71h,75h,75h,80h,79h,82h
    DB    87h,86h,92h,a0h,a1h,a9h,b0h,c6h,deh,e0h
    DB    d7h,d3h,d7h,ddh,dbh,eah,eeh,e7h,eeh,c7h
    DB    c6h,e9h,adh,e2h,e7h,a3h,b8h,a6h,99h,9ch
    DB    86h,b6h,e1h,a6h,9ah,98h,8eh,82h,77h,7ah
    DB    6bh,71h,73h,68h,6eh,6ah,68h,6bh,65h,6bh
    DB    6dh,65h,6dh,68h,65h,67h,50h,54h,3eh,86h
    DB    78h,77h,66h,3eh,5ch,92h,9ch,b3h,81h,5ch
    DB    8eh,67h,9bh,97h,94h,94h,9ah,8bh,91h,8ch
    DB    7ch,32h,a1h,86h,95h,64h,8ch,7ah,b0h,b1h
    DB    c1h,80h,48h,aah,adh,b2h,7dh,60h,64h,75h
    DB    6eh,87h,77h,4bh,51h,49h,4ch,f5h,f6h,f6h
    DB    f7h,f6h,f5h,f8h,f5h,f9h,f2h,bch,23h,4dh
    DB    70h,6ah,67h,1ah,88h,2bh,a7h,a8h,a0h,abh
    DB    62h,50h,8ch,88h,83h,83h,86h,81h,85h,82h
    DB    82h,85h,83h,87h,94h,9bh,a6h,a7h,ach,a7h
    DB    a7h,aah,a6h,a8h,a6h,a4h,a2h,9fh,a1h,9fh
    DB    9dh,9bh,99h,9ah,96h,96h,96h,96h,98h,8fh
    DB    95h,95h,98h,94h,8bh,91h,90h,90h,8bh,66h
    DB    5ch,6ch,76h,73h,66h,60h,64h,62h,68h,69h
    DB    6ah,63h,69h,69h,6fh,6bh,61h,64h,60h,60h
    DB    57h,4fh,49h,4dh,50h,4eh,48h,48h,4ch,48h
    DB    a8h,a3h,9fh,96h,a8h,ach,aeh,a8h,aeh,b0h
    DB    b1h,b2h,adh,9dh,94h,8eh,8dh,8fh,84h,7ah
    DB    6fh,71h,79h,73h,70h,77h,74h,71h,71h,86h
    DB    8eh,a2h,a2h,a3h,abh,b8h,d0h,d1h,e9h,f4h
    DB    7bh,91h,bdh,cbh,8ch,9bh,96h,94h,93h,abh
    DB    76h,d8h,82h,bah,c9h,c8h,c3h,e2h,e9h,f3h
    DB    e9h,cch,e4h,80h,7fh,7ah,79h,75h,7ah,6fh
    DB    6fh,68h,69h,64h,67h,6ah,69h,69h,63h,6bh
    DB    68h,6ah,6bh,66h,68h,56h,4dh,86h,7dh,6ah
    DB    43h,57h,6ch,3ch,54h,6dh,88h,51h,70h,8bh
    DB    65h,86h,93h,9bh,7dh,7fh,57h,83h,8bh,6ch
    DB    6dh,99h,84h,91h,b5h,adh,b0h,b8h,bfh,7fh
    DB    60h,7ch,abh,91h,b5h,adh,a2h,79h,93h,88h
    DB    69h,50h,6eh,61h,5bh,20h,9eh,f6h,f5h,f6h
    DB    f7h,f9h,fch,f9h,f5h,f3h,f2h,a0h,11h,4ah
    DB    34h,55h,45h,22h,63h,5eh,b2h,adh,a4h,37h
    DB    5fh,b2h,94h,4fh,4fh,86h,84h,88h,84h,84h
    DB    89h,89h,8ah,8ch,91h,90h,98h,a4h,abh,ach
    DB    adh,a7h,a7h,a7h,a8h,a8h,a9h,abh,a7h,a3h
    DB    a1h,a3h,a2h,9ch,9ch,9ah,94h,98h,97h,95h
    DB    8fh,95h,8eh,94h,8dh,93h,8dh,8fh,90h,8eh
    DB    87h,68h,62h,73h,73h,6fh,69h,6eh,6eh,67h
    DB    6bh,6bh,6eh,6ch,6ch,66h,5fh,69h,66h,62h
    DB    61h,3bh,57h,5bh,58h,54h,51h,44h,45h,4dh
    DB    a2h,9fh,a1h,a5h,a9h,a8h,a6h,aah,aah,a8h
    DB    9eh,9eh,9ah,93h,89h,82h,7bh,6fh,71h,6dh
    DB    66h,6eh,6ah,70h,71h,76h,7fh,76h,89h,9ah
    DB    a4h,a2h,a2h,abh,b7h,ceh,cdh,ebh,f9h,f2h
    DB    76h,6ah,97h,7eh,b3h,e7h,cdh,e3h,e8h,f7h
    DB    e4h,f6h,f5h,fbh,f8h,fah,a1h,a1h,84h,a9h
    DB    a6h,9ch,e7h,85h,6dh,6fh,6dh,6fh,6bh,65h
    DB    6ah,64h,61h,64h,6ah,69h,65h,6ah,64h,70h
    DB    6fh,65h,68h,69h,64h,6ch,3dh,69h,61h,66h
    DB    59h,61h,6ah,61h,67h,8ah,55h,6dh,72h,69h
    DB    63h,87h,98h,9ch,78h,bdh,85h,88h,8fh,94h
    DB    6eh,68h,60h,87h,74h,b4h,5ch,6eh,79h,84h
    DB    8dh,7bh,b3h,68h,b9h,8dh,adh,4ah,98h,87h
    DB    85h,5eh,2ch,27h,2ah,0fh,c9h,f5h,f3h,f8h
    DB    f6h,f8h,f6h,f6h,f3h,d8h,f2h,e9h,2bh,61h
    DB    40h,69h,4ah,3eh,3ch,87h,b6h,bfh,45h,68h
    DB    b8h,a4h,1bh,42h,71h,86h,85h,81h,84h,84h
    DB    85h,87h,8ah,8ch,91h,99h,99h,92h,93h,a9h
    DB    afh,a5h,aah,a8h,a7h,a4h,a3h,9eh,a0h,a6h
    DB    a0h,9fh,9ch,a0h,99h,9bh,99h,95h,93h,8fh
    DB    91h,91h,91h,94h,91h,92h,91h,93h,8fh,91h
    DB    95h,90h,7ah,6ah,61h,70h,72h,68h,61h,62h
    DB    6ch,6dh,6eh,73h,77h,74h,6ah,68h,64h,61h
    DB    62h,44h,4ch,4ch,4bh,48h,49h,4dh,45h,44h
    DB    9fh,a4h,a9h,9ah,a4h,a4h,a7h,a0h,99h,8eh
    DB    8ah,89h,7bh,74h,6dh,6fh,6eh,6ch,6ch,74h
    DB    6fh,74h,73h,7dh,85h,88h,90h,a5h,a4h,9fh
    DB    a5h,a6h,a6h,b9h,b5h,c9h,efh,fbh,fbh,fah
    DB    b1h,b3h,a5h,cch,b5h,bch,9eh,a7h,afh,dch
    DB    b1h,f1h,fah,fbh,fbh,f9h,d2h,e3h,cch,cfh
    DB    a1h,d2h,f0h,95h,71h,65h,67h,6dh,62h,64h
    DB    5eh,60h,60h,61h,62h,69h,62h,69h,66h,66h
    DB    65h,6ch,69h,65h,6ah,68h,6ah,61h,5eh,5dh
    DB    41h,65h,53h,6eh,38h,70h,41h,5eh,69h,62h
    DB    5dh,88h,8dh,8fh,91h,76h,8eh,8ch,8eh,77h
    DB    2bh,7ch,89h,84h,5bh,4ah,5fh,5ah,5bh,7ch
    DB    72h,7ch,a1h,a2h,8bh,a9h,78h,5fh,63h,70h
    DB    7eh,49h,6bh,2ah,6ah,20h,e6h,f5h,f4h,f6h
    DB    f5h,dfh,e5h,f2h,d2h,1fh,e5h,cah,29h,70h
    DB    6ch,44h,4ah,39h,53h,79h,b2h,b0h,54h,94h
    DB    b6h,6fh,22h,74h,74h,7ah,7ch,79h,79h,7dh
    DB    81h,80h,7fh,81h,85h,85h,90h,94h,99h,9ch
    DB    9eh,a8h,a7h,a5h,a5h,a6h,a2h,a4h,a5h,a4h
    DB    9eh,a0h,a0h,9ch,98h,9ah,97h,94h,93h,92h
    DB    91h,91h,8eh,95h,91h,90h,8ch,8dh,8bh,8bh
    DB    8bh,8eh,91h,8bh,7eh,65h,64h,70h,71h,71h
    DB    69h,62h,66h,6eh,76h,76h,5eh,5dh,60h,59h
    DB    58h,53h,4eh,45h,4ch,3eh,44h,50h,4bh,45h
    DB    a1h,9fh,9dh,a0h,9ah,94h,8bh,84h,78h,72h
    DB    6eh,6eh,67h,64h,69h,69h,6ch,6eh,6bh,6ch
    DB    78h,78h,7fh,92h,8fh,9fh,9dh,a1h,a8h,aeh
    DB    afh,b5h,b1h,beh,b1h,91h,c3h,f7h,fah,fah
    DB    d9h,e9h,c9h,d8h,ebh,edh,e4h,e8h,eah,b4h
    DB    b4h,d6h,fah,fbh,fbh,f8h,a8h,e8h,dah,e4h
    DB    d3h,bah,9fh,84h,76h,65h,6ah,69h,68h,62h
    DB    5dh,5fh,68h,67h,67h,69h,5eh,66h,62h,68h
    DB    65h,5fh,60h,62h,65h,63h,6ah,73h,71h,7ch
    DB    8fh,9ah,5ch,4ch,82h,b1h,40h,38h,56h,44h
    DB    55h,42h,85h,8eh,8dh,8eh,93h,92h,55h,4bh
    DB    59h,5fh,36h,42h,6eh,61h,68h,4ah,44h,85h
    DB    83h,67h,59h,91h,5ah,73h,59h,89h,90h,4ah
    DB    30h,30h,30h,1ch,3bh,13h,cch,f5h,f8h,f2h
    DB    f9h,77h,70h,f6h,cdh,0ch,58h,5eh,48h,6dh
    DB    66h,3bh,67h,2fh,9dh,4ah,9fh,afh,b0h,abh
    DB    a9h,9ah,1ah,65h,7dh,75h,69h,6ch,69h,68h
    DB    64h,5fh,67h,6eh,76h,7ch,80h,8bh,91h,95h
    DB    98h,98h,a0h,a5h,a1h,9fh,9eh,9eh,a3h,9ch
    DB    a0h,9eh,99h,9bh,99h,97h,9ch,94h,93h,94h
    DB    94h,95h,91h,92h,8eh,91h,92h,91h,96h,8eh
    DB    94h,8fh,8ch,86h,82h,8ch,85h,6ch,70h,72h
    DB    6eh,6dh,68h,76h,7ah,6ch,6dh,64h,5ah,5fh
    DB    5ch,58h,55h,4bh,4bh,48h,45h,4bh,44h,41h
    DB    93h,97h,94h,8dh,7dh,77h,76h,77h,6dh,67h
    DB    68h,65h,68h,63h,67h,68h,6fh,75h,77h,83h
    DB    87h,88h,9ah,a2h,a7h,a8h,a3h,a8h,b2h,a8h
    DB    aeh,b4h,b5h,b3h,aeh,a8h,73h,a4h,f2h,fbh
    DB    cdh,c8h,a4h,a9h,adh,b4h,bch,dfh,e4h,e2h
    DB    e4h,e8h,e5h,d5h,b8h,aah,96h,87h,80h,7ah
    DB    7ch,80h,77h,7fh,6dh,6fh,78h,6dh,6ah,67h
    DB    64h,64h,66h,63h,5fh,64h,67h,64h,65h,6dh
    DB    65h,6ah,71h,73h,73h,76h,82h,8ch,a2h,a4h
    DB    a4h,a4h,74h,77h,93h,91h,42h,aah,8ch,59h
    DB    6fh,64h,3fh,36h,5ah,64h,49h,48h,60h,84h
    DB    71h,82h,63h,5ah,52h,6bh,6fh,48h,5eh,4fh
    DB    85h,61h,73h,7bh,81h,72h,92h,7eh,8dh,46h
    DB    6ah,60h,67h,62h,43h,08h,37h,bch,f6h,f5h
    DB    f9h,58h,8eh,f5h,a7h,09h,12h,32h,69h,69h
    DB    6ah,65h,6bh,20h,9eh,b9h,b0h,afh,afh,aeh
    DB    ach,aeh,8fh,2ah,48h,63h,7eh,7dh,79h,7eh
    DB    7bh,79h,78h,79h,76h,6eh,71h,6eh,74h,82h
    DB    8dh,9eh,9fh,a6h,a5h,9ch,9ah,9dh,9ah,9ah
    DB    99h,9bh,9bh,9ah,95h,95h,9ch,94h,96h,90h
    DB    91h,94h,92h,93h,94h,8eh,91h,91h,94h,8fh
    DB    94h,8fh,93h,92h,93h,8ch,8eh,93h,88h,76h
    DB    81h,6dh,75h,70h,79h,69h,60h,5fh,62h,56h
    DB    53h,58h,51h,51h,4fh,47h,52h,4eh,4bh,48h
    DB    8eh,7fh,73h,6dh,69h,6ah,66h,6dh,69h,66h
    DB    67h,6ah,6ah,65h,69h,69h,6eh,78h,85h,86h
    DB    91h,9dh,9fh,9dh,9bh,a7h,b1h,aah,a7h,a7h
    DB    a2h,ach,ach,b3h,b4h,b9h,b6h,73h,6ah,d5h
    DB    e4h,d6h,d5h,c8h,b9h,ach,85h,76h,93h,8bh
    DB    9eh,7fh,88h,8ah,8ah,7ah,72h,77h,71h,70h
    DB    78h,76h,75h,7bh,70h,74h,71h,67h,67h,63h
    DB    66h,5eh,5dh,60h,66h,67h,65h,66h,60h,61h
    DB    6ch,6ch,79h,7fh,88h,8fh,91h,86h,89h,84h
    DB    8eh,90h,9ah,a4h,a2h,aeh,3bh,afh,a5h,9bh
    DB    a2h,8ah,93h,9ch,7eh,86h,77h,70h,7fh,60h
    DB    65h,7eh,61h,a2h,3fh,41h,49h,54h,6dh,62h
    DB    4fh,67h,75h,33h,91h,7ch,28h,78h,5bh,4ch
    DB    5ch,56h,5bh,5bh,64h,3bh,1dh,0eh,54h,b9h
    DB    f4h,3fh,93h,eah,52h,20h,69h,6ch,67h,64h
    DB    65h,66h,41h,0bh,93h,aeh,b1h,aeh,afh,ach
    DB    aah,abh,aah,adh,80h,55h,31h,29h,44h,72h
    DB    79h,7eh,81h,7fh,80h,7ch,7bh,82h,80h,82h
    DB    7ah,80h,8fh,93h,9eh,9bh,98h,9ch,97h,95h
    DB    99h,9ah,97h,95h,98h,94h,95h,92h,8dh,8fh
    DB    90h,91h,90h,92h,91h,91h,8eh,8eh,93h,8eh
    DB    92h,8eh,96h,96h,9ah,9ch,99h,98h,9eh,8dh
    DB    84h,79h,87h,87h,79h,81h,71h,5fh,5eh,5dh
    DB    47h,58h,58h,52h,51h,4bh,47h,4bh,45h,45h
    DB    6ch,6bh,6fh,6ch,6bh,6ah,6ah,60h,61h,69h
    DB    65h,66h,68h,6ah,6dh,74h,76h,81h,8ch,8dh
    DB    89h,92h,a7h,9ch,a2h,a6h,9fh,a5h,abh,a9h
    DB    aeh,a6h,a8h,aah,aeh,ach,aeh,b5h,b3h,adh
    DB    ach,abh,a0h,98h,98h,9dh,47h,54h,b9h,c9h
    DB    d3h,96h,90h,7ah,73h,6eh,67h,68h,6ah,6dh
    DB    69h,63h,68h,69h,65h,65h,6bh,6bh,69h,64h
    DB    5fh,62h,5fh,60h,61h,69h,68h,65h,71h,6bh
    DB    71h,7fh,86h,8eh,87h,8eh,9fh,a1h,a6h,9eh
    DB    a0h,a6h,9fh,9bh,96h,9eh,3ch,95h,40h,a3h
    DB    5ch,51h,66h,4fh,79h,8eh,5fh,3bh,5ah,5bh
    DB    69h,4bh,79h,9eh,9ch,93h,8bh,58h,49h,43h
    DB    8dh,86h,71h,79h,6ch,8bh,33h,52h,4bh,5bh
    DB    57h,61h,59h,57h,59h,59h,5ah,57h,33h,0fh
    DB    34h,0fh,10h,1bh,1ah,4ah,25h,34h,3bh,55h
    DB    5ah,45h,1eh,89h,9bh,aeh,abh,adh,aeh,ach
    DB    aeh,ach,57h,4ch,b0h,aah,aeh,a6h,5ah,1fh
    DB    62h,7dh,7ch,7eh,7ch,7eh,7fh,7ch,7dh,80h
    DB    7eh,80h,85h,8eh,95h,95h,98h,95h,96h,98h
    DB    9bh,93h,97h,96h,99h,94h,8fh,8fh,8eh,92h
    DB    90h,90h,8bh,8dh,87h,95h,8fh,8fh,8eh,8fh
    DB    93h,94h,99h,95h,94h,9eh,9ch,9fh,a2h,a6h
    DB    7ah,6dh,73h,7fh,76h,73h,78h,6ch,60h,64h
    DB    59h,48h,5ah,5ah,51h,4eh,47h,4bh,3fh,41h
    DB    65h,66h,69h,65h,5fh,5eh,64h,62h,67h,69h
    DB    68h,71h,6dh,6eh,6dh,76h,8ah,89h,84h,8dh
    DB    8dh,90h,90h,8ah,96h,9eh,97h,91h,95h,95h
    DB    a2h,a7h,b2h,a9h,a9h,aeh,a8h,abh,b9h,b2h
    DB    a4h,90h,8fh,92h,93h,90h,44h,6bh,dbh,f3h
    DB    f8h,a5h,8bh,75h,6bh,6ah,60h,60h,67h,68h
    DB    69h,67h,67h,5eh,66h,60h,64h,68h,60h,61h
    DB    63h,60h,5dh,67h,6fh,6eh,67h,74h,87h,92h
    DB    92h,94h,9eh,9dh,9fh,9fh,9ah,a0h,a3h,a2h
    DB    a4h,a3h,99h,9eh,9bh,a1h,45h,93h,65h,9eh
    DB    9fh,9ah,80h,7bh,40h,94h,6eh,79h,71h,6eh
    DB    53h,abh,a2h,a8h,9fh,7ah,5ah,84h,98h,99h
    DB    92h,8eh,8eh,7eh,60h,55h,4eh,5ch,58h,5ah
    DB    56h,54h,58h,53h,58h,4eh,57h,5dh,60h,5ch
    DB    39h,31h,2fh,0dh,12h,77h,dfh,dfh,c4h,4bh
    DB    14h,52h,8dh,a2h,b4h,b4h,aeh,ach,a8h,abh
    DB    aah,a7h,24h,86h,abh,aah,aah,a7h,adh,7fh
    DB    18h,6fh,75h,7ah,75h,77h,7bh,7ah,81h,7eh
    DB    7eh,7dh,85h,87h,88h,97h,97h,97h,92h,94h
    DB    98h,98h,98h,99h,93h,94h,92h,91h,8eh,90h
    DB    91h,8ah,8bh,86h,8ah,8fh,8bh,91h,90h,8ah
    DB    92h,96h,9ah,99h,9ch,a9h,90h,87h,8ch,7ch
    DB    71h,72h,67h,64h,76h,77h,76h,62h,60h,66h
    DB    5bh,54h,62h,59h,4dh,4ch,53h,45h,4bh,45h
    DB    65h,67h,64h,60h,5ah,61h,60h,62h,65h,6eh
    DB    70h,71h,6ch,77h,82h,87h,85h,80h,80h,8ah
    DB    88h,8eh,8fh,8eh,8eh,89h,8eh,89h,90h,8dh
    DB    93h,8bh,93h,9eh,a3h,a9h,a3h,96h,7eh,74h
    DB    72h,71h,78h,7bh,83h,7dh,52h,8bh,ech,fbh
    DB    fah,a1h,84h,6ah,66h,67h,69h,62h,64h,5eh
    DB    65h,63h,5ch,60h,62h,5fh,5fh,5ch,61h,62h
    DB    5eh,66h,69h,68h,77h,82h,8ch,95h,9fh,95h
    DB    97h,97h,9ah,97h,9dh,9dh,99h,99h,9dh,a6h
    DB    9bh,9fh,9ch,93h,9eh,9ah,46h,8eh,30h,7eh
    DB    53h,57h,53h,44h,48h,7eh,58h,50h,a7h,8ah
    DB    a9h,9fh,9bh,9ch,9eh,92h,5ch,87h,5ch,5dh
    DB    81h,76h,98h,61h,8fh,2eh,63h,56h,56h,54h
    DB    57h,5ch,5ch,54h,4eh,56h,55h,51h,57h,53h
    DB    53h,59h,5bh,49h,3ch,ech,e7h,ddh,e1h,cfh
    DB    27h,82h,51h,a9h,b2h,afh,aeh,b0h,adh,aah
    DB    ach,aah,a2h,a8h,a2h,a3h,a8h,a6h,a1h,9eh
    DB    16h,5eh,6eh,75h,79h,74h,75h,7ch,7bh,7fh
    DB    7dh,7ch,7ah,82h,82h,90h,95h,95h,96h,94h
    DB    91h,95h,91h,8fh,95h,8eh,91h,91h,90h,88h
    DB    86h,84h,85h,8ah,87h,87h,8eh,90h,90h,8fh
    DB    94h,91h,9ah,9ch,94h,8ch,79h,77h,7eh,6dh
    DB    62h,63h,5dh,57h,6ah,71h,6ah,57h,5dh,5bh
    DB    59h,5eh,55h,5ah,55h,51h,51h,4eh,47h,47h
    DB    5fh,61h,5ah,5eh,5fh,67h,67h,74h,68h,6ah
    DB    6ch,6fh,83h,88h,8bh,81h,86h,8ch,7dh,85h
    DB    84h,86h,86h,81h,83h,86h,83h,80h,89h,89h
    DB    88h,8dh,8dh,94h,8ch,79h,72h,70h,69h,66h
    DB    69h,64h,75h,7fh,89h,7dh,6bh,98h,f0h,fah
    DB    fah,9fh,77h,6dh,68h,60h,65h,60h,62h,62h
    DB    63h,60h,5fh,5eh,5eh,5eh,5eh,61h,61h,64h
    DB    6ah,76h,7bh,86h,96h,95h,98h,98h,95h,95h
    DB    92h,93h,99h,9ah,9ah,9dh,96h,93h,97h,92h
    DB    88h,86h,88h,82h,7fh,7eh,39h,81h,84h,a8h
    DB    56h,9bh,97h,82h,74h,82h,75h,47h,68h,63h
    DB    7eh,65h,42h,92h,6ah,5dh,65h,62h,87h,6eh
    DB    81h,6fh,89h,5bh,74h,28h,5ah,4bh,54h,5dh
    DB    5bh,58h,52h,55h,53h,57h,5eh,55h,52h,57h
    DB    54h,56h,53h,5eh,13h,b1h,eah,e9h,e8h,e7h
    DB    2ch,46h,b9h,a5h,70h,aeh,ach,abh,ach,b5h
    DB    57h,97h,a7h,a9h,a6h,a2h,a4h,a6h,a7h,7fh
    DB    21h,67h,64h,66h,69h,6dh,73h,76h,7ah,7bh
    DB    7eh,7fh,82h,83h,80h,86h,90h,91h,8fh,8fh
    DB    88h,8eh,92h,92h,90h,8eh,8ah,87h,8bh,89h
    DB    88h,8ah,8ah,85h,87h,85h,88h,8bh,8fh,91h
    DB    96h,9dh,9dh,a3h,91h,7eh,79h,70h,6bh,63h
    DB    5eh,5bh,57h,54h,69h,72h,6bh,4fh,4fh,59h
    DB    60h,5fh,58h,51h,4ah,50h,4bh,46h,50h,4bh
    DB    59h,5ah,5ch,5eh,64h,68h,68h,66h,65h,75h
    DB    7dh,7fh,84h,86h,81h,89h,86h,7fh,87h,7fh
    DB    88h,88h,8ch,8ch,86h,82h,8fh,8ah,8bh,86h
    DB    87h,86h,77h,70h,68h,65h,63h,62h,64h,61h
    DB    66h,69h,6ch,76h,7bh,73h,81h,afh,f4h,fch
    DB    f9h,97h,6fh,69h,62h,5ch,5eh,61h,5dh,5fh
    DB    63h,5ah,60h,5ch,5ch,5eh,65h,65h,6ah,77h
    DB    7fh,8eh,9bh,9bh,95h,97h,91h,8dh,92h,8bh
    DB    91h,8dh,8ch,8ah,83h,80h,84h,7fh,86h,80h
    DB    7ch,80h,89h,8bh,94h,96h,4eh,87h,4ch,96h
    DB    73h,5bh,65h,60h,3eh,73h,95h,95h,a0h,9bh
    DB    78h,92h,80h,95h,98h,8ch,66h,85h,7ch,95h
    DB    91h,88h,81h,70h,37h,2bh,37h,1fh,15h,14h
    DB    4ah,5fh,5bh,51h,4eh,54h,54h,57h,56h,55h
    DB    53h,51h,50h,51h,10h,a4h,e9h,ebh,e6h,ech
    DB    42h,5dh,7dh,37h,7eh,99h,b2h,adh,a7h,adh
    DB    7eh,5eh,a0h,a0h,92h,74h,82h,89h,45h,2eh
    DB    67h,75h,75h,72h,6eh,71h,67h,67h,6dh,73h
    DB    7eh,82h,7eh,7fh,81h,82h,8dh,94h,90h,8fh
    DB    87h,83h,8dh,87h,90h,8eh,89h,8bh,88h,81h
    DB    82h,85h,85h,80h,81h,82h,85h,89h,87h,8ch
    DB    92h,95h,92h,96h,94h,84h,6dh,68h,5bh,5ch
    DB    5bh,53h,54h,62h,70h,77h,60h,51h,4fh,54h
    DB    4fh,52h,59h,51h,4bh,47h,4ah,4fh,44h,3dh
    DB    59h,5ah,63h,67h,65h,68h,6fh,6bh,74h,7bh
    DB    88h,8bh,8bh,87h,80h,8ah,85h,82h,80h,87h
    DB    87h,83h,85h,89h,8eh,8ch,91h,8ch,7ch,80h
    DB    72h,6dh,65h,5fh,60h,5dh,5eh,63h,5dh,58h
    DB    61h,66h,65h,70h,7eh,75h,82h,a2h,f6h,fbh
    DB    f9h,87h,73h,6eh,66h,60h,5ah,5ah,58h,5ah
    DB    5dh,5ah,5eh,62h,61h,66h,6eh,6eh,7dh,88h
    DB    97h,99h,91h,84h,7dh,81h,84h,7fh,8bh,8fh
    DB    8dh,8ch,90h,99h,91h,91h,91h,93h,93h,8ch
    DB    92h,89h,8ch,94h,95h,8bh,54h,64h,3ch,92h
    DB    67h,58h,81h,74h,61h,71h,9ah,8bh,26h,79h
    DB    42h,72h,40h,a4h,41h,6eh,4ch,65h,a2h,8ah
    DB    44h,75h,50h,74h,29h,85h,6eh,5dh,67h,52h
    DB    17h,4ah,57h,4dh,51h,53h,4eh,4eh,51h,50h
    DB    51h,4dh,4fh,27h,1eh,d8h,e6h,e9h,e7h,eeh
    DB    55h,5fh,66h,88h,7ah,3dh,39h,a0h,a8h,ach
    DB    7eh,43h,0dh,1ah,1fh,29h,33h,42h,5eh,7bh
    DB    78h,77h,7bh,78h,73h,7ah,7ah,7fh,77h,7ah
    DB    76h,73h,73h,75h,78h,80h,85h,8fh,95h,8ah
    DB    89h,84h,86h,89h,8ah,8dh,8dh,86h,8ah,82h
    DB    82h,83h,82h,82h,81h,85h,87h,8bh,89h,8ch
    DB    91h,7dh,6eh,72h,6ch,67h,61h,5ah,53h,57h
    DB    53h,4eh,58h,6dh,73h,64h,4fh,4dh,51h,4eh
    DB    54h,3eh,54h,4bh,49h,4fh,4bh,4ah,48h,42h
    DB    5fh,62h,65h,69h,6ch,70h,73h,7ch,80h,7fh
    DB    7fh,88h,86h,83h,87h,87h,85h,89h,82h,81h
    DB    8ah,7fh,85h,80h,89h,89h,85h,7ah,72h,66h
    DB    63h,65h,63h,62h,61h,5dh,5eh,5eh,5eh,65h
    DB    63h,63h,62h,62h,75h,6ch,a0h,afh,f8h,f9h
    DB    fah,8ah,70h,6ah,60h,5ch,58h,5eh,5ah,55h
    DB    5bh,62h,60h,65h,67h,70h,75h,7ch,86h,81h
    DB    7fh,7ah,83h,86h,88h,8eh,91h,99h,98h,99h
    DB    97h,91h,90h,8eh,8fh,91h,90h,8bh,8fh,91h
    DB    8ah,8fh,8fh,8dh,85h,95h,61h,a1h,74h,6ah
    DB    6ah,59h,55h,31h,5bh,2ah,5bh,45h,2ah,4dh
    DB    66h,79h,53h,9bh,68h,6eh,57h,4bh,46h,78h
    DB    61h,83h,64h,31h,28h,64h,56h,4ah,4dh,4eh
    DB    3fh,16h,56h,4eh,4ch,50h,4eh,55h,52h,51h
    DB    50h,51h,45h,2ah,c9h,e7h,e5h,e2h,e4h,eah
    DB    52h,4ch,81h,7eh,7bh,85h,33h,74h,9dh,3dh
    DB    24h,53h,6fh,74h,78h,74h,6ch,6ch,6fh,7ah
    DB    79h,75h,74h,71h,71h,74h,77h,77h,78h,76h
    DB    7dh,77h,7ah,78h,72h,7ch,7bh,87h,8bh,8eh
    DB    95h,86h,89h,87h,84h,81h,8bh,87h,88h,83h
    DB    85h,88h,83h,83h,7bh,84h,87h,8dh,8fh,91h
    DB    8fh,87h,7bh,77h,71h,66h,52h,56h,52h,4ah
    DB    52h,58h,52h,68h,70h,66h,54h,52h,4bh,47h
    DB    4eh,42h,4fh,51h,4eh,4bh,47h,48h,4bh,4ah
    DB    68h,67h,66h,71h,7ch,7bh,7eh,85h,87h,7fh
    DB    7bh,7ch,83h,87h,8ah,87h,82h,8ah,86h,8bh
    DB    85h,89h,8bh,84h,89h,82h,7bh,6eh,6ch,67h
    DB    66h,60h,60h,62h,60h,5ah,64h,5fh,60h,66h
    DB    67h,5ch,63h,62h,6dh,6bh,a8h,aeh,f8h,fch
    DB    f9h,93h,73h,6ch,63h,5fh,61h,60h,67h,69h
    DB    69h,6fh,6ah,6dh,74h,75h,80h,86h,95h,95h
    DB    9ah,99h,9ah,8ch,8dh,95h,96h,8fh,91h,8ch
    DB    8bh,87h,88h,89h,8ch,89h,8eh,8fh,8ah,88h
    DB    90h,90h,90h,99h,94h,94h,8dh,58h,5eh,79h
    DB    77h,83h,90h,87h,99h,94h,9bh,91h,8bh,84h
    DB    74h,6fh,53h,55h,61h,4dh,5dh,71h,80h,76h
    DB    2ah,56h,58h,45h,5dh,08h,34h,22h,0dh,1fh
    DB    4dh,48h,19h,3ah,51h,4dh,51h,4fh,50h,50h
    DB    46h,30h,28h,bfh,e9h,e6h,e8h,e7h,e1h,e2h
    DB    48h,5dh,81h,81h,7bh,80h,27h,9dh,31h,5ah
    DB    7ch,79h,7bh,76h,75h,76h,72h,6fh,6fh,74h
    DB    72h,70h,77h,78h,79h,74h,74h,76h,73h,77h
    DB    7dh,7ch,7dh,7ah,82h,7fh,7dh,85h,89h,89h
    DB    8ah,86h,82h,83h,81h,85h,82h,85h,85h,85h
    DB    80h,82h,85h,80h,7dh,7eh,81h,87h,8ch,90h
    DB    8dh,8fh,86h,63h,64h,59h,53h,43h,52h,52h
    DB    52h,5dh,66h,6ch,6ch,59h,56h,4eh,4ch,4ah
    DB    43h,53h,4eh,4eh,4dh,4bh,46h,46h,49h,45h
    DB    6fh,67h,76h,84h,86h,7eh,7eh,7dh,7fh,82h
    DB    80h,7ch,83h,8ah,8dh,88h,89h,86h,83h,7eh
    DB    83h,8ah,85h,87h,79h,6ch,67h,67h,5dh,5eh
    DB    62h,5ch,5fh,5eh,5ch,62h,64h,67h,67h,62h
    DB    5eh,65h,5eh,68h,69h,63h,a3h,abh,f9h,f7h
    DB    f8h,93h,74h,71h,68h,64h,65h,64h,6bh,7ch
    DB    78h,7bh,87h,92h,94h,93h,94h,97h,9ch,95h
    DB    8fh,93h,91h,8eh,92h,8bh,8bh,89h,93h,92h
    DB    8ch,8dh,94h,8ah,87h,8ah,8ah,8dh,8dh,8ch
    DB    87h,8eh,8eh,90h,8dh,8fh,92h,95h,93h,8eh
    DB    83h,78h,66h,5bh,4dh,2dh,3ch,29h,41h,5fh
    DB    6dh,63h,80h,89h,90h,9eh,a0h,a2h,9fh,83h
    DB    6eh,1ah,26h,2eh,2fh,15h,17h,1dh,4dh,17h
    DB    05h,1fh,23h,0dh,11h,22h,27h,30h,2eh,20h
    DB    1ah,65h,d1h,e5h,e6h,e4h,e7h,e8h,e3h,e6h
    DB    30h,5dh,3eh,32h,64h,2ch,70h,96h,33h,7ah
    DB    7bh,72h,76h,7bh,77h,76h,75h,73h,72h,74h
    DB    71h,72h,79h,7dh,7ah,77h,75h,7bh,7ch,7ch
    DB    7fh,79h,7ch,79h,78h,79h,7dh,85h,87h,8fh
    DB    89h,8bh,7dh,82h,7fh,81h,87h,87h,87h,86h
    DB    82h,82h,81h,79h,77h,7dh,77h,83h,8dh,90h
    DB    8dh,93h,8dh,62h,63h,59h,56h,53h,47h,50h
    DB    54h,59h,63h,63h,59h,5bh,53h,42h,48h,46h
    DB    3ch,4fh,50h,54h,4eh,47h,4ch,48h,4ch,4ch
    DB    6fh,81h,82h,84h,85h,89h,87h,8ah,8dh,89h
    DB    8fh,85h,88h,87h,84h,89h,82h,7fh,7fh,88h
    DB    84h,84h,84h,70h,76h,63h,67h,69h,63h,60h
    DB    5dh,5dh,61h,5dh,5eh,69h,63h,67h,67h,66h
    DB    62h,65h,63h,5fh,6eh,56h,a8h,b4h,f9h,fah
    DB    f7h,9bh,81h,73h,71h,64h,6dh,70h,77h,7eh
    DB    83h,88h,90h,8ch,92h,9bh,93h,92h,94h,90h
    DB    8dh,8bh,8ah,91h,92h,8ch,8fh,8fh,92h,8dh
    DB    90h,8dh,93h,93h,91h,90h,91h,9ah,8dh,91h
    DB    8ch,88h,8bh,8eh,88h,89h,88h,83h,83h,88h
    DB    77h,61h,4ch,39h,3fh,3bh,3eh,40h,39h,2fh
    DB    22h,27h,3fh,45h,3ah,40h,37h,3eh,42h,4dh
    DB    3ch,19h,54h,3dh,4dh,61h,59h,42h,3eh,32h
    DB    18h,09h,03h,0bh,14h,1ch,70h,98h,90h,c0h
    DB    deh,eah,e6h,e9h,e5h,e8h,e5h,e5h,e4h,d7h
    DB    13h,32h,3ah,45h,21h,2fh,94h,66h,4ch,80h
    DB    75h,77h,72h,6fh,70h,65h,68h,68h,6ah,69h
    DB    6bh,75h,7eh,7fh,76h,75h,74h,7ah,7dh,7fh
    DB    82h,7bh,7bh,79h,76h,7bh,77h,7ch,86h,8ch
    DB    89h,8ch,81h,81h,84h,88h,85h,84h,85h,85h
    DB    84h,85h,7eh,85h,7bh,82h,83h,8bh,8bh,8eh
    DB    94h,97h,76h,6eh,5fh,5ah,5ch,57h,50h,49h
    DB    53h,58h,5bh,5eh,6ch,5fh,5ah,44h,3eh,4bh
    DB    48h,4ah,50h,4eh,47h,47h,4eh,48h,4dh,49h
    DB    7eh,7eh,84h,81h,85h,83h,86h,80h,7fh,84h
    DB    84h,86h,87h,83h,83h,8eh,90h,8eh,8ah,84h
    DB    80h,70h,71h,72h,61h,64h,65h,63h,65h,64h
    DB    60h,60h,60h,5dh,64h,6ah,6dh,65h,63h,63h
    DB    60h,5eh,61h,60h,6dh,5ch,c1h,b2h,fah,fch
    DB    f8h,9bh,7dh,64h,6eh,6eh,6ah,82h,8ah,87h
    DB    81h,89h,8ah,88h,8ch,8bh,88h,8bh,90h,8eh
    DB    8eh,90h,8eh,87h,8eh,89h,91h,8fh,86h,8dh
    DB    83h,83h,8dh,8eh,90h,8dh,8ch,8bh,85h,89h
    DB    82h,7ch,7eh,7eh,7ch,82h,84h,85h,61h,3bh
    DB    3bh,4ah,41h,46h,4eh,51h,51h,51h,4ah,4eh
    DB    4ch,4bh,3fh,2bh,2ch,3bh,39h,24h,44h,4ch
    DB    4eh,27h,42h,09h,16h,2bh,41h,43h,55h,5fh
    DB    5ch,58h,24h,0bh,42h,d6h,eeh,eah,f2h,eeh
    DB    edh,e8h,e8h,e7h,e9h,e7h,ebh,e8h,e9h,82h
    DB    2fh,a4h,9fh,9bh,86h,88h,72h,69h,59h,5fh
    DB    49h,4dh,6ah,7eh,7ch,7ch,78h,78h,73h,72h
    DB    76h,6ah,66h,69h,6ah,6bh,6ah,76h,7ah,7eh
    DB    80h,79h,7bh,7dh,7dh,7eh,7dh,7dh,85h,89h
    DB    89h,88h,7fh,7dh,82h,7dh,81h,81h,82h,84h
    DB    83h,83h,83h,82h,81h,88h,81h,80h,8ah,8eh
    DB    91h,96h,91h,8fh,78h,66h,59h,56h,50h,52h
    DB    51h,58h,5dh,68h,6bh,59h,50h,56h,46h,4ch
    DB    4bh,49h,4ah,48h,46h,47h,44h,4ah,43h,40h
    DB    7fh,7fh,7fh,86h,86h,86h,7dh,83h,7fh,88h
    DB    89h,81h,8dh,8bh,8dh,8bh,82h,90h,86h,73h
    DB    6fh,6ah,70h,6eh,69h,63h,6dh,6eh,64h,62h
    DB    5fh,5ch,62h,5eh,65h,6ah,6dh,67h,63h,61h
    DB    61h,63h,5dh,66h,6ah,62h,c1h,bch,fch,fbh
    DB    fah,abh,81h,72h,78h,7eh,85h,86h,82h,80h
    DB    85h,82h,8ah,87h,89h,8eh,8ch,84h,8bh,85h
    DB    86h,87h,89h,84h,8bh,89h,87h,87h,87h,7dh
    DB    7eh,78h,78h,6fh,74h,76h,76h,7fh,80h,7eh
    DB    80h,7ah,8ah,88h,87h,82h,84h,95h,3fh,3eh
    DB    37h,16h,24h,38h,4dh,4eh,4ah,4bh,47h,45h
    DB    45h,4bh,44h,51h,44h,39h,97h,3ah,40h,3dh
    DB    38h,39h,3dh,1bh,17h,73h,31h,05h,3bh,5ah
    DB    48h,2fh,2ch,24h,d8h,efh,f4h,edh,eeh,ebh
    DB    ech,f2h,f1h,eeh,e8h,ebh,edh,e4h,e8h,4bh
    DB    5fh,7fh,7fh,4bh,55h,74h,3ch,7fh,58h,64h
    DB    83h,7bh,49h,80h,7bh,7ch,7eh,7fh,78h,78h
    DB    78h,72h,76h,79h,78h,7ch,74h,64h,6dh,6dh
    DB    6fh,70h,77h,80h,7ah,81h,80h,7dh,83h,8ch
    DB    86h,86h,7fh,81h,7fh,7bh,7fh,7ch,79h,78h
    DB    82h,82h,7eh,81h,85h,89h,85h,87h,84h,8dh
    DB    92h,8ah,94h,95h,97h,7dh,68h,58h,55h,55h
    DB    56h,5ch,5eh,60h,75h,5fh,53h,47h,51h,4ah
    DB    47h,4eh,4bh,47h,49h,4bh,43h,48h,38h,44h
    DB    79h,7bh,7fh,8ch,85h,83h,8ah,82h,86h,8fh
    DB    91h,93h,9eh,97h,a1h,92h,91h,78h,7ch,79h
    DB    72h,79h,6eh,71h,6bh,75h,6fh,68h,71h,6ah
    DB    6ch,70h,6bh,6ah,6dh,69h,6ch,65h,68h,6ah
    DB    68h,68h,6fh,6ah,6dh,74h,bch,c4h,fah,fbh
    DB    fah,a3h,8eh,8dh,90h,8ch,85h,83h,81h,7bh
    DB    80h,7fh,7ch,82h,7fh,82h,80h,81h,82h,7eh
    DB    79h,76h,6fh,76h,7ch,76h,73h,6dh,7dh,76h
    DB    81h,76h,7ch,7eh,81h,86h,81h,83h,81h,84h
    DB    84h,81h,7eh,81h,82h,84h,86h,8bh,8bh,4ch
    DB    17h,11h,0dh,0ch,13h,1dh,1fh,18h,10h,0bh
    DB    0dh,11h,23h,3fh,4fh,4dh,3dh,3dh,38h,2eh
    DB    2bh,36h,53h,5bh,17h,3eh,48h,15h,41h,efh
    DB    efh,48h,48h,58h,f2h,ech,f2h,ebh,efh,ech
    DB    efh,edh,f2h,eeh,e8h,e2h,e3h,e7h,99h,12h
    DB    8dh,9bh,73h,8ah,7dh,6eh,70h,51h,5fh,70h
    DB    3dh,67h,6fh,74h,79h,78h,76h,77h,79h,79h
    DB    79h,72h,79h,77h,7ch,7dh,7ah,79h,82h,7bh
    DB    7ch,72h,72h,6ch,6bh,74h,77h,7fh,86h,87h
    DB    84h,89h,7ah,75h,7ah,7ch,77h,7dh,7fh,7eh
    DB    84h,83h,87h,81h,7eh,87h,82h,82h,85h,8ah
    DB    86h,8bh,90h,8eh,8ah,87h,94h,88h,7ch,64h
    DB    5ah,5ah,5dh,58h,5bh,61h,53h,49h,42h,48h
    DB    47h,49h,4bh,48h,50h,48h,3dh,43h,41h,3bh
    DB    7fh,86h,80h,89h,86h,81h,86h,8dh,91h,a1h
    DB    a3h,86h,84h,98h,96h,8ch,8ah,74h,7ah,78h
    DB    77h,6ch,78h,75h,70h,78h,75h,78h,77h,79h
    DB    79h,72h,77h,70h,72h,7bh,72h,6fh,77h,65h
    DB    74h,71h,7ah,6fh,80h,75h,b4h,c2h,f9h,f8h
    DB    f7h,9ah,9bh,91h,8bh,89h,8bh,8ch,83h,79h
    DB    7bh,7dh,77h,76h,72h,77h,64h,77h,75h,79h
    DB    7fh,79h,86h,87h,7eh,7ch,7fh,81h,80h,7bh
    DB    7fh,7bh,7ch,80h,83h,80h,7fh,82h,82h,83h
    DB    82h,81h,7ah,7dh,83h,81h,87h,79h,22h,17h
    DB    1fh,17h,0dh,0dh,0ch,0fh,0ch,0bh,0eh,10h
    DB    17h,0bh,06h,05h,1bh,42h,41h,20h,56h,2dh
    DB    a7h,7fh,42h,59h,34h,55h,5eh,4fh,1eh,d4h
    DB    e2h,34h,2ch,8ch,f0h,f2h,eeh,f1h,eeh,e7h
    DB    e7h,eah,e9h,eeh,e7h,ebh,e7h,cah,1dh,53h
    DB    a4h,94h,80h,4eh,63h,70h,52h,64h,2fh,7ah
    DB    70h,38h,7dh,7dh,7bh,75h,77h,70h,71h,75h
    DB    75h,75h,75h,77h,7ah,7ah,7dh,81h,83h,87h
    DB    82h,81h,7fh,7ah,7ch,79h,7ah,71h,70h,80h
    DB    6eh,7dh,79h,76h,79h,7fh,7ah,7bh,7eh,7eh
    DB    82h,7fh,84h,7fh,83h,87h,83h,85h,87h,8fh
    DB    92h,91h,8fh,93h,8ch,8bh,84h,7ah,7ah,67h
    DB    63h,5eh,5dh,58h,5eh,64h,55h,55h,4ah,44h
    DB    44h,44h,48h,53h,4ch,44h,45h,44h,42h,44h
    DB    88h,87h,86h,8bh,7fh,91h,98h,8bh,8eh,a3h
    DB    93h,9eh,67h,9ch,aah,8bh,8bh,85h,85h,88h
    DB    78h,75h,69h,79h,7fh,86h,8dh,8bh,88h,7ch
    DB    79h,7eh,60h,86h,81h,84h,90h,68h,9ah,86h
    DB    7dh,89h,7fh,83h,95h,8ch,bdh,c4h,fbh,fbh
    DB    f6h,a4h,9fh,9fh,92h,94h,8ch,87h,7bh,7dh
    DB    76h,77h,77h,77h,7ah,82h,85h,89h,8eh,88h
    DB    81h,7fh,84h,82h,87h,83h,81h,82h,85h,87h
    DB    83h,7dh,75h,81h,82h,7fh,80h,82h,82h,8bh
    DB    82h,84h,82h,7ch,7eh,82h,69h,18h,25h,20h
    DB    1ah,19h,13h,0eh,0bh,1ch,20h,15h,16h,19h
    DB    28h,28h,26h,17h,09h,0bh,27h,36h,54h,1fh
    DB    d8h,e5h,3ah,5ah,53h,30h,5dh,4ah,28h,55h
    DB    b9h,35h,17h,adh,f0h,ech,eah,f0h,e6h,e8h
    DB    ech,ech,f0h,6dh,cbh,ebh,d9h,3bh,49h,94h
    DB    4bh,6ch,9eh,86h,6ah,49h,5bh,94h,6ch,7ah
    DB    6ah,4fh,76h,77h,7ch,80h,7fh,7ch,76h,78h
    DB    77h,79h,7bh,7ah,7eh,81h,7bh,84h,86h,85h
    DB    84h,81h,81h,7dh,7bh,81h,85h,85h,80h,7fh
    DB    53h,86h,7fh,7ch,7eh,81h,7dh,7dh,7eh,81h
    DB    80h,81h,7eh,7ch,7fh,86h,83h,86h,88h,8bh
    DB    8eh,95h,91h,8fh,8ch,85h,8bh,80h,6ah,5ah
    DB    58h,58h,67h,60h,6ah,61h,5ah,4fh,4eh,47h
    DB    48h,40h,43h,4ah,45h,42h,49h,42h,3dh,39h
    DB    8ah,8dh,95h,96h,a9h,a2h,bbh,8fh,83h,96h
    DB    9ah,afh,a0h,86h,b0h,94h,91h,90h,93h,93h
    DB    9eh,94h,7fh,9ch,a3h,b1h,b4h,a7h,97h,98h
    DB    80h,6dh,98h,a4h,95h,98h,a2h,90h,a5h,a4h
    DB    a5h,9ch,82h,aeh,9fh,91h,b9h,cah,fbh,fbh
    DB    f7h,aeh,a4h,a0h,99h,94h,8eh,6eh,83h,87h
    DB    87h,89h,87h,89h,84h,82h,80h,83h,80h,81h
    DB    82h,85h,89h,82h,84h,83h,81h,84h,85h,7dh
    DB    81h,7dh,80h,86h,84h,82h,81h,7bh,79h,78h
    DB    73h,77h,7ah,7dh,7dh,70h,1eh,35h,2bh,27h
    DB    17h,21h,14h,17h,1bh,16h,18h,35h,5dh,92h
    DB    92h,61h,26h,2fh,18h,0bh,0fh,4fh,49h,24h
    DB    e6h,f2h,91h,3ch,5ch,2bh,2fh,52h,57h,29h
    DB    45h,45h,0eh,c7h,ebh,f0h,eeh,d0h,3bh,e3h
    DB    e2h,e2h,ddh,20h,a7h,e8h,7fh,34h,92h,7dh
    DB    65h,5ah,99h,6eh,91h,87h,95h,93h,6ch,72h
    DB    51h,60h,7bh,6fh,6bh,6eh,70h,71h,7ch,7fh
    DB    7dh,68h,74h,64h,71h,80h,80h,7ah,78h,8ah
    DB    82h,7eh,7eh,7dh,7ch,83h,83h,82h,7bh,5eh
    DB    57h,81h,7ch,7eh,7fh,7dh,81h,7ah,77h,7ch
    DB    80h,7fh,77h,76h,78h,7ah,81h,80h,80h,85h
    DB    8ch,8fh,8fh,90h,8ah,7ah,77h,69h,61h,5ch
    DB    57h,56h,5dh,65h,65h,5ah,55h,4bh,49h,47h
    DB    42h,3eh,44h,42h,3fh,49h,49h,40h,3bh,36h
    DB    bdh,b6h,b6h,9eh,b5h,93h,98h,aah,a7h,a8h
    DB    a4h,abh,abh,96h,8fh,abh,b1h,9ch,96h,b6h
    DB    b5h,c3h,bbh,c3h,cah,ceh,c3h,bah,9dh,a6h
    DB    a0h,8dh,a8h,9eh,94h,a5h,bah,bah,bch,b5h
    DB    b1h,ach,b2h,9ch,a4h,a0h,c5h,d3h,fbh,fah
    DB    fah,c5h,c6h,a9h,adh,b4h,6eh,aah,9ch,89h
    DB    98h,9eh,93h,97h,8eh,90h,8eh,89h,7eh,84h
    DB    7dh,90h,8dh,87h,8ch,83h,87h,88h,88h,86h
    DB    81h,80h,81h,7eh,80h,81h,81h,7ch,7fh,7dh
    DB    7ah,7eh,81h,80h,79h,22h,27h,2ch,2eh,22h
    DB    1ah,12h,2ah,22h,48h,7ah,8ch,96h,81h,18h
    DB    49h,a3h,96h,30h,1bh,0ch,24h,53h,26h,10h
    DB    a5h,ech,eah,2ch,60h,53h,2dh,51h,38h,3dh
    DB    33h,46h,0dh,c8h,f0h,eah,e8h,cah,3dh,e5h
    DB    e7h,e7h,cfh,11h,3eh,77h,1eh,88h,88h,84h
    DB    6bh,8dh,91h,47h,65h,4dh,74h,95h,78h,7fh
    DB    2eh,6bh,70h,67h,6fh,5eh,5eh,55h,77h,76h
    DB    6eh,62h,57h,5fh,5ch,70h,6ch,66h,68h,88h
    DB    7dh,76h,82h,83h,84h,80h,82h,86h,6fh,39h
    DB    6ch,74h,71h,75h,77h,7ah,76h,7ah,7ah,7fh
    DB    7ch,7ah,7dh,7ch,7ch,76h,7eh,81h,80h,85h
    DB    85h,86h,85h,87h,92h,91h,6fh,65h,57h,57h
    DB    4ah,56h,5ah,46h,60h,65h,50h,4dh,49h,48h
    DB    48h,42h,3fh,40h,3eh,45h,42h,3dh,38h,39h
    DB    bfh,beh,aeh,afh,9bh,afh,aah,b3h,a7h,bbh
    DB    9ah,afh,abh,a8h,9bh,a8h,a6h,a6h,98h,bch
    DB    c1h,bdh,d5h,d2h,cbh,c7h,c7h,c4h,bdh,b3h
    DB    b2h,b4h,b6h,98h,b2h,b1h,c3h,c5h,c2h,cfh
    DB    c5h,a9h,94h,a5h,9eh,a0h,b8h,d3h,fbh,fbh
    DB    fah,c6h,c1h,9bh,94h,a2h,95h,a5h,a7h,b1h
    DB    b5h,a3h,b3h,9eh,b7h,b7h,adh,bbh,9ch,aeh
    DB    6dh,ach,8ch,8ch,8bh,8ah,8ah,79h,81h,83h
    DB    82h,7dh,79h,81h,86h,80h,7bh,83h,76h,77h
    DB    78h,79h,72h,70h,30h,22h,26h,22h,1fh,21h
    DB    11h,28h,1fh,63h,7bh,73h,6fh,85h,5bh,53h
    DB    3dh,2dh,90h,a6h,27h,0dh,3eh,55h,1eh,3eh
    DB    13h,aeh,f4h,95h,2ah,3bh,23h,31h,49h,64h
    DB    2ch,2dh,0ah,a4h,ebh,eah,eah,9eh,37h,e4h
    DB    e1h,e5h,d7h,1ch,09h,1ch,75h,89h,6eh,47h
    DB    49h,85h,71h,79h,7fh,83h,51h,49h,55h,84h
    DB    2eh,77h,6ch,5ch,65h,5dh,57h,54h,55h,59h
    DB    5eh,61h,5bh,5dh,5dh,56h,5eh,63h,6ah,79h
    DB    67h,74h,75h,7ch,7ch,7bh,7fh,76h,47h,61h
    DB    71h,6eh,6bh,71h,74h,78h,76h,7dh,76h,7ch
    DB    7ch,7ah,7ah,77h,78h,79h,7dh,81h,7ch,7dh
    DB    80h,7eh,80h,88h,87h,7bh,6eh,62h,5eh,4dh
    DB    54h,52h,59h,59h,5ah,5ch,4fh,52h,53h,46h
    DB    48h,42h,42h,37h,45h,3fh,3eh,3fh,40h,3eh
    DB    bah,bch,bch,bah,adh,ach,b0h,b6h,c4h,cch
    DB    c7h,bbh,c9h,bch,aah,a6h,9eh,a1h,abh,a4h
    DB    98h,a4h,b4h,bbh,bah,b8h,b9h,c3h,c5h,c6h
    DB    cfh,d3h,c8h,ach,b9h,b3h,b4h,c3h,c4h,cah
    DB    c7h,8dh,8bh,a0h,95h,a1h,b6h,dah,fdh,fah
    DB    f8h,c6h,b5h,87h,7ah,97h,9dh,b0h,b5h,beh
    DB    cbh,95h,a5h,a9h,bbh,bbh,c3h,cbh,d2h,cah
    DB    b7h,c5h,aeh,b3h,b0h,9ch,7fh,71h,8eh,97h
    DB    9ch,93h,6eh,8bh,79h,76h,76h,6fh,70h,77h
    DB    7ah,7ch,77h,64h,18h,26h,30h,29h,29h,17h
    DB    21h,1ch,65h,6bh,6ah,77h,59h,89h,30h,54h
    DB    3ch,72h,51h,bah,77h,0fh,50h,3ah,1ah,51h
    DB    2ah,38h,cch,edh,4fh,3bh,45h,2bh,64h,67h
    DB    37h,35h,0ch,26h,cch,eeh,efh,9eh,22h,cbh
    DB    d8h,8fh,2eh,1ch,20h,68h,8dh,84h,73h,65h
    DB    74h,74h,66h,6fh,37h,5dh,80h,77h,7bh,6ch
    DB    3bh,75h,64h,5ah,54h,54h,4ch,4dh,4ch,53h
    DB    57h,53h,52h,47h,4dh,52h,59h,59h,5ch,63h
    DB    67h,79h,6dh,6fh,66h,65h,6eh,55h,44h,7fh
    DB    68h,68h,68h,6ch,74h,70h,74h,77h,70h,71h
    DB    76h,7bh,80h,7bh,70h,79h,7bh,80h,80h,80h
    DB    83h,80h,7fh,86h,7fh,7bh,63h,58h,58h,53h
    DB    50h,4fh,59h,78h,71h,56h,4fh,4ah,48h,46h
    DB    44h,43h,44h,3fh,3ch,3eh,43h,3fh,3fh,36h
    DB    bah,ach,b5h,b5h,b2h,b4h,b8h,c2h,c9h,cbh
    DB    cfh,d0h,cfh,cbh,d5h,adh,92h,98h,a8h,a6h
    DB    a6h,b8h,c1h,aah,9ch,afh,bbh,b8h,bfh,c2h
    DB    c1h,b3h,bch,c6h,c7h,adh,bdh,a5h,b8h,a1h
    DB    92h,86h,7bh,8ah,9ah,a1h,a5h,dch,f9h,fah
    DB    f8h,cah,9ch,74h,95h,82h,a3h,ach,abh,b2h
    DB    c7h,aah,8ch,95h,a7h,bbh,bfh,d1h,abh,b2h
    DB    c3h,cbh,dfh,b9h,a3h,78h,82h,8eh,9ah,a8h
    DB    a6h,8dh,86h,88h,8dh,8ch,84h,86h,6fh,7eh
    DB    8ah,85h,74h,22h,1ch,29h,33h,21h,2ch,1dh
    DB    19h,5ah,6ah,65h,70h,82h,5eh,65h,34h,5bh
    DB    2ah,9eh,61h,8eh,90h,1fh,5ah,25h,08h,52h
    DB    2fh,94h,3ah,d9h,e4h,46h,5ch,3bh,41h,4eh
    DB    34h,3ah,32h,11h,14h,53h,7bh,40h,06h,0ah
    DB    12h,08h,1fh,31h,28h,7ah,8dh,82h,83h,49h
    DB    44h,7dh,3dh,7fh,53h,71h,6bh,66h,79h,52h
    DB    4ah,5dh,54h,51h,4ch,49h,44h,43h,42h,4dh
    DB    4ah,4eh,49h,42h,4bh,4bh,4fh,51h,57h,5bh
    DB    70h,72h,78h,77h,7bh,71h,4ah,3ah,71h,70h
    DB    6bh,68h,70h,70h,6fh,69h,6ah,73h,6dh,67h
    DB    73h,7ah,77h,7eh,74h,78h,7dh,83h,7dh,86h
    DB    84h,76h,75h,7eh,83h,82h,75h,6ch,58h,51h
    DB    53h,4dh,52h,67h,6ch,53h,4ah,41h,42h,46h
    DB    3eh,36h,43h,41h,39h,42h,3fh,40h,3dh,3fh
    DB    bfh,afh,99h,a9h,a9h,aah,afh,c7h,d6h,c7h
    DB    c1h,ach,aah,c0h,d1h,bah,a4h,90h,93h,a3h
    DB    98h,b4h,83h,8ah,a3h,a5h,a7h,96h,bah,cfh
    DB    bch,9eh,adh,c8h,c3h,bfh,beh,a2h,81h,95h
    DB    99h,8bh,65h,77h,93h,a3h,a5h,e5h,fbh,fbh
    DB    f6h,bdh,84h,90h,72h,97h,b3h,cah,d2h,9bh
    DB    b8h,95h,93h,8bh,a4h,a4h,b4h,a3h,c6h,b9h
    DB    cbh,c2h,afh,9bh,83h,7eh,86h,7fh,82h,88h
    DB    97h,90h,8fh,8ch,92h,93h,99h,84h,90h,90h
    DB    9dh,87h,5bh,13h,1bh,1bh,1eh,29h,1eh,2ah
    DB    2eh,7ch,76h,72h,7ah,86h,77h,2ah,47h,44h
    DB    46h,95h,7fh,70h,59h,47h,4eh,0dh,0ah,3ch
    DB    31h,a0h,31h,31h,71h,36h,44h,3fh,23h,1eh
    DB    38h,2fh,52h,33h,46h,08h,13h,20h,3bh,47h
    DB    4bh,1ch,24h,62h,5dh,30h,58h,61h,49h,7bh
    DB    5bh,79h,45h,79h,69h,58h,5ah,6eh,28h,3ch
    DB    4dh,56h,50h,44h,4bh,46h,44h,48h,46h,4bh
    DB    4bh,4bh,45h,4ch,4fh,4ch,48h,53h,59h,5bh
    DB    53h,6eh,71h,75h,72h,47h,35h,6fh,72h,69h
    DB    6dh,63h,62h,6ah,6eh,74h,6eh,6bh,73h,6dh
    DB    75h,76h,72h,75h,73h,79h,7ah,75h,76h,7ah
    DB    7dh,76h,72h,6dh,7eh,7bh,7bh,85h,81h,67h
    DB    5ah,4fh,54h,5eh,64h,52h,47h,4ah,38h,47h
    DB    47h,3ah,3fh,3fh,46h,42h,40h,41h,46h,3bh
    DB    a4h,a6h,a2h,8ch,a5h,a3h,93h,c3h,afh,a3h
    DB    99h,99h,b2h,cah,c3h,c7h,c1h,93h,88h,a4h
    DB    a4h,6dh,96h,9fh,b1h,9fh,91h,95h,c2h,d4h
    DB    dch,dfh,a8h,c8h,cah,c4h,8fh,69h,9bh,b9h
    DB    94h,96h,71h,79h,90h,a1h,92h,edh,fch,fbh
    DB    f6h,bch,a4h,60h,7fh,a9h,d7h,e1h,c9h,c2h
    DB    9bh,86h,8fh,76h,98h,9dh,7ch,a5h,bch,ach
    DB    b5h,aah,8eh,80h,74h,89h,77h,78h,7ah,8bh
    DB    91h,8eh,87h,77h,93h,9ah,87h,8ah,94h,9bh
    DB    72h,6ch,26h,1ch,18h,1dh,16h,1fh,29h,1dh
    DB    74h,83h,7bh,81h,7dh,80h,33h,26h,4ch,21h
    DB    90h,91h,8dh,22h,31h,56h,27h,10h,0eh,2bh
    DB    3bh,18h,27h,46h,4eh,47h,16h,34h,29h,25h
    DB    43h,44h,29h,5ch,42h,1eh,53h,4dh,46h,48h
    DB    25h,2ch,40h,96h,57h,6fh,88h,7eh,7dh,56h
    DB    6dh,85h,76h,4dh,82h,85h,82h,71h,72h,2dh
    DB    51h,50h,51h,42h,43h,50h,4ch,4bh,51h,4eh
    DB    54h,52h,50h,59h,55h,4ah,52h,57h,4fh,56h
    DB    61h,7bh,77h,73h,49h,2dh,66h,6ah,62h,6dh
    DB    71h,66h,6dh,74h,6bh,67h,6dh,6ch,6fh,70h
    DB    75h,72h,71h,74h,71h,76h,6dh,78h,7ah,6fh
    DB    75h,75h,73h,76h,6fh,70h,6dh,7fh,7dh,69h
    DB    5ch,4eh,53h,67h,5dh,51h,44h,4bh,44h,39h
    DB    47h,40h,3dh,3fh,44h,40h,3dh,3ah,3dh,38h
    DB    a6h,a8h,9ch,9ah,94h,9fh,aeh,70h,bah,9eh
    DB    99h,ach,9fh,abh,c9h,d0h,bdh,beh,8eh,a7h
    DB    9ch,9ch,a4h,9fh,a9h,9eh,90h,ach,c7h,cah
    DB    c3h,c6h,a7h,abh,bfh,b0h,b3h,bdh,7bh,87h
    DB    94h,9eh,96h,93h,8eh,9bh,93h,ech,fah,fbh
    DB    f1h,c5h,81h,6dh,a7h,ach,9ch,c5h,c6h,aeh
    DB    c2h,92h,85h,79h,98h,75h,9fh,93h,adh,ach
    DB    9fh,98h,83h,85h,87h,8ah,70h,83h,85h,89h
    DB    89h,77h,62h,78h,88h,85h,6ah,8ah,9fh,78h
    DB    65h,6eh,12h,1bh,1dh,17h,11h,16h,31h,3bh
    DB    93h,88h,87h,8eh,6bh,2dh,5bh,30h,2ah,5bh
    DB    a2h,a2h,6eh,31h,5bh,45h,1ah,10h,0ah,23h
    DB    36h,7ch,a2h,8dh,50h,1eh,14h,38h,5ah,22h
    DB    3bh,35h,49h,3ch,17h,2eh,4ch,49h,44h,41h
    DB    1dh,1fh,86h,95h,50h,58h,5dh,5bh,56h,63h
    DB    30h,7ah,74h,59h,59h,4eh,4bh,44h,5fh,48h
    DB    68h,68h,65h,60h,5bh,61h,59h,57h,55h,5dh
    DB    57h,5ah,5ah,5dh,5dh,59h,5ch,4ah,51h,54h
    DB    5ah,67h,64h,3fh,37h,6bh,65h,5dh,5ah,67h
    DB    60h,5dh,61h,6ah,6ch,65h,6eh,6ah,67h,6bh
    DB    6eh,71h,71h,71h,73h,6fh,79h,75h,73h,6dh
    DB    70h,7ch,7dh,6fh,6dh,66h,6fh,7dh,79h,5bh
    DB    4bh,50h,54h,5ah,62h,4bh,42h,41h,47h,46h
    DB    45h,47h,4ah,41h,40h,3bh,3eh,40h,3ch,46h
    DB    9fh,aeh,a1h,a7h,97h,afh,a1h,96h,a3h,cah
    DB    cbh,d1h,74h,85h,bfh,b7h,b9h,bch,bch,c5h
    DB    c5h,c0h,c4h,bdh,b6h,9fh,c0h,c2h,b1h,c1h
    DB    bch,c4h,b6h,a1h,adh,aeh,9ch,a5h,9eh,88h
    DB    9ah,8ah,9ch,9fh,99h,89h,8fh,e7h,f4h,f8h
    DB    e0h,a3h,60h,94h,bfh,c5h,bbh,bfh,cbh,e1h
    DB    c7h,a8h,8bh,84h,92h,81h,94h,8bh,9fh,a7h
    DB    a7h,94h,6fh,60h,65h,66h,85h,84h,6fh,79h
    DB    77h,5bh,66h,72h,69h,6bh,76h,6eh,7fh,73h
    DB    74h,61h,12h,14h,15h,12h,13h,18h,26h,79h
    DB    9ch,97h,a9h,59h,37h,57h,5ch,2eh,40h,a2h
    DB    96h,4fh,35h,59h,5ah,1ch,22h,10h,0ah,26h
    DB    37h,74h,86h,2eh,1fh,46h,65h,21h,5ah,31h
    DB    3bh,2bh,49h,1ch,2eh,2bh,40h,42h,3ch,2fh
    DB    12h,24h,62h,66h,46h,2fh,44h,64h,41h,4dh
    DB    54h,56h,60h,57h,44h,5fh,68h,8eh,56h,7dh
    DB    8ch,8bh,86h,87h,88h,89h,86h,82h,7fh,77h
    DB    7ah,76h,71h,71h,6dh,67h,69h,62h,64h,60h
    DB    67h,60h,43h,3fh,56h,52h,55h,5fh,5ah,5eh
    DB    56h,5bh,5dh,5eh,5ch,62h,5ch,5ah,5eh,67h
    DB    68h,69h,6bh,65h,6ah,6dh,71h,6dh,69h,6fh
    DB    73h,58h,66h,6ch,69h,6eh,73h,74h,79h,69h
    DB    5dh,55h,52h,56h,5dh,56h,45h,38h,40h,46h
    DB    46h,48h,49h,4ah,4ah,45h,4ah,46h,4bh,48h
    DB    7ch,9ch,c2h,bbh,b3h,bbh,b2h,cdh,b6h,cbh
    DB    c7h,bfh,c5h,96h,b4h,9ch,aah,b8h,ceh,c9h
    DB    cch,dfh,d5h,d8h,cbh,ceh,b9h,a5h,91h,aeh
    DB    b8h,c0h,bch,afh,aeh,a5h,a2h,8eh,9bh,9bh
    DB    93h,9ch,88h,9ch,8ah,8eh,83h,ddh,e7h,d6h
    DB    bch,afh,91h,abh,d5h,b6h,aah,b6h,c8h,cah
    DB    bfh,adh,9ch,91h,8dh,81h,82h,81h,80h,93h
    DB    aeh,afh,a7h,7ch,5ch,61h,79h,6bh,7fh,82h
    DB    5ch,70h,51h,65h,71h,71h,85h,62h,78h,81h
    DB    8bh,30h,17h,0dh,10h,13h,17h,23h,23h,8fh
    DB    95h,88h,33h,43h,33h,2dh,32h,31h,8fh,8dh
    DB    31h,42h,56h,57h,2fh,17h,27h,0eh,0bh,28h
    DB    33h,73h,34h,31h,37h,48h,5ch,37h,4dh,39h
    DB    32h,27h,18h,48h,43h,41h,38h,34h,30h,29h
    DB    23h,36h,56h,4eh,55h,35h,0eh,32h,2ah,3eh
    DB    51h,4eh,0fh,3ch,3fh,33h,40h,45h,2fh,89h
    DB    84h,80h,7fh,81h,7fh,80h,88h,88h,8ah,8ah
    DB    87h,86h,8dh,8ch,8ch,8ah,88h,88h,8ah,84h
    DB    84h,8ah,87h,7eh,74h,72h,6ch,66h,60h,63h
    DB    55h,54h,5ah,5fh,5fh,64h,5fh,62h,69h,68h
    DB    66h,66h,63h,5eh,64h,6dh,6eh,6ah,5fh,69h
    DB    67h,52h,5bh,66h,68h,77h,71h,6eh,66h,60h
    DB    49h,5ch,52h,54h,58h,51h,4dh,51h,47h,4ch
    DB    51h,4eh,4ah,4eh,46h,49h,4dh,49h,46h,47h
    DB    a2h,a7h,c6h,d7h,dah,b5h,abh,b3h,99h,b8h
    DB    c9h,d7h,d0h,8dh,a2h,a5h,c8h,c2h,cdh,d9h
    DB    afh,d3h,c3h,c2h,d4h,deh,cah,86h,87h,87h
    DB    a9h,a8h,adh,b2h,abh,97h,88h,86h,88h,8bh
    DB    95h,83h,89h,7bh,8bh,93h,a3h,8bh,b9h,8fh
    DB    bdh,6eh,7ch,a2h,b2h,c9h,c6h,b0h,a0h,bfh
    DB    a8h,90h,adh,8ah,6eh,87h,8fh,81h,70h,8ch
    DB    97h,8fh,97h,90h,7ah,65h,78h,8dh,82h,78h
    DB    75h,74h,64h,8ah,85h,8ch,91h,95h,96h,9ch
    DB    9fh,1eh,17h,13h,13h,14h,13h,28h,38h,9bh
    DB    99h,59h,35h,1bh,2bh,5fh,53h,58h,38h,1ch
    DB    4eh,49h,53h,30h,62h,20h,24h,0bh,0ah,30h
    DB    27h,3dh,38h,3fh,1fh,62h,57h,51h,14h,15h
    DB    37h,1ch,0eh,3eh,39h,34h,32h,39h,3ah,45h
    DB    4ch,48h,47h,4eh,4bh,44h,39h,1dh,26h,8eh
    DB    44h,7ah,34h,13h,17h,2bh,62h,5bh,83h,84h
    DB    84h,84h,81h,8ah,82h,7dh,7dh,85h,87h,83h
    DB    88h,86h,83h,7fh,7fh,83h,83h,85h,8dh,8fh
    DB    8fh,8ch,8dh,8ch,84h,88h,86h,8ah,85h,85h
    DB    86h,83h,7fh,76h,72h,70h,6eh,6bh,66h,6ch
    DB    67h,65h,5dh,5ch,65h,73h,65h,61h,5ah,69h
    DB    5ch,5eh,57h,68h,6dh,78h,75h,6dh,62h,38h
    DB    5dh,5bh,4fh,51h,56h,50h,57h,4ch,51h,54h
    DB    4eh,50h,52h,4eh,4fh,4ch,53h,4eh,4ch,51h
    DB    b8h,b9h,b0h,cbh,d5h,bbh,bbh,c6h,d8h,dfh
    DB    cah,c2h,d2h,92h,91h,abh,c4h,d6h,dah,e2h
    DB    e6h,e6h,d9h,cfh,adh,c7h,cch,b2h,78h,70h
    DB    9ah,95h,98h,91h,92h,91h,74h,76h,8dh,77h
    DB    7eh,90h,60h,86h,65h,65h,6ch,91h,7fh,afh
    DB    6ch,87h,9ah,88h,96h,a6h,a7h,a0h,7dh,90h
    DB    7dh,9dh,7ch,76h,6dh,8ah,98h,62h,8ch,78h
    DB    7eh,87h,82h,99h,80h,6fh,84h,90h,91h,90h
    DB    8eh,87h,95h,a0h,a0h,9fh,a1h,a0h,9fh,a0h
    DB    9dh,17h,13h,12h,10h,12h,0ch,3ch,50h,a1h
    DB    9ch,72h,3ch,1eh,10h,1eh,2bh,50h,33h,44h
    DB    1bh,35h,1dh,64h,7dh,1ch,1bh,0ch,07h,3eh
    DB    2ah,36h,32h,5ah,62h,66h,3bh,90h,10h,1ch
    DB    8bh,5ah,2ah,46h,2ah,4fh,46h,3eh,3bh,1ah
    DB    24h,67h,5ah,5ah,61h,38h,3bh,33h,3dh,8ch
    DB    4dh,6ch,3bh,1dh,0fh,46h,86h,87h,84h,84h
    DB    7dh,7dh,83h,86h,88h,85h,88h,8bh,86h,86h
    DB    87h,81h,7eh,84h,86h,87h,85h,83h,83h,7eh
    DB    87h,8ch,89h,85h,8bh,88h,8eh,86h,83h,86h
    DB    88h,88h,86h,83h,89h,85h,82h,86h,85h,84h
    DB    87h,6dh,75h,7dh,79h,71h,70h,67h,67h,72h
    DB    61h,51h,56h,73h,60h,5ah,7ch,55h,64h,42h
    DB    5ah,5bh,52h,58h,52h,4fh,4fh,44h,52h,53h
    DB    53h,53h,53h,50h,51h,3eh,59h,4dh,47h,4eh
    DB    cah,c0h,bfh,cdh,cah,c7h,c6h,cbh,d1h,dfh
    DB    d0h,b0h,c5h,a6h,a0h,b2h,d3h,c2h,cbh,c4h
    DB    c7h,d7h,e7h,e0h,c6h,c2h,d6h,a5h,8dh,77h
    DB    8bh,8bh,7ah,91h,97h,8ah,82h,77h,63h,84h
    DB    84h,85h,a0h,5ch,86h,5dh,78h,79h,85h,91h
    DB    88h,a7h,b0h,8dh,97h,98h,a2h,9fh,98h,6eh
    DB    91h,77h,7dh,8ah,73h,8bh,82h,73h,86h,72h
    DB    83h,6eh,96h,91h,7ah,87h,91h,95h,9bh,a6h
    DB    9ch,9eh,a2h,9ah,a1h,a5h,abh,a9h,a2h,ach
    DB    9ah,12h,11h,12h,11h,10h,0eh,2dh,62h,a0h
    DB    a4h,afh,66h,46h,57h,7ah,58h,42h,20h,44h
    DB    1eh,38h,3fh,a3h,56h,25h,16h,0bh,06h,42h
    DB    21h,3ah,69h,b2h,93h,2ch,26h,77h,72h,41h
    DB    82h,1ah,71h,36h,2eh,50h,47h,47h,29h,1ch
    DB    47h,6ah,5dh,74h,82h,56h,43h,5dh,7ah,75h
    DB    58h,71h,31h,24h,0eh,55h,84h,84h,8ah,8ah
    DB    8dh,8bh,8ch,8fh,89h,8ah,87h,85h,83h,87h
    DB    88h,80h,83h,88h,8bh,89h,84h,82h,81h,82h
    DB    86h,8bh,8ah,88h,87h,86h,8bh,90h,87h,8bh
    DB    88h,81h,83h,7eh,84h,83h,88h,7ah,83h,8ah
    DB    87h,51h,84h,87h,81h,89h,86h,80h,87h,6dh
    DB    60h,4ah,50h,64h,5ah,60h,60h,5ch,4eh,44h
    DB    58h,61h,5bh,55h,53h,4fh,48h,59h,5fh,5ah
    DB    55h,5bh,55h,59h,5ah,30h,54h,47h,4eh,5bh
    DB    bbh,c5h,d4h,b6h,a7h,d1h,c6h,c3h,c7h,beh
    DB    ach,d3h,cbh,ach,adh,c9h,c9h,aah,d0h,c8h
    DB    cch,ceh,c5h,b4h,c2h,d7h,cbh,b3h,96h,73h
    DB    99h,6fh,95h,83h,98h,71h,86h,6bh,79h,7bh
    DB    90h,93h,9bh,70h,8fh,7bh,75h,78h,8bh,92h
    DB    9ch,a3h,89h,87h,74h,8fh,8eh,90h,7fh,66h
    DB    9ah,60h,9eh,80h,8ch,7ch,89h,9ah,97h,91h
    DB    a2h,a2h,a4h,a0h,a6h,a8h,ach,aah,b0h,b4h
    DB    b1h,b3h,aeh,b6h,bdh,bbh,c0h,c7h,c1h,c1h
    DB    a7h,14h,15h,0dh,0eh,0fh,0fh,28h,82h,adh
    DB    afh,a0h,89h,6dh,5fh,9ah,7bh,8eh,a5h,43h
    DB    32h,2dh,62h,97h,38h,2dh,0eh,12h,0ah,48h
    DB    24h,82h,b4h,a5h,a9h,73h,3dh,39h,50h,6bh
    DB    50h,63h,3eh,2fh,40h,11h,11h,0dh,14h,20h
    DB    3bh,8dh,90h,8eh,67h,63h,59h,5eh,52h,42h
    DB    6bh,70h,1bh,20h,09h,78h,8ah,8ah,8ch,8bh
    DB    87h,8fh,8fh,8dh,8fh,8dh,8ah,8bh,86h,8bh
    DB    8bh,89h,84h,88h,85h,84h,89h,85h,88h,82h
    DB    88h,89h,88h,8bh,8ah,8ah,8ch,90h,8eh,8fh
    DB    82h,78h,7bh,7ah,7fh,85h,7fh,77h,61h,7ch
    DB    67h,55h,7dh,51h,4ah,6dh,4ah,5ch,60h,72h
    DB    71h,48h,4dh,5ah,61h,58h,60h,62h,52h,4eh
    DB    55h,5bh,5dh,53h,53h,4bh,5ch,63h,66h,5eh
    DB    5eh,6ch,62h,69h,58h,37h,5dh,5dh,5eh,4fh
    DB    9bh,adh,bfh,d4h,c3h,d6h,c0h,a5h,c3h,adh
    DB    cfh,c7h,bbh,c1h,cah,d9h,e6h,e6h,dah,a6h
    DB    bah,c9h,b1h,afh,d1h,d1h,b4h,a5h,a8h,8fh
    DB    8bh,8ah,67h,82h,83h,77h,87h,8fh,8dh,91h
    DB    75h,97h,99h,9ah,89h,80h,86h,78h,8ch,80h
    DB    92h,87h,81h,86h,77h,6ch,6bh,85h,63h,8dh
    DB    97h,7dh,95h,8ah,9bh,a1h,ach,b0h,b3h,afh
    DB    b5h,b5h,b9h,b9h,bbh,c1h,c1h,c4h,c7h,bfh
    DB    b7h,c4h,c1h,c3h,c7h,cdh,cah,cah,cah,c9h
    DB    a5h,12h,11h,0fh,13h,14h,11h,2ah,81h,a5h
    DB    94h,7ah,8ah,9fh,9eh,4fh,59h,8bh,8eh,97h
    DB    b0h,4bh,86h,7bh,1ch,2eh,12h,12h,17h,3ch
    DB    72h,b1h,adh,b1h,b4h,b6h,95h,55h,24h,37h
    DB    2fh,4ah,4dh,57h,67h,0fh,0eh,0fh,0dh,12h
    DB    5ch,90h,87h,5eh,75h,3ah,7ch,51h,8bh,2fh
    DB    74h,5fh,23h,1bh,11h,86h,8bh,8bh,8ch,94h
    DB    8eh,8dh,8dh,8fh,95h,91h,92h,8ah,8ch,8ah
    DB    8bh,8bh,8ah,8ah,8bh,8bh,8ah,89h,88h,89h
    DB    88h,83h,87h,8ah,8ah,8dh,91h,8fh,8ah,91h
    DB    8ch,6ah,60h,67h,7eh,7bh,7dh,67h,5ch,5eh
    DB    53h,49h,3fh,49h,47h,48h,56h,4eh,5ch,64h
    DB    7ah,51h,59h,5eh,62h,5bh,61h,64h,57h,50h
    DB    5dh,59h,5ch,60h,59h,63h,62h,61h,62h,50h
    DB    71h,70h,6eh,74h,59h,32h,4fh,60h,57h,4eh
    DB    86h,b7h,afh,b6h,c3h,c0h,c4h,c8h,d5h,7ah
    DB    b2h,a3h,ach,bch,dch,ddh,ddh,e7h,ebh,dfh
    DB    c7h,c1h,8ch,d9h,c2h,99h,8ch,9ch,9bh,b4h
    DB    a5h,72h,76h,7bh,75h,7ah,83h,86h,8ah,93h
    DB    88h,87h,a9h,99h,66h,8ch,67h,8fh,74h,8fh
    DB    6ch,5ch,6fh,74h,96h,68h,7dh,75h,82h,95h
    DB    a4h,a1h,a4h,a8h,ach,aeh,bbh,b8h,bdh,beh
    DB    bfh,c6h,c6h,c8h,c9h,cah,cah,cbh,cfh,cah
    DB    ceh,c8h,d0h,cfh,cch,cdh,cdh,cch,c7h,c8h
    DB    abh,10h,14h,0eh,11h,10h,16h,2bh,7dh,a6h
    DB    a5h,9ch,a7h,7fh,41h,72h,9fh,5eh,95h,78h
    DB    a1h,3dh,9fh,59h,1bh,25h,11h,15h,2ch,2ah
    DB    9ah,aah,afh,aeh,b1h,ach,adh,adh,b0h,abh
    DB    adh,b0h,b2h,aeh,9dh,16h,0fh,0dh,0dh,21h
    DB    51h,94h,81h,7eh,6eh,3fh,8fh,52h,74h,3fh
    DB    78h,30h,2bh,0ch,43h,90h,91h,95h,95h,94h
    DB    90h,92h,94h,95h,8dh,8dh,91h,8fh,91h,95h
    DB    92h,90h,93h,8eh,8eh,8bh,8bh,8ah,8eh,87h
    DB    8bh,88h,8eh,8fh,8bh,89h,87h,8bh,91h,91h
    DB    92h,89h,57h,63h,59h,6dh,62h,50h,5eh,5bh
    DB    4bh,42h,58h,42h,48h,56h,53h,46h,65h,5bh
    DB    7eh,6ah,5ah,58h,64h,65h,55h,63h,5eh,52h
    DB    62h,5bh,63h,60h,6ah,68h,5fh,69h,4eh,5fh
    DB    62h,6eh,76h,6ah,6bh,57h,53h,5fh,5eh,68h
    DB    7fh,adh,abh,a7h,abh,a7h,b7h,b7h,a6h,9dh
    DB    89h,adh,a9h,c2h,d2h,c2h,c9h,d6h,e3h,cbh
    DB    a0h,92h,95h,b1h,afh,9dh,b1h,8eh,79h,91h
    DB    9bh,63h,9ch,74h,76h,86h,84h,72h,79h,8bh
    DB    89h,57h,80h,60h,8eh,5dh,88h,84h,73h,85h
    DB    62h,6bh,6dh,66h,7ch,7eh,81h,90h,94h,a1h
    DB    a6h,a9h,adh,abh,b2h,b7h,c0h,c2h,c9h,c8h
    DB    cch,cfh,d1h,d4h,cfh,d4h,cfh,d0h,cch,cfh
    DB    d1h,d0h,cdh,cfh,ceh,ceh,cch,c6h,cdh,cah
    DB    b8h,16h,0fh,10h,11h,0fh,16h,36h,6ah,a8h
    DB    a6h,a5h,72h,52h,89h,a7h,60h,99h,8dh,9ah
    DB    48h,77h,98h,1ah,24h,11h,0ch,2bh,2ah,47h
    DB    b2h,aeh,afh,b7h,b6h,b2h,b3h,abh,adh,a9h
    DB    aah,a9h,a8h,afh,abh,2bh,0fh,0dh,18h,26h
    DB    38h,95h,8ch,8eh,54h,70h,85h,76h,39h,72h
    DB    6ch,1eh,1dh,0ah,7bh,94h,96h,97h,98h,9bh
    DB    9ah,98h,95h,98h,96h,98h,96h,90h,90h,8dh
    DB    90h,91h,95h,90h,94h,95h,8fh,8eh,8eh,8bh
    DB    8ah,8bh,8eh,7fh,81h,7eh,87h,8bh,8bh,8ch
    DB    7ah,8ch,57h,5fh,5bh,43h,4bh,5ch,5dh,5bh
    DB    4ah,54h,51h,3fh,48h,54h,4ch,4eh,69h,54h
    DB    81h,7eh,64h,68h,75h,71h,6ah,77h,77h,4dh
    DB    6ah,61h,6bh,69h,70h,6eh,5ch,5eh,62h,71h
    DB    5dh,72h,61h,5ah,5ch,5dh,59h,60h,6bh,75h
    DB    94h,98h,b7h,b2h,a4h,a9h,adh,aah,adh,b3h
    DB    81h,b7h,8dh,d0h,d2h,bfh,bdh,c7h,dah,bah
    DB    84h,9bh,aah,95h,8bh,9bh,9ch,afh,93h,8bh
    DB    85h,97h,9fh,76h,89h,7bh,79h,7ah,6ah,73h
    DB    7ch,72h,44h,75h,78h,5dh,71h,7ah,87h,5ah
    DB    7eh,84h,89h,8bh,97h,99h,98h,a3h,99h,aeh
    DB    b4h,b7h,bdh,c1h,cbh,c6h,cah,ceh,ceh,d3h
    DB    d3h,d2h,d2h,d4h,d2h,d2h,d4h,cfh,d3h,cfh
    DB    d2h,d2h,cfh,cbh,d0h,d0h,d3h,cfh,cfh,cdh
    DB    c8h,30h,13h,10h,0eh,0eh,11h,42h,40h,aeh
    DB    a0h,83h,72h,9ah,a0h,85h,7dh,a1h,9ch,80h
    DB    3eh,99h,63h,1ah,20h,12h,18h,48h,55h,a8h
    DB    afh,b4h,b5h,b9h,b4h,b9h,b3h,b1h,b2h,b1h
    DB    b1h,adh,aeh,ach,adh,64h,0eh,10h,15h,17h
    DB    29h,77h,88h,8ah,65h,86h,88h,46h,5bh,7dh
    DB    21h,27h,0ah,33h,99h,93h,98h,94h,96h,94h
    DB    95h,96h,97h,95h,98h,95h,94h,90h,95h,91h
    DB    95h,96h,93h,8eh,92h,8eh,8eh,8bh,95h,93h
    DB    93h,84h,83h,59h,7fh,58h,58h,62h,78h,71h
    DB    6ah,77h,61h,58h,5ch,4bh,43h,5dh,58h,54h
    DB    52h,53h,48h,3ah,4bh,53h,52h,4eh,6fh,52h
    DB    82h,7dh,7fh,80h,8bh,8ah,89h,88h,86h,50h
    DB    75h,70h,77h,7bh,7ah,82h,73h,62h,81h,5ch
    DB    82h,76h,62h,5ah,5ah,6bh,74h,71h,7bh,8bh
    DB    92h,9ch,9eh,b2h,b0h,a1h,a9h,a8h,a7h,a2h
    DB    8ch,a4h,98h,b3h,bch,d0h,dbh,d7h,c4h,aeh
    DB    87h,9eh,9ch,91h,80h,adh,85h,72h,83h,96h
    DB    8bh,89h,92h,89h,95h,96h,6eh,69h,7fh,68h
    DB    5fh,88h,47h,77h,64h,5dh,7ah,90h,8eh,8ch
    DB    a0h,a0h,a6h,ach,aeh,ach,aeh,b3h,c1h,bfh
    DB    c6h,c9h,c6h,cch,cdh,d0h,d1h,d6h,d9h,d3h
    DB    d3h,d1h,d4h,d3h,d5h,d8h,d5h,d3h,d5h,d3h
    DB    d1h,d1h,d3h,d1h,cfh,ceh,d1h,cbh,cbh,c5h
    DB    c7h,5bh,0eh,0fh,11h,0fh,11h,26h,28h,96h
    DB    97h,95h,9ch,9dh,9ah,7fh,9ch,a1h,9ah,35h
    DB    84h,80h,15h,1bh,0fh,17h,79h,b8h,b6h,b1h
    DB    b3h,b6h,b4h,b4h,b2h,afh,aeh,adh,aah,a6h
    DB    aah,a5h,aah,a6h,a6h,97h,18h,10h,0dh,0fh
    DB    29h,2dh,89h,84h,84h,83h,45h,58h,69h,2ah
    DB    22h,13h,0ch,77h,95h,93h,96h,96h,98h,9eh
    DB    98h,95h,93h,95h,96h,96h,96h,9bh,96h,97h
    DB    94h,92h,96h,94h,91h,90h,8bh,8eh,8eh,90h
    DB    86h,76h,5bh,61h,78h,71h,4dh,65h,58h,46h
    DB    56h,69h,60h,50h,61h,44h,4fh,54h,57h,53h
    DB    59h,57h,4bh,3fh,51h,4eh,57h,5bh,68h,53h
    DB    7eh,86h,8eh,84h,87h,90h,94h,96h,88h,4eh
    DB    7dh,7eh,83h,86h,81h,88h,83h,8ch,93h,8bh
    DB    88h,81h,74h,68h,54h,65h,73h,7eh,80h,80h
    DB    95h,a1h,a6h,a4h,b2h,97h,9dh,95h,beh,c0h
    DB    a8h,aeh,9bh,a6h,abh,a4h,b9h,b8h,85h,afh
    DB    95h,9dh,94h,76h,8eh,9ch,87h,64h,87h,80h
    DB    98h,8fh,6ah,81h,93h,98h,74h,68h,59h,8dh
    DB    55h,7dh,60h,7eh,79h,86h,92h,a0h,9fh,a5h
    DB    afh,b1h,b6h,afh,b5h,c5h,c1h,c8h,cch,cfh
    DB    cfh,d5h,d4h,cdh,d3h,d6h,d8h,d5h,d5h,d8h
    DB    d6h,d5h,d7h,d2h,d2h,d8h,d9h,d2h,d6h,d3h
    DB    d4h,d1h,d1h,d0h,cdh,d1h,cfh,cah,cbh,c9h
    DB    c3h,a1h,0fh,12h,0fh,0dh,11h,13h,34h,45h
    DB    a2h,9ah,a0h,9ch,91h,9fh,99h,8dh,3ch,82h
    DB    7ah,19h,1dh,12h,11h,38h,b3h,aeh,aah,a5h
    DB    9fh,a1h,9fh,a1h,9ah,9bh,9dh,9ch,99h,9dh
    DB    9ch,9dh,a0h,9dh,9bh,a1h,55h,10h,0eh,0dh
    DB    11h,2dh,37h,66h,5eh,4ch,72h,71h,2ch,19h
    DB    13h,0dh,49h,91h,91h,96h,96h,98h,94h,92h
    DB    95h,96h,99h,9dh,99h,97h,96h,98h,9ch,97h
    DB    97h,99h,8ch,6eh,5dh,66h,79h,7bh,89h,85h
    DB    5ch,6eh,41h,60h,63h,68h,62h,51h,73h,56h
    DB    43h,47h,59h,59h,59h,4fh,53h,5eh,55h,5ch
    DB    56h,58h,51h,45h,54h,53h,55h,72h,76h,5eh
    DB    7fh,8eh,92h,89h,8dh,90h,97h,93h,8eh,5bh
    DB    7ah,82h,84h,85h,85h,89h,88h,96h,93h,8ah
    DB    81h,88h,7dh,70h,60h,55h,6ch,86h,87h,87h
    DB    84h,91h,95h,96h,8ah,93h,78h,99h,b9h,b4h
    DB    b1h,a9h,a6h,b0h,adh,84h,afh,81h,9ch,92h
    DB    b0h,adh,7eh,6bh,9ch,7ch,81h,79h,75h,89h
    DB    85h,6dh,8ah,7fh,64h,80h,88h,76h,7bh,7eh
    DB    7fh,7dh,8ah,93h,96h,9ch,9fh,ach,b4h,b9h
    DB    b8h,bfh,c7h,c0h,c6h,ceh,cfh,d0h,d5h,d5h
    DB    d5h,d4h,d4h,d4h,d7h,dah,d8h,d5h,d6h,d4h
    DB    d3h,d4h,cfh,cah,cch,d0h,cfh,d1h,cch,cbh
    DB    c9h,c9h,cch,c9h,cdh,cah,cah,c9h,c7h,c6h
    DB    bdh,c7h,3ch,10h,0fh,0fh,0fh,10h,2ch,3ah
    DB    40h,93h,a3h,a3h,93h,86h,54h,4ch,82h,6ch
    DB    24h,1dh,0eh,11h,12h,8dh,9ah,99h,94h,94h
    DB    92h,99h,92h,8eh,8dh,8ah,8eh,8eh,88h,91h
    DB    91h,95h,91h,97h,91h,8fh,8ch,2bh,10h,0eh
    DB    11h,12h,34h,26h,37h,27h,24h,14h,11h,11h
    DB    0ah,33h,8dh,91h,8fh,97h,97h,8eh,8eh,91h
    DB    96h,97h,9ch,9bh,9ah,9ah,a0h,a1h,9ah,98h
    DB    9bh,94h,90h,80h,6dh,56h,49h,55h,61h,63h
    DB    56h,55h,44h,64h,5dh,5ah,75h,57h,58h,56h
    DB    59h,55h,4bh,5ah,65h,58h,62h,5eh,5ch,5fh
    DB    5bh,5bh,55h,52h,5eh,59h,57h,75h,88h,7ch
    DB    8fh,96h,95h,8fh,8bh,89h,8fh,89h,7bh,63h
    DB    7dh,89h,8eh,88h,8eh,89h,a0h,99h,92h,85h
    DB    8ch,87h,84h,66h,69h,4fh,68h,71h,84h,87h
    DB    7bh,83h,8bh,95h,71h,9fh,7ah,87h,82h,a5h
    DB    a6h,a4h,98h,a3h,a9h,8bh,b1h,75h,8ah,a7h
    DB    a8h,91h,94h,62h,93h,77h,73h,7dh,65h,92h
    DB    72h,68h,68h,64h,5fh,6dh,77h,87h,83h,8ch
    DB    98h,a4h,a9h,adh,abh,a7h,b5h,bch,c6h,c5h
    DB    c4h,c6h,c9h,cbh,cdh,ceh,cfh,d3h,d3h,d2h
    DB    ceh,d4h,cfh,cdh,d4h,d2h,d5h,d3h,d4h,d0h
    DB    d2h,d0h,d3h,d4h,cfh,ceh,cch,cbh,cch,c7h
    DB    c9h,c9h,c9h,c8h,cch,c8h,cch,c8h,cbh,c4h
    DB    c2h,beh,ach,19h,11h,10h,0fh,0fh,12h,46h
    DB    3bh,25h,47h,47h,55h,69h,81h,8ch,49h,19h
    DB    24h,17h,0ch,0eh,68h,8fh,8bh,8fh,8fh,8ah
    DB    91h,8eh,8eh,8ch,8dh,8ch,8ah,8dh,8eh,87h
    DB    8ah,8ah,8dh,8fh,87h,89h,89h,85h,28h,0dh
    DB    0ah,10h,0bh,0dh,1eh,18h,0eh,0eh,0ch,09h
    DB    2eh,7eh,7eh,81h,87h,88h,8ch,91h,8fh,90h
    DB    94h,92h,97h,9bh,95h,9eh,9ch,9ah,97h,96h
    DB    8dh,81h,6ah,6ch,69h,68h,5dh,52h,4ah,40h
    DB    50h,45h,4ah,5ah,52h,5bh,5fh,6dh,54h,5ch
    DB    6ah,6eh,6bh,61h,6bh,6eh,69h,6fh,6bh,5ah
    DB    58h,59h,53h,55h,54h,5bh,4bh,6dh,7bh,76h
    DB    74h,7ch,93h,91h,89h,85h,7ah,80h,6bh,60h
    DB    79h,85h,88h,88h,8fh,96h,8fh,90h,99h,88h
    DB    7fh,7ch,85h,69h,4eh,54h,51h,54h,7dh,88h
    DB    6ah,87h,88h,7eh,7bh,90h,7ch,9ch,8ah,73h
    DB    90h,7ch,8fh,a2h,9ch,8fh,ach,84h,9ah,98h
    DB    adh,78h,9ah,5fh,91h,6dh,78h,74h,70h,6fh
    DB    57h,81h,88h,91h,74h,7dh,89h,97h,96h,9ah
    DB    a8h,a8h,afh,b0h,b5h,b1h,c1h,c1h,c2h,c2h
    DB    c7h,c5h,c4h,c4h,c7h,cdh,cah,ceh,d1h,cfh
    DB    d0h,cdh,d0h,d3h,cfh,cch,ceh,d0h,cch,d0h
    DB    cch,cch,cbh,cah,ceh,cch,cah,c8h,c8h,c5h
    DB    c4h,c7h,c9h,cdh,c8h,c4h,c2h,c4h,c0h,c2h
    DB    bfh,bch,b6h,8fh,18h,10h,0dh,10h,0fh,0fh
    DB    20h,32h,30h,2ch,38h,39h,28h,1eh,25h,23h
    DB    12h,09h,0eh,66h,8ch,88h,8dh,8ch,8ah,86h
    DB    84h,84h,84h,85h,87h,87h,84h,83h,83h,8bh
    DB    87h,87h,86h,85h,7ah,84h,81h,7dh,80h,3fh
    DB    16h,0eh,13h,11h,0fh,0ch,0dh,0ch,17h,4eh
    DB    6eh,77h,79h,77h,72h,72h,79h,7ch,82h,88h
    DB    91h,8eh,8fh,96h,95h,99h,98h,9dh,9bh,9ch
    DB    94h,73h,62h,5eh,51h,56h,58h,53h,4bh,3ah
    DB    44h,42h,4ch,4eh,57h,4bh,68h,6eh,59h,66h
    DB    79h,83h,7eh,7dh,8ah,86h,7bh,7ch,6eh,5fh
    DB    53h,59h,50h,56h,57h,58h,4ch,5eh,63h,63h
    DB    66h,60h,6ch,6dh,61h,6eh,64h,69h,5eh,62h
    DB    61h,77h,81h,80h,83h,81h,85h,80h,87h,77h
    DB    76h,7ah,69h,52h,47h,51h,4dh,4bh,6eh,6ch
    DB    64h,87h,89h,7dh,83h,8fh,74h,94h,89h,87h
    DB    57h,76h,8ch,8eh,a8h,9fh,9ch,85h,85h,74h
    DB    97h,87h,83h,6bh,72h,78h,84h,66h,85h,56h
    DB    65h,7bh,8dh,99h,9dh,a0h,a3h,abh,adh,b5h
    DB    b5h,bbh,bbh,beh,bfh,c5h,c6h,c6h,c8h,c4h
    DB    c8h,cbh,cch,cch,c5h,c4h,c2h,c5h,cch,cah
    DB    c4h,cah,c4h,c6h,c6h,c7h,cch,c5h,c9h,c7h
    DB    cdh,cdh,cbh,cdh,c5h,c5h,c5h,c7h,c5h,c2h
    DB    c6h,c6h,c8h,c6h,c6h,c7h,c6h,bbh,b8h,b6h
    DB    b6h,b4h,a8h,b0h,90h,26h,0eh,10h,11h,0eh
    DB    0dh,0eh,14h,20h,26h,27h,2eh,19h,17h,0ah
    DB    08h,10h,61h,7dh,75h,70h,71h,75h,78h,7bh
    DB    7dh,77h,7eh,7fh,7ch,7ah,7ah,7dh,82h,80h
    DB    7fh,83h,7dh,81h,7bh,81h,7dh,76h,79h,78h
    DB    72h,5eh,44h,2ch,27h,2bh,3dh,64h,6eh,6dh
    DB    64h,63h,65h,69h,6bh,67h,6ch,70h,74h,76h
    DB    79h,7dh,82h,7dh,80h,8ah,91h,97h,9ch,8eh
    DB    8ah,8dh,6bh,5dh,61h,5ch,62h,50h,46h,41h
    DB    4eh,46h,52h,51h,4bh,56h,60h,69h,6dh,7ch
    DB    83h,8eh,8ah,90h,8eh,83h,85h,8eh,6eh,5dh
    DB    4eh,50h,57h,52h,58h,59h,55h,4eh,5eh,64h
    DB    64h,57h,57h,64h,5bh,5bh,57h,4ch,55h,5ch
    DB    56h,64h,74h,78h,8bh,83h,8eh,8ch,7fh,73h
    DB    70h,65h,59h,55h,42h,4dh,4eh,46h,57h,5fh

    




       END

